var rStart = '#start(f?)$',
    rLogin = '#login$',
    rRega = '#rega$',
    rForgeta = '#forgeta$',
    rForgetb = '#forgetb$',
    rHome = '#home$',
    rCom = '#com(_?\\d*)(_?.*)$',
    rDisfind = '#disfind(_?.*)$',
    rHoptfind = '#hoptfind(_?.*)$',
    rDoctor = '#doctor_(\\d+)$',
    rCform = '#cform_(\\d+)(_?.*)$',
    rHospital = '#hospital_(\\d+)(_?.*)$',
    rHptdetail = '#hptdetail_(\\d+)$',
    rMy = '#my$',
    rAttention = '#attention(_?\\d*)(_?.*)$',
    rFeedback = '#feedback$',
    rSetting = '#setting$',
    rSetdata = '#setdata$',
    rSetpassword = '#setpassword$',
    rSethelp = '#sethelp$',
    rSetstate = '#setstate$',
    rAbout = '#about$',
    rArticle = '#article_(\\d+)$',
    rMessage = '#message(_?\\d*)$',
    rScore = '#score$',
    rUpdetail = '#updetail$',
    rDcdetail = '#dcdetail_(\\d+)$';
    rAdpage='#adpage$',
    rMycomment='#mycomment$',
    rMapview='#mapview$',
    rCircle='#circle$',
    rCirgroup='#cirgroup_(\\d+)$',
    rCirarticle='#cirarticle_(\\d+)$',
    rCirpost='#cirpost$',
    rCirreply='#cirreply$',
    rMycirart='#mycirart(_?\\d*)$',
    rMyfav='#myfav$',
    rDatachart='#datachart$',
    rSysmsg='#sysmsg_(\\d+)$',
    rChat='#chat_(\\d+)$';

var memberHashs = [
    rCform,
    rMy,
    rAttention,
    rFeedback,
    rSetting,
    rSetdata,
    rSetpassword,
    rSethelp,
    rSetstate,
    rAbout,
    rMessage,
    rScore,
    rMycomment,
    rCirpost,
    rCirreply,
    rMycirart,
    rMyfav,
    rSysmsg,
    rChat
];

var onDeviceReady = function(){
    if(typeof(hasInit)!=='undefined')
        return false;
    hasInit=true;

    if(window.MobileAccessibility){
        window.MobileAccessibility.usePreferredTextZoom(false);
    }

    //通过device插件更正设备
    isAndroid=(device.platform.toUpperCase()=='ANDROID');
    isIDevice=(device.platform.toUpperCase()=='IOS');

    //清除webview缓存
    window.cache.clear( function(state){
        do_debug('清除webview缓存成功：'+state);
    }, function(state){
        do_debug('清除webview缓存失败：'+state);
    });

    //临时文件夹创建
    //失败处理方法
    function errorHandler(err){
        var msg = 'An error occured: ';  switch (err.code) {
            case FileError.NOT_FOUND_ERR:
                msg += 'File or directory not found';
                break;
            case FileError.NOT_READABLE_ERR:
                msg += 'File or directory not readable';
                break;    case FileError.PATH_EXISTS_ERR:
                msg += 'File or directory already exists';
                break;
            case FileError.TYPE_MISMATCH_ERR:
                msg += 'Invalid filetype';
                break;
            default:
                msg += 'Unknown Error';
                break;
        };
        do_debug(msg);
    };

    //创建本地文件夹
    try {
        fullPath='';
        fullPathUpdate='';
        fullPathImage='';
        updateEntry=new Object();
        imageEntry=new Object();
        tmpimageEntry=new Object();
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
            do_debug('读取文件系统成功');
            fileSystem.root.getDirectory("dianyi", {
                create: true,
                exclusive: false
            }, function (entry) {
                fullPath = entry.toURL();
                do_debug('创建'+fullPath+'文件夹成功');

                //删除旧缓存文件夹
                entry.getDirectory("temp", {
                    create: true,
                    exclusive: false
                }, function (entry) {
                    entry.removeRecursively(function(){}, function(){});
                },function(){});

                entry.getDirectory(".temp", {
                    create: true,
                    exclusive: false
                }, function (entry) {
                    entry.getDirectory("updates", {
                        create: true,
                        exclusive: false
                    }, function (entry) {
                        fullPathUpdate = entry.toURL();
                        updateEntry = entry;
                        do_debug('创建'+fullPathUpdate+'文件夹成功');
                    }, function () {
                        //创建文件夹失败
                        setTimeout(function(){showtips('创建缓存文件夹失败，图片缓存和版本更新功能将不可用');},2000);
                        do_debug('创建文件夹失败');
                    });

                    entry.getDirectory("images", {
                        create: true,
                        exclusive: false
                    }, function (entry) {
                        fullPathImage = entry.toURL();
                        imageEntry=entry;
                        do_debug('创建'+fullPathImage+'文件夹成功');

                        entry.getDirectory("tmp", {
                            create: true,
                            exclusive: false
                        }, function (entry) {
                            tmpimageEntry=entry;
                            do_debug('创建 tmp 文件夹成功');
                        }, function () {
                            //创建文件夹失败
                            setTimeout(function(){showtips('创建缓存文件夹失败，图片缓存和版本更新功能将不可用');},2000);
                            do_debug('创建 tmp 文件夹失败');
                        });
                    }, function () {
                        //创建文件夹失败
                        setTimeout(function(){showtips('创建缓存文件夹失败，图片缓存和版本更新功能将不可用');},2000);
                        do_debug('创建文件夹失败');
                    });
                }, function () {
                    //创建文件夹失败
                    setTimeout(function(){showtips('创建缓存文件夹失败，图片缓存和版本更新功能将不可用');},2000);
                    do_debug('创建文件夹失败');
                });
            }, function () {
                //创建文件夹失败
                setTimeout(function(){showtips('创建缓存文件夹失败，图片缓存和版本更新功能将不可用');},2000);
                do_debug('创建文件夹失败');
            });
        }, function () {
            setTimeout(function(){showtips('读取文件系统失败，图片缓存和版本更新功能将不可用');},2000);
            do_debug('读取文件系统失败');
        });
    }catch(ex){}

    //路由
    Router.set_routes([
        [rStart, startPage],
        [rLogin, loginPage],
        [rRega, regaPage],
        [rForgeta, forgetaPage],
        [rForgetb, forgetbPage],
        [rHome, homePage],
        [rCom, comPage],
        [rDisfind, disfindPage],
        [rHoptfind, hoptfindPage],
        [rDoctor, doctorPage],
        [rCform, cformPage],
        [rHospital, hospitalPage],
        [rHptdetail, hptdetailPage],
        [rMy, myPage],
        [rAttention, attentionPage],
        [rFeedback, feedbackPage],
        [rSetting, settingPage],
        [rSetdata, setdataPage],
        [rSetpassword, setpasswordPage],
        [rSethelp, sethelpPage],
        [rSetstate, setstatePage],
        [rAbout, aboutPage],
        [rArticle, articlePage],
        [rMessage, messagePage],
        [rScore, scorePage],
        [rUpdetail,updetailPage],
        [rDcdetail,dcdetailPage],
        [rAdpage,adpagePage],
        [rMycomment,mycommentPage],
        [rMapview,mapviewPage],
        [rCircle,circlePage],
        [rCirgroup,cirgroupPage],
        [rCirarticle,cirarticlePage],
        [rCirpost,cirpostPage],
        [rCirreply,cirreplyPage],
        [rMycirart,mycirartPage],
        [rMyfav,myfavPage],
        [rDatachart,datachartPage],
        [rSysmsg,sysmsgPage],
        [rChat,chatPage]
    ]);

    Router.set_position([
    ]);

    Router.set_ignore("^#http(:?%3A|\:)");
    Router.check_url();

    $(document).on(START_EV, function(){
        moving = 0;
    }).on(MOVE_EV, function(){
        try{clearTimeout(longjumpfunc)}catch(ex){};
        moving++;
    }).on(END_EV, function(){
        try{clearTimeout(longjumpfunc)}catch(ex){};
        if(moving>movingflag) return false;
    });

    $(document).on(START_EV, '.link', function(){
        $(this).addClass('lightdown');
    });
    $(document).on(MOVE_EV, '.link', function(){
        $(this).removeClass('lightdown');
    });
    $(document).on(END_EV, '.link', function(){
        $(this).removeClass('lightdown');
    });

    $(document).on(END_EV, '.link', function(){
        if(moving>movingflag) return false;
        //moving=10;
        var hash = $(this).attr('rel');
        if(!hash || hash.length<1){
            return;
        }
        else if(hash.substr(0,1)=='#') {
            location.hash = hash;
            hidemenu();
            return false;
        }
        else {
            if(hash=='historyback'){
                //返回
                Router.get_back_from(location.hash);
            }
            else if(hash.length>10 && hash.substr(0,10)=='cirsetfav_'){
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return false;
                }
                var _articleid=1*hash.substr(10);
                if($(this).hasClass('nav_cstar_f')){
                    //取消收藏
                    $.getp(API_INTERFACE_DELETEGRPFAV, {tokenid:tokenid,articleid:_articleid}, true, true,false, function (json) {
                        showtips('取消收藏文章成功');
                        var tmpfavnum=1*$('.nav_cstar span').text();
                        tmpfavnum--;
                        $('.nav_cstar').removeClass('nav_cstar_f').find('span').text(tmpfavnum);
                        $.flush_cache(API_INTERFACE_GROUPALL);
                    }, null, null);
                }
                else{
                    //收藏
                    $.getp(API_INTERFACE_SAVEFAVORITY, {tokenid:tokenid,articleid:_articleid}, true, true,false, function (json) {
                        showtips('收藏文章成功');
                        var tmpfavnum=1*$('.nav_cstar span').text();
                        tmpfavnum++;
                        $('.nav_cstar').addClass('nav_cstar_f').find('span').text(tmpfavnum);
                        $.flush_cache(API_INTERFACE_GROUPALL);
                    }, null, null);
                }
            }
            else if(hash.length>14 && hash.substr(0,14)=='cirsetsupport_'){
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return false;
                }
                var _articleid=1*hash.substr(14);
                if($(this).hasClass('nav_cgood_f')){
                    //取消点赞
                    $.getp(API_INTERFACE_DELETEGRPSUP, {tokenid:tokenid,articleid:_articleid}, true, true,false, function (json) {
                        showtips('取消点赞文章成功');
                        var tmpgoodnum=1*$('.nav_cgood span').text();
                        tmpgoodnum--;
                        $('.nav_cgood').removeClass('nav_cgood_f').find('span').text(tmpgoodnum);
                        $.flush_cache(API_INTERFACE_GROUPALL);
                    }, null, null);
                }
                else{
                    //点赞
                    $.getp(API_INTERFACE_ADDGRPSUP, {tokenid:tokenid,articleid:_articleid}, true, true,false, function (json) {
                        showtips('点赞文章成功');
                        var tmpgoodnum=1*$('.nav_cgood span').text();
                        tmpgoodnum++;
                        $('.nav_cgood').addClass('nav_cgood_f').find('span').text(tmpgoodnum);
                        $.flush_cache(API_INTERFACE_GROUPALL);
                    }, null, null);
                }
            }
            else if(hash.length>12 && hash.substr(0,12)=='delgrpreply_'){
                //删除回复
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return false;
                }

                __replyid=1*hash.substr(12);

                do_confirm('确认要删除该回复吗？',function(result){
                    if(result==do_confirm.OK) {
                        $.getp(API_INTERFACE_DELETEGRPARTREPLY, {tokenid: tokenid, replyid: __replyid}, true, true,false, function (json) {
                            showtips('删除回复成功');
                            $.flush_cache(API_INTERFACE_GROUPALL);
                            $('#GrpReply'+__replyid).remove();
                        }, null, null);
                    }
                });
            }
            else if(hash.length>13 && hash.substr(0,13)=='goodgrpreply_'){
                //点赞圈子文章回复
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }

                if($(this).hasClass('hassupported')){
                    showtips('你已对该点评点过赞');
                    return;
                }

                __replyid=1*hash.substr(13);

                $.getp(API_INTERFACE_SUPPORTREPLY, {tokenid: tokenid, replyid: __replyid}, true, true,false, function (json) {
                    //showtips('点赞成功');
                    $.flush_cache(API_INTERFACE_GROUPALL);
                    var tmpv=1*$('#GrpReply'+__replyid+' .cae_ctn_con_i_good').text();
                    $('#GrpReply'+__replyid+' .cae_ctn_con_i_good').text(++tmpv).addClass('hassupported');
                }, null, null);
            }
            else if(hash.length>9 && hash.substr(0,9)=='replycom_'){
                //删除回复
                __replyid=1*hash.substr(9);

                var _groupid=$('.title').data('groupid');

                if(ismember()) {
                    //如果已登录，则检查是否已加入
                    $.getp(API_INTERFACE_HASJOINGROUP, {tokenid:tokenid,groupid:_groupid}, true, false,true, function (json) {
                        //未加入
                        showtips('你还未加入该文章所属圈子，不允许回复');
                    }, function(json){
                        //已加入
                        hidecirclefooter();
                        showcirclereplyfooter();
                        $('#CircleReplyContent').data('replyid',__replyid).attr('placeholder','回复'+$('#GrpReply'+__replyid).data('membername')+'：');
                    }, null);
                }
                else{
                    //未登录
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }
            }
            else if(hash.length>16 && hash.substr(0,16)=='removeAttention_'){
                //取消关注
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }
                var _tmpdoctorid=1*hash.substr(16);
                $.getp(API_INTERFACE_DELETEATTENTION,{tokenid:tokenid,doctorid:_tmpdoctorid},true,true,false,function(json){
                    //把资料更新到全局变量中
                    //$(this).
                    showtips('取消关注成功');
                    if(location.hash.substr(1,7)=='doctor_'){
                        $('.doc_rem_btn').css('display','none');
                        $('.doc_add_btn').css('display','inline-block');
                    }
                    else if(location.hash.substr(1,9)=='attention'){
                        $('#AttentionDocId'+_tmpdoctorid).remove();
                    }
                    if($('.doc_int_d_comment').length>0){
                        var oldval=$('.doc_int_d_comment').text().replace('关注 ','');
                        $('.doc_int_d_comment').text('关注 '+(1*oldval-1));
                    }
                    $.flush_cache(API_INTERFACE_FINDDOCTOR);
                    $.flush_cache(API_INTERFACE_ATTENTIONLIST);
                    $.flush_cache(API_INTERFACE_PATIENTHOSPITAL);
                    $.flush_cache(API_INTERFACE_PATIENTDEPTNAME);
                    $.flush_cache(API_INTERFACE_CHECKATTENTION);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS_ILL);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS_DEPT);
                    $.flush_cache(API_INTERFACE_LISTDOCTORSBYHPTID);
                },null,null);
            }
            else if(hash.length>13 && hash.substr(0,13)=='addAttention_'){
                //关注
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }
                var _doctorid=1*hash.substr(13);
                do_debug(tokenid+','+_doctorid)
                $.getp(API_INTERFACE_ADDDOCATTENTION,{tokenid:tokenid,doctorid:_doctorid},true,true,false,function(json){
                    //把资料更新到全局变量中
                    //$(this).
                    showtips('关注成功');
                    if(location.hash.substr(1,7)=='doctor_'){
                        $('.doc_add_btn').css('display','none');
                        $('.doc_rem_btn').css('display','inline-block');
                    }
                    if($('.doc_int_d_comment').length>0){
                        var oldval=$('.doc_int_d_comment').text().replace('关注 ','');
                        $('.doc_int_d_comment').text('关注 '+(1*oldval+1));
                    }

                    $.flush_cache(API_INTERFACE_FINDDOCTOR);
                    $.flush_cache(API_INTERFACE_ATTENTIONLIST);
                    $.flush_cache(API_INTERFACE_PATIENTHOSPITAL);
                    $.flush_cache(API_INTERFACE_PATIENTDEPTNAME);
                    $.flush_cache(API_INTERFACE_CHECKATTENTION);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS_ILL);
                    $.flush_cache(API_INTERFACE_LISTDOCTORS_DEPT);
                    $.flush_cache(API_INTERFACE_LISTDOCTORSBYHPTID);
                },null,null);
            }
            else if(hash=='doccomshare'){
                //分享点评
                var _doctorid=1*($('.doc_int_id').text().replace('ID：',''));
                var _doctorname=$('.doc_int_d_name').text().replace('：','');
                var _commentname=$(this).siblings('.doc_com_b_i_name').text();
                var _commenttext=$(this).siblings('.doc_com_b_i_content').text().replace('详情》','');
                //var _commentstar=$(this).siblings('.doc_com_b_i_star').find('.doc_star').length;
                //_commentstar=_commentstar+(($(this).siblings('.doc_com_b_i_star').find('.doc_star_h').length)/2);
                window.plugins.socialsharing.share('我通过点医网给你分享：['+_commentname+'] 对 ['+_doctorname+'医生] 说 “'+_commenttext+'”', null, null, API_INTERFACE_SHAREURL_DOCTORFIX+_doctorid);
            }
            else if(hash.length>11 && hash.substr(0,11)=='doccomgood_'){
                //点赞点评
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }

                if($(this).data('good')){
                    showtips('您已赞过该点评');
                    return;
                }

                $(this).data('good',true);

                var tn=1*($(this).text().replace('赞(','').replace(')',''));
                tn++;
                $(this).text('赞('+tn+')');

                var _commentid=1*hash.substr(11);

                //用缓存方式过滤多次赞
                $.getp(API_INTERFACE_GOODCOMMENT, {tokenid:tokenid,commentid:_commentid}, true, false,false, function (json) {
                    $.flush_cache(API_INTERFACE_FINDDOCTORCOMMENT);
                },null,null);
            }
            else if(hash.length>11 && hash.substr(0,11)=='doccomcomp_'){
                //举报点评
                if(!ismember()){
                    showtips('请先登录');
                    location.hash='#login';
                    return;
                }

                if($(this).data('comp')){
                    showtips('您已举报过该点评');
                    return;
                }

                $(this).data('comp',true);

                var _commentid=1*hash.substr(11);

                //用缓存方式过滤多次举报
                $.getp(API_INTERFACE_COMPLAINCOMMENT, {tokenid:tokenid,commentid:_commentid}, true, false,false, function (json) {
                    showtips('举报成功，感谢您的支持');
                },null,null);
            }
        }
    });
    $(document).on(END_EV, 'a', function(){
        if(moving>movingflag) return false;
        cordova.InAppBrowser.open($(this).attr('href'), '_blank');
        return false;
    });
    $(document).on(END_EV, '.menubglayout', function(){
        if(moving>movingflag) return false;
        hidemenu();
    });

    $('.loadingbg').on(START_EV, function(e){
        e.preventDefault();
        return false;
    });

    $('.sfe_close').on(END_EV, function() {
        if (moving > movingflag) return false;

        hidemenu();
    });
    $('.sfe_submit').on(END_EV, function() {
        if (moving > movingflag) return false;

        var tmpT=$('.sfe_keyword').val().replaceAll(' ','');
        if(tmpT.length<1)
            tmpT='搜索';

        $('.public_sk_c').text(tmpT);
        callReflushFunction();
    });
    function callReflushFunction(){
        var tmpT=$('.sfe_keyword').val().replaceAll(' ','');
        hidemenu();
        var homeexp = new RegExp(rHome.replace('/', '\\\/'));
        var attexp = new RegExp(rAttention.replace('/', '\\\/'));
        var comexp = new RegExp(rCom.replace('/', '\\\/'));
        var disexp = new RegExp(rDisfind.replace('/', '\\\/'));
        var hopexp = new RegExp(rHoptfind.replace('/', '\\\/'));
        var hosexp = new RegExp(rHospital.replace('/', '\\\/'));
        if(homeexp.test(location.hash)) {
            location.hash='com_0_'+encodeURIComponent(tmpT);
        }
        else if(attexp.test(location.hash)) {
            attentionReflushCondition();
        }
        else if(comexp.test(location.hash)) {
            comReflushCondition();
        }
        else if(disexp.test(location.hash)) {
            disfindReflushCondition();
        }
        else if(hopexp.test(location.hash)) {
            hoptfindReflushCondition();
        }
        else if(hosexp.test(location.hash)) {
            hospitalReflushCondition();
        }
    }
    $('.sfe_keyword').on('keyup',function(e){
        var keyword=$(this).val().replaceAll(' ','');
        if(e.keyCode==13){
            //提交搜索

            var tmpT=keyword;
            if(tmpT.length<1)
                tmpT='搜索';

            $('.public_sk_c').text(tmpT);
            callReflushFunction();
            return false;
        }
        else if(keyword.length<1){
            return;
        }
        else {
            $.getp(API_INTERFACE_LIKESEARCHKEYWORDS, {searchkeywords:keyword,city:defcity,pageNum:1,pageSize:5}, true, false,false, function (json) {
                var $searchu=$('.sfe_list');
                $searchu.empty();
                for (var i=0;i<json.Data.length;i++) {
                    var $searchuitem=$(document.createElement('div'));
                    $searchuitem.attr('class','sfe_list_i link');
                    $searchuitem.text(json.Data[i]);
                    $searchu.append($searchuitem);
                    $searchuitem.on(END_EV, function() {
                        if (moving > movingflag) return false;

                        $('.public_sk_c').text($(this).text());
                        callReflushFunction();
                    });
                }
            }, null, null);

        }
    });

    $('.circlenewbtn').on(END_EV, function() {
        if (moving > movingflag) return false;

        if(!ismember()){
            showtips('请先登录');
            location.hash='#login';
            return;
        }

        if($('.cgp_bas_c_btn').text()=='加入'){
            showtips('你还未加入该圈子，不允许发布文章');
        }
        else{
            location.hash='#cirpost';
        }
    });

    $('.circlesharebtn').on(END_EV, function() {
        if (moving > movingflag) return false;
        var _articleid=$('.title').data('articleid');
        alert('分享文章'+_articleid);
        return;
    });

    $('.nav_creply').on(END_EV, function() {
        if (moving > movingflag) return false;

        var _groupid=$('.title').data('groupid');

        if(ismember()) {
            //如果已登录，则检查是否已加入
            $.getp(API_INTERFACE_HASJOINGROUP, {tokenid:tokenid,groupid:_groupid}, true, false,true, function (json) {
                //未加入
                showtips('你还未加入该文章所属圈子，不允许回复');
            }, function(json){
                //已加入
                hidecirclefooter();
                showcirclereplyfooter();
                $('#CircleReplyContent').data('replyid',0).attr('placeholder','输入你想说的话...');
            }, null);
        }
        else{
            //未登录
            showtips('请先登录');
            location.hash='#login';
            return;
        }
    });

    $('.circlesubmitbtn').on(END_EV, function(){
        if(moving>movingflag) return false;

        var cirpostexp = new RegExp(rCirpost.replace('/', '\\\/'));
        var cirreplyexp = new RegExp(rCirreply.replace('/', '\\\/'));
        var feedbackexp = new RegExp(rFeedback.replace('/', '\\\/'));
        var setpwdexp = new RegExp(rSetpassword.replace('/', '\\\/'));
        var setdataexp = new RegExp(rSetdata.replace('/', '\\\/'));
        var cformexp = new RegExp(rCform.replace('/', '\\\/'));
        if(cirpostexp.test(location.hash)) {
            //提交圈子文章
            var _title=$('#CptTitle').val();
            var _content=$('#CptContent').val();
            if(_title.length<1){
                showtips('请输入标题');
                return;
            }
            if(_content.length<1){
                showtips('请输入内容');
                return;
            }

            //上传并提交
            _gallery=[];
            var tmpL=$('.cpt_img_i').length;
            uploadMission=tmpL;
            if(uploadMission==0){
                var _groupid=$('.title').data('groupid');
                var _groupname=$('.title').data('groupname');

                $.getp(API_INTERFACE_SAVEGROUPARTICLE, {
                    tokenid:tokenid,
                    groupid:_groupid,
                    groupname:_groupname,
                    title:_title,
                    content:_content,
                    gallery:''
                }, true, true,false, function (json) {
                    showtips('文章发布成功');
                    $.flush_cache(API_INTERFACE_GROUPALL);
                    Router.get_back_from(location.hash);
                },null,null);
            }
            else {
                __uploadFailed = false;
                showloading('上传中');
                for (var i = 0; i < tmpL; i++) {
                    //上传图片到服务器
                    var imguri = $('.cpt_img_i').eq(i).css('background-image');

                    var imgdata = imguri.substr(4, imguri.length - 5);
                    var filename = 'article' + (new Date()).pattern("yyyyMMddhhmmssS") + '_' + i + '_' + ".jpg";

                    doUploadImgOrBase64(imgdata, filename, function (json) {
                        //上传完成

                        do_debug(json.title);
                        var xi = (json.title.split('_'));
                        _gallery[1 * xi[1]] = json.original + '|:|' + json.url;

                        if (--uploadMission < 1 && !__uploadFailed) {
                            hideloading();
                            //提交点评
                            var _groupid=$('.title').data('groupid');
                            var _groupname=$('.title').data('groupname');
                            var _title=$('#CptTitle').val();
                            var _content=$('#CptContent').val();

                            $.getp(API_INTERFACE_SAVEGROUPARTICLE, {
                                tokenid:tokenid,
                                groupid:_groupid,
                                groupname:_groupname,
                                title:_title,
                                content:_content,
                                gallery:_gallery.join('|#|')
                            }, true, true,false, function (json) {
                                showtips('文章发布成功');
                                $.flush_cache(API_INTERFACE_GROUPALL);
                                Router.get_back_from(location.hash);
                            },null,null);
                        }
                    }, function () {
                        __uploadFailed = true;
                        showtips('上传图片遇到了问题，请重试');

                        if (--uploadMission < 1 && __uploadFailed) {
                            hideloading();
                        }
                    });
                }
            }
        }
        /*else if(cirreplyexp.test(location.hash)){
            //提交回复圈子回复
            var _content=$('#CryContent').val();
            if(_content.length<1){
                showtips('请输入回复内容');
                return;
            }

            //上传并提交
            _gallery=[];
            var tmpL=$('.cry_img_i').length;
            uploadMission=tmpL;
            if(uploadMission==0){
                var _articleid=$('.title').data('articleid');

                $.getp(API_INTERFACE_SAVEGROUPREPLY, {
                    tokenid:tokenid,
                    articleid:_articleid,
                    content:_content,
                    gallery:''
                }, true, true,false, function (json) {
                    showtips('回复成功');
                    $.flush_cache(API_INTERFACE_GROUPALL);
                    Router.get_back_from(location.hash);
                },null,null);
            }
            else {
                __uploadFailed = false;
                showloading('上传中');
                for (var i = 0; i < tmpL; i++) {
                    //上传图片到服务器
                    var imguri = $('.cry_img_i').eq(i).css('background-image');

                    var imgdata = imguri.substr(4, imguri.length - 5);
                    var filename = 'reply' + (new Date()).pattern("yyyyMMddhhmmssS") + '_' + i + '_' + ".jpg";

                    doUploadImgOrBase64(imgdata, filename, function (json) {
                        //上传完成

                        do_debug(json.title);
                        var xi = (json.title.split('_'));
                        _gallery[1 * xi[1]] = json.original + '|:|' + json.url;

                        if (--uploadMission < 1 && !__uploadFailed) {
                            hideloading();
                            //提交点评
                            var _articleid=$('.title').data('articleid');
                            var _content=$('#CryContent').val();

                            $.getp(API_INTERFACE_SAVEGROUPREPLY, {
                                tokenid:tokenid,
                                articleid:_articleid,
                                content:_content,
                                gallery:_gallery.join('|#|')
                            }, true, true,false, function (json) {
                                showtips('回复成功');
                                $.flush_cache(API_INTERFACE_GROUPALL);
                                Router.get_back_from(location.hash);
                            },null,null);
                        }
                    }, function () {
                        __uploadFailed = true;
                        showtips('上传图片遇到了问题，请重试');

                        if (--uploadMission < 1 && __uploadFailed) {
                            hideloading();
                        }
                    });
                }
            }
        }*/
        else if(feedbackexp.test(location.hash)){
            //提交意见反馈
            var _content=$('#FeedbackText').val();
            if(_content.length<1) {
                showtips('请输入意见反馈的内容');
                return;
            }
            $.getp(API_INTERFACE_SENDFEEDBACK, {tokenid:tokenid,content:_content}, true, false,false, function (json) {
                //发送成功
                showtips('你的反馈已发送，感谢您的支持');
                Router.get_back_from(location.hash);
            },null,null);
        }
        else if(setdataexp.test(location.hash)){
            //资料编辑
            if($('#SetdataName').val().length<1){
                showtips('请输入您的昵称');
                return;
            }
            else if($('#SetdataName').val()=='注册用户'){
                showtips('对不起，昵称不能设置为注册用户');
                return;
            }
            else if($('#SetdataSex').text()!='男' && $('#SetdataSex').text()!='女'){
                showtips('请选择您的性别');
                return;
            }
            else if(/^\d{4}-\d{2}-\d{2}$/.test($('#SetdataBirthday').text())==false){
                showtips('请选择您的出生年月');
                return;
            }
            else if(/([^>]+)>([^>]+)/.test($('#SetdataCity').text())==false){
                showtips('请选择您的所在城市');
                return;
            }

            //上传图片到服务器
            var imguri=$('#FaceView').css('background-image');
            if(checkUploaded(imguri)!=0) {
                //默认图片，直接保存

                //保存资料
                var _name=$('#SetdataName').val();
                var _sex=$('#SetdataSex').text();
                _sex=_sex=='男'?'1':_sex=='女'?'0':'2';
                var _birthday=$('#SetdataBirthday').text();
                var _city='';
                var _province='';
                var _tcity=$('#SetdataCity').text();
                if(_tcity.indexOf('>')>-1){
                    var tmpCityArr=_tcity.split('>');
                    _city=tmpCityArr.pop();
                    _province=tmpCityArr.pop();
                }

                $.getp(API_INTERFACE_UPDATEMEMBER,{tokenid:tokenid,name:_name,birthday:_birthday,sex:_sex,province:_province,city:_city},true,true,false,function(json) {
                    showtips('资料保存成功');
                    user=json.Data;
                    $.flush_cache(API_INTERFACE_FINDMEMBER);
                    $.flush_cache(API_INTERFACE_GETCLOUDDOCLIST);
                    $.flush_cache(API_INTERFACE_FINDCLOUDDOC);
                    user.profilestatus==1;
                    Router.get_back_from(location.hash);
                },null,null);
            }
            else {
                showloading('上传中');
                var imgdata=imguri.substr(4,imguri.length-5);
                var filename = 'head' + (new Date()).pattern("yyyyMMddhhmmssS") + ".jpg";

                doUploadImgOrBase64(imgdata,filename,function(json){
                    //上传完成
                    hideloading();
                    if(typeof(json.response)=='string')
                        json=JSON.parse(json.response);

                    var _headphoto=json.url;

                    //保存资料
                    var _name=$('#SetdataName').val();
                    var _sex=$('#SetdataSex').text();
                    _sex=_sex=='男'?'1':_sex=='女'?'0':'2';
                    var _birthday=$('#SetdataBirthday').text();
                    var _city='';
                    var _province='';
                    var _tcity=$('#SetdataCity').text();
                    if(_tcity.indexOf('>')>-1){
                        var tmpCityArr=_tcity.split('>');
                        _city=tmpCityArr.pop();
                        _province=tmpCityArr.pop();
                    }

                    $.getp(API_INTERFACE_UPDATEMEMBER,{tokenid:tokenid,headphoto:_headphoto,name:_name,birthday:_birthday,sex:_sex,province:_province,city:_city/*,diseases:_diseases*/},true,true,false,function(json) {
                        showtips('资料保存成功');
                        user=json.Data;
                        $.flush_cache(API_INTERFACE_FINDMEMBER);
                        $.flush_cache(API_INTERFACE_GETCLOUDDOCLIST);
                        $.flush_cache(API_INTERFACE_FINDCLOUDDOC);
                        user.profilestatus==1;
                        Router.get_back_from(location.hash);
                    },null,null);
                },function(){
                    showtips('上传头像失败，请重试');
                    hideloading();
                });
            }
        }
        else if(setpwdexp.test(location.hash)){
            //修改密码
            var _oldpassword=$('#SetpwdOldpassword').val();
            var _newpassword=$('#SetpwdNewpassword').val();
            var _newpassword2=$('#SetpwdNewpassword2').val();
            if(_oldpassword.length<1){
                showtips('请输入原始密码');
                return;
            }
            if(_newpassword.length<1){
                showtips('请输入新密码');
                return;
            }
            if(_newpassword.length<6 || _newpassword.length>16){
                showtips('请输入6-16位的新密码');
                return;
            }
            if(_newpassword2.length<1){
                showtips('请确认新密码');
                return;
            }
            if(_newpassword!=_newpassword2){
                showtips('两次输入的密码不一致');
                return;
            }

            $.getp(API_INTERFACE_UPDATEPWD,{tokenid:tokenid,oldpassword:_oldpassword,newpassword:_newpassword},true,true,false,function(json) {
                showtips('密码修改成功');
                Router.get_back_from(location.hash);
            },null,null);
        }
        else if(cformexp.test(location.hash)){
            //提交点评
            do_debug('提交前的检查');
            showloading('处理中');

            var convenientlevel=$('#CfoConvenientScore').text();
            var costlevel=$('#CfoCostScore').text();
            var techlevel=$('#CfoTechScore').text();
            var servicelevel=$('#CfoServiceScore').text();
            var startlevel=$('#CfoTotalScore').text();
            var content=$('#CfoContent').val();

            if(convenientlevel.length<1){
                showtips('请对看病便捷度进行评分');
                hideloading();
                return;
            }
            if(costlevel.length<1){
                showtips('请对诊金合理度进行评分');
                hideloading();
                return;
            }
            if(techlevel.length<1){
                showtips('请对医生的医术进行评分');
                hideloading();
                return;
            }
            if(servicelevel.length<1){
                showtips('请对医生的服务态度进行评分');
                hideloading();
                return;
            }
            if(content.length<1){
                showtips('请填写总体评论');
                hideloading();
                return;
            }

            do_debug('检查通过，提交');

            var _doctorid=$('.title').data('doctorid');
            var _doctorname=$('.title').data('doctorname');

            var seedate=$('#CfoSeedate').text();
            var seetimefrom=$('#CfoSeetimefrom').text();
            var seetimeto=$('#CfoSeetimeto').text();

            var reason=$('#CfoReason').val();
            var resultcontent=$('#CfoResultcontent').val();

            var checkcontentarr=[];
            for(var i=0;i<$('.cfo_checkinput0').length;i++){
                var tmpv1=$('.cfo_checkinput0').eq(i).val();
                var tmpv2=$('.cfo_checkinput1').eq(i).val();
                if(tmpv1.length>0 || tmpv2.length>0)
                    checkcontentarr.push(tmpv1+' '+tmpv2+'元');
            }
            var checkcontent=checkcontentarr.join('<br />');

            var medicalcontentarr=[];
            for(var i=0;i<$('.cfo_medicalinput0').length;i++){
                var tmpv1=$('.cfo_medicalinput0').eq(i).val();
                var tmpv2=$('.cfo_medicalinput1').eq(i).val();
                if(tmpv1.length>0 || tmpv2.length>0)
                    medicalcontentarr.push(tmpv1+' '+tmpv2+'元');
            }
            var medicalcontent=medicalcontentarr.join('<br />');

            var cost=$('#CfoCost').val();

            do_debug('tokenid:'+tokenid+"\ndoctorid:"+_doctorid+"\ndoctorname:"+_doctorname);
            $.getp(API_INTERFACE_SAVECOMMENT, {
                tokenid:tokenid,
                doctorid:_doctorid,
                doctorname:_doctorname,
                startlevel:startlevel,
                convenientlevel:convenientlevel,
                costlevel:costlevel,
                techlevel:techlevel,
                servicelevel:servicelevel,
                content:content,
                seedate:seedate,
                seetimefrom:seetimefrom,
                seetimeto:seetimeto,
                reason:reason,
                resultcontent:resultcontent,
                checkcontent:checkcontent,
                medicalcontent:medicalcontent,
                cost:cost
            }, true, true,false, function (json) {
                showtips('点评提交成功');
                $.flush_cache(API_INTERFACE_FINDDOCTOR);
                $.flush_cache(API_INTERFACE_LISTMEMBERSCORE);
                $.flush_cache(API_INTERFACE_FINDMEMBER);
                $.flush_cache(API_INTERFACE_FINDDOCTORCOMMENT);
                $.flush_cache(API_INTERFACE_LISTMYCOMMENTS);
                $.flush_cache(API_INTERFACE_LISTDOCTORS);
                $.flush_cache(API_INTERFACE_LISTDOCTORS_ILL);
                $.flush_cache(API_INTERFACE_LISTDOCTORS_DEPT);
                $.flush_cache(API_INTERFACE_LISTDOCTORSBYHPTID);
                $.flush_cache(API_INTERFACE_GETDOCTORLEVELCOMMENT);
                Router.get_back_from(location.hash);
            },null,null);
            hideloading();
        }
    });

    $('.selectorlayout_backbtn,.giftlayout_backbtn,.noticelayout_backbtn').on(END_EV, function(e){
        if(moving>movingflag) return false;
        hidemenu();
    });

    //定时刷新红点提示
    setInterval(function(){
        reflushNotice();
    },REFLUSHINTERVAL);

    //图片点击显示详细，长按显示删除选项
    $(document).on(START_EV, '.viewsourceimg', function(){
        if(!$(this).hasClass('nav_rpic_img_i') && $('.cae_ctn_b_c,.cae_ctn_b_img_i,.cae_ctn_con_i_p_i').length>0)
            return;
        $__this=$(this);
        longjumpfunc=setTimeout(function(){
            moving = 100;
            togglemenu([{'title':'删除','link':'$__this.remove();'},{'title':'取消','link':''}]);
        },LONGENDTIME);
    });
    $(document).on(END_EV, '.viewsourceimg', function(){
        if(moving>movingflag) return false;

        //do_debug('打开图片'+$(this).css('background-image'));
        var imageSrc='';
        if($(this).is('img'))
            imageSrc=getImgFromCss($(this).attr('src'));
        else
            imageSrc=getImgFromCss($(this).css('background-image'));

        if(checkUploaded(imageSrc)==0) {
            do_debug(imageSrc);
            cordova.plugins.bridge.open(imageSrc, function () {do_debug('打开本地图片成功');}, function (code) {do_debug('打开本地图片失败，代码：'+code);}, true);
            return;
        }

        __imageSrc=imageSrc;

        //缓存目录
        __singlepath=($(this).data('pathname'))?$(this).data('pathname'):'tmp';

        imageEntry.getDirectory(__singlepath, {
            create: true,
            exclusive: false
        }, function (entry) {
            var filename = __imageSrc.substr(__imageSrc.lastIndexOf('/') + 1);
            entry.getFile(filename, {create: false, exclusive: false}, function (fileEntry) {
                do_debug('找到本地文件');
                cordova.plugins.bridge.open(fileEntry.toURL(), function () {
                }, function (code) {
                }, true);
            }, function (error) {
                //读取失败或不存在，去下载文件
                do_debug(error.code);

                do_debug('找不到本地文件');
                showloading('下载中');
                var fileTransfer = new FileTransfer();
                fileTransfer.download(
                    __imageSrc,
                    (fullPathImage + __singlepath + '/' + __imageSrc.substr(__imageSrc.lastIndexOf('/') + 1)),
                    function (entry) {
                        hideloading();
                        cordova.plugins.bridge.open(entry.toURL(), function () {
                        }, function (code) {
                        }, true);
                    },
                    function (error) {
                        //缓存图片到本地失败
                        showtips('下载大图失败');
                        hideloading();
                    },
                    false,
                    {}
                );
            });
        }, function () {
            //创建文件夹失败
            do_debug('创建文件夹失败');
            cordova.plugins.bridge.open(__imageSrc, function () {
            }, function (code) {
            }, true);
        });
    });

    //医生个人页的底部菜单定义
    //关注
    $('.nav_att').on(START_EV,function(){
        $(this).addClass('nav_att_active');
    }).on(MOVE_EV,function(){
        $(this).removeClass('nav_att_active');
    }).on(END_EV,function(){
        $(this).removeClass('nav_att_active');
        if (moving>movingflag) return false;
        if(!ismember()){
            showtips('请先登录');
            location.hash='#login';
            return;
        }
        var _doctorid=$('.title').data('doctorid');
        $.getp(API_INTERFACE_ADDDOCATTENTION,{tokenid:tokenid,doctorid:_doctorid},true,true,false,function(json){
            //把资料更新到全局变量中
            if(location.hash.substr(1,7)=='doctor_'){
                $('.nav_att').hide();
                $('.nav_unatt').show();
                var _tmpAtt=$('.doc_int_v_att').text();
                $('.doc_int_v_att').text(++_tmpAtt);
            }
            if($('.doc_int_d_comment').length>0){
                var oldval=$('.doc_int_d_comment').text().replace('关注 ','');
                $('.doc_int_d_comment').text('关注 '+(1*oldval+1));
            }

            $.flush_cache(API_INTERFACE_FINDDOCTOR);
            $.flush_cache(API_INTERFACE_ATTENTIONLIST);
            $.flush_cache(API_INTERFACE_PATIENTHOSPITAL);
            $.flush_cache(API_INTERFACE_PATIENTDEPTNAME);
            $.flush_cache(API_INTERFACE_CHECKATTENTION);
            $.flush_cache(API_INTERFACE_LISTDOCTORS);
            $.flush_cache(API_INTERFACE_LISTDOCTORS_ILL);
            $.flush_cache(API_INTERFACE_LISTDOCTORS_DEPT);
            $.flush_cache(API_INTERFACE_LISTDOCTORSBYHPTID);
        },null,null);
    });
    //取消关注
    $('.nav_unatt').on(START_EV,function(){
        $(this).addClass('nav_unatt_active');
    }).on(MOVE_EV,function(){
        $(this).removeClass('nav_unatt_active');
    }).on(END_EV,function(){
        $(this).removeClass('nav_unatt_active');
        if (moving>movingflag) return false;
        if(!ismember()){
            showtips('请先登录');
            location.hash='#login';
            return;
        }
        var _doctorid=$('.title').data('doctorid');
        $.getp(API_INTERFACE_DELETEATTENTION,{tokenid:tokenid,doctorid:_doctorid},true,true,false,function(json){
            //把资料更新到全局变量中
            if(location.hash.substr(1,7)=='doctor_'){
                $('.nav_att').show();
                $('.nav_unatt').hide();
                var _tmpAtt=$('.doc_int_v_att').text();
                $('.doc_int_v_att').text(--_tmpAtt);
            }
            if($('.doc_int_d_comment').length>0){
                var oldval=$('.doc_int_d_comment').text().replace('关注 ','');
                $('.doc_int_d_comment').text('关注 '+(1*oldval-1));
            }

            $.flush_cache(API_INTERFACE_FINDDOCTOR);
            $.flush_cache(API_INTERFACE_ATTENTIONLIST);
            $.flush_cache(API_INTERFACE_PATIENTHOSPITAL);
            $.flush_cache(API_INTERFACE_PATIENTDEPTNAME);
            $.flush_cache(API_INTERFACE_CHECKATTENTION);
            $.flush_cache(API_INTERFACE_LISTDOCTORS);
            $.flush_cache(API_INTERFACE_LISTDOCTORS_ILL);
            $.flush_cache(API_INTERFACE_LISTDOCTORS_DEPT);
            $.flush_cache(API_INTERFACE_LISTDOCTORSBYHPTID);
        },null,null);
    });
    //礼物
    $('.nav_gift').on(START_EV,function(){
        $(this).addClass('nav_gift_active');
    }).on(MOVE_EV,function(){
        $(this).removeClass('nav_gift_active');
    }).on(END_EV,function(){
        $(this).removeClass('nav_gift_active');
        if (moving>movingflag) return false;

        $menubg.show();
        $('.giftlayout').show();
        preventScroll();
    });
    //点评
    $('.nav_gocom').on(START_EV,function(){
        $(this).addClass('nav_gocom_active');
    }).on(MOVE_EV,function(){
        $(this).removeClass('nav_gocom_active');
    }).on(END_EV,function(){
        $(this).removeClass('nav_gocom_active');
        if (moving>movingflag) return false;

        if(ismember()) {
            var _doctorid=$('.title').data('doctorid');
            var _doctorname=$('.title').data('doctorname');
            $.getp(API_INTERFACE_ISCOMMENT, {
                tokenid: tokenid,
                doctorid: _doctorid
            }, true, true, false, function (json) {
                //有点评资格
                location.hash='#cform_'+_doctorid+'_'+encodeURIComponent(_doctorname);
            }, function (json) {
                showtips('您今天已对该医生进行过点评');
            }, null);
        }
        else{
            showtips('请先登录');
            location.hash='#login';
        }
    });
    //纠错
    $('.nav_feederror').on(START_EV,function(){
        $(this).addClass('nav_feederror_active');
    }).on(MOVE_EV,function(){
        $(this).removeClass('nav_feederror_active');
    }).on(END_EV,function(){
        $(this).removeClass('nav_feederror_active');
        if (moving>movingflag) return false;

        if(!ismember()){
            showtips('请先登录');
            location.hash='#login';
            return;
        }
        var _doctorid=$('.title').data('doctorid');
        togglemenu([{"title":"查无此人","link":"sendDoctorError(0,"+_doctorid+");"},{"title":"信息重复","link":"sendDoctorError(1,"+_doctorid+");"},{"title":"医院科室错误","link":"sendDoctorError(2,"+_doctorid+");"},{"title":"医生信息错误","link":"sendDoctorError(3,"+_doctorid+");"}]);

    });

    //圈子，评论
    $('.circlereplybg').on(END_EV,function() {
        if (moving > movingflag) return false;
        hidecirclereplyfooter();
        showcirclefooter();
    });
    $('.nav_raddpic').on(END_EV,function() {
        if (moving > movingflag) return false;

        $('.mainbody').css('padding-bottom', '181px');
        $('.circlereplyfooter').css('height','180px');
        takePhoto(false);
    });
    $('.nav_rpic_img_i_a').on(END_EV,function() {
        if (moving > movingflag) return false;
        takePhoto(false);
    });
    $('.nav_rbtn').on(END_EV,function() {
        if (moving > movingflag) return false;

        var _content=$('#CircleReplyContent').val();
        if(_content.replaceAll(' ','').length<1){
            showtips('请输入回复内容');
            return;
        }

        //上传并提交
        _gallery=[];
        var tmpL=$('.nav_rpic_img_i').length;
        uploadMission=tmpL;
        if(uploadMission==0){
            var _articleid=$('.title').data('articleid');
            var _replyid=$('#CircleReplyContent').data('replyid');

            if(_replyid==0) {
                $.getp(API_INTERFACE_SAVEGROUPREPLY, {
                    tokenid:tokenid,
                    articleid:_articleid,
                    content:_content,
                    gallery:''
                }, true, true,false, function (json) {
                    showtips('回复成功');
                    $.flush_cache(API_INTERFACE_GROUPALL);
                    Router.refresh();
                },null,null);
            }
            else {
                $.getp(API_INTERFACE_GROUUPREPLYTOREPLY, {
                    tokenid: tokenid,
                    replyid: _replyid,
                    content: _content,
                    gallery: _gallery.join('|#|')
                }, true, true, false, function (json) {
                    showtips('回复成功');
                    $.flush_cache(API_INTERFACE_GROUPALL);
                    Router.refresh();
                }, null, null);
            }
        }
        else {
            __uploadFailed = false;
            showloading('上传中');
            for (var i = 0; i < tmpL; i++) {
                //上传图片到服务器
                var imguri = $('.nav_rpic_img_i').eq(i).css('background-image');

                var imgdata = imguri.substr(4, imguri.length - 5);
                var filename = 'reply' + (new Date()).pattern("yyyyMMddhhmmssS") + '_' + i + '_' + ".jpg";

                doUploadImgOrBase64(imgdata, filename, function (json) {
                    //上传完成

                    do_debug(json.title);
                    var xi = (json.title.split('_'));
                    _gallery[1 * xi[1]] = json.original + '|:|' + json.url;

                    if (--uploadMission < 1 && !__uploadFailed) {
                        hideloading();
                        //提交点评
                        var _articleid=$('.title').data('articleid');
                        var _content=$('#CircleReplyContent').val();
                        var _replyid=$('#CircleReplyContent').data('replyid');

                        if(_replyid==0) {
                            $.getp(API_INTERFACE_SAVEGROUPREPLY, {
                                tokenid: tokenid,
                                articleid: _articleid,
                                content: _content,
                                gallery: _gallery.join('|#|')
                            }, true, true, false, function (json) {
                                showtips('回复成功');
                                $.flush_cache(API_INTERFACE_GROUPALL);
                                Router.refresh();
                            }, null, null);
                        }
                        else {
                            $.getp(API_INTERFACE_GROUUPREPLYTOREPLY, {
                                tokenid: tokenid,
                                replyid: _replyid,
                                content: _content,
                                gallery: _gallery.join('|#|')
                            }, true, true, false, function (json) {
                                showtips('回复成功');
                                $.flush_cache(API_INTERFACE_GROUPALL);
                                Router.refresh();
                            }, null, null);
                        }
                    }
                }, function () {
                    __uploadFailed = true;
                    showtips('上传图片遇到了问题，请重试');

                    if (--uploadMission < 1 && __uploadFailed) {
                        hideloading();
                    }
                });
            }
        }
    });

    //私信发送
    $('.nav_chatbtn').on(END_EV,function() {
        if (moving > movingflag) return false;

        var _content=$('#ChatContent').val();
        if(_content.replaceAll(' ','').length<1){
            showtips('请输入你想说的话');
            return;
        }

        //发送
        var _memberid=$('.title').data('memberid');
        $.getp(API_INTERFACE_SENDMEMBERMSG, {
            tokenid: tokenid,
            memberid: _memberid,
            content: _content
        }, true, true, false, function (json) {
            //showtips('发送成功');
            __chatitemcount++;

            var userface=fiximg(user.headphoto,'_S');

            $('.chat_con').append('<div class="chat_i chat_self">'
                +'<div class="chat_i_f"'
                +(userface!==false?(' style="background-image:url('+userface+');"'):'')
                +'></div>'
                +'<div class="chat_i_v">'+$('#ChatContent').val()+'</div>'
                +'<div class="chat_i_p" ></div>'
                +'</div>');
            $('#ChatContent').val('');
            $('.frame').scrollTop(100000);
        }, null, null);
    });

    //安卓键盘返回按钮监听
    if(isAndroid) {
        exiton = false;
        backhandler = function () {
            if($('.loadingbg').is(':visible')){
                return false;
            }
            else if($('.menubglayout').is(':visible')){
                hidemenu();
            }
            else if($('.sfe').is(':visible')){
                hidemenu();
            }
            else if(location.hash.length<2 || location.hash=='#home' || location.hash=='#start'){
                if(exiton){
                    //关闭APP
                    navigator.app.exitApp();
                }
                else{
                    showtips('再按一次返回将退出应用');
                    exiton=true;
                    do_timeout(function(){exiton=false},2000);
                }
            }
            else if(location.hash=='#regb' || location.hash=='#regc'){
                return false;
            }
            else{
                Router.get_back_from(location.hash);
            }
            return false;
        }
        document.addEventListener('backbutton', backhandler, false);
    }


    //检查更新
    if(isAndroid) {
        var _apptype = isAndroid ? 'ANDROID' : 'IPHONE';
        $.getp(API_INTERFACE_GETNEWESTAPP, {apptype: _apptype}, true, true, false, function (json) {
            if (typeof(json.Data) === 'undefined') {
                return;
            }
            else {
                var newestVersion = json.Data;
                if (newestVersion.versioncode > APP_VERSIONCODE) {
                    //showtips('检测到新版本 '+newestVersion.versionname);/
                    __newestVersion = newestVersion;
                    var tmpTips = (__newestVersion.updatecode > APP_VERSIONCODE) ? "\n当前版本已不可用" : "";
                    do_confirm("最新版本：" + newestVersion.versionname + "\n当前版本：" + APP_VERSIONNAME + tmpTips, {
                        'title': '检测到新版本',
                        'choice': ['暂不更新', '马上更新']
                    }, function (result) {
                        if (result == 2) {
                            //马上更新
                            location.hash = '#updetail';
                        }
                        else {
                            //暂不更新
                            if (__newestVersion.updatecode > APP_VERSIONCODE)
                                navigator.app.exitApp();
                        }
                    });
                    //do_timeout(function(){
                    //    togglemenu([{'title':'马上更新','link':'#updetail'},{'title':'稍候再提醒我','link':''}]);
                    //},500);
                }
            }
        }, null, null);
    }
};

function startPage(u){
    //显示底部
    hidefooter();
    hideheader();

    __firstopen=(u[1]=='f');

    //检查网络
    $.getp(API_INTERFACE_CHECKCONNECT,{},true,true,false,function(json){
        //有网络
        doStartPage();
    },function(json){
        //有网络
        doStartPage();
    },function(){
        //有异常
        //读取模板
        var html = $.tmpl('#tmpl_start');
        //新页面滑入
        slide_in(html, rStart, '.frame', function(){
            showtips('连接服务器失败，请检查网络连接');
            $('.start_reconnect').show().on(END_EV,function() {
                if (moving>movingflag) return false;

                Router.refresh();
            });
        });
    });
}
function doStartPage(){
    if(ismember()){
        //更新资料后进入
        $.getp(API_INTERFACE_FINDMEMBER,{tokenid:tokenid},true,true,false,function(json){
            //把资料更新到全局变量中
            user=json.Data;
            location.hash='#home';
        },function(json){
            showtips(json.Error);
            unsetmember();
            location.hash='#login';
        },null);
    }
    else if(__firstopen){
        location.hash='#home';
    }
    else{
        location.hash='#login';
    }
}

function loginPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_login');
    //新页面滑入
    slide_in(html, rRega, '.frame', function(){
        //显示底部
        hidefooter();
        showheader('登录',0,0,2);

        $('#LoginBtn').on(END_EV, function () {
            if (moving>movingflag) return false;

            var _phonenum = $('#LoginPhonenum').val();
            var _password = $('#LoginPassword').val();
            if (_phonenum.length < 1) {
                showtips('请输入手机号码');
                return;
            }
            else if (_password.length < 1) {
                showtips('请输入密码');
                return;
            }

            //调用接口登录
            $.getp(API_INTERFACE_LOGIN, {
                phonenum: _phonenum,
                password: _password
            }, true, true, false, function (json) {
                tokenid = json.Data.tokenid;
                window.localStorage.setItem('tokenid', tokenid);
                $.getp(API_INTERFACE_FINDMEMBER, {tokenid: tokenid}, true, true, false, function (json) {
                    //把资料更新到全局变量中
                    user = json.Data;
                    showtips('登录成功');
                    if(Router.history(-1)=='#login' || Router.history(-1)=='')
                        location.hash='#home';
                    else
                        Router.get_back_from(location.hash);
                }, null, null);
            }, null, null);
        });
    });
}

function regaPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_rega');
    //新页面滑入
    slide_in(html, rRega, '.frame', function(){
        //显示底部
        hidefooter();
        showheader('用户注册',0,0,-1);


        $('.reg_protocol').on(END_EV,function() {
            if (moving > movingflag) return false;
            $.getp(API_INTERFACE_GETREGPROTOCOL, {}, true, false, false, function (json) {
                var protocol = '';
                if (typeof(json.Data) !== 'undefined') {
                    protocol = json.Data.content;
                }
                shownotice('注册协议', protocol);
            }, null, null);
            moving=10;
        });

        $('.reg_agree').on(END_EV,function() {
            if (moving>movingflag) return false;
            $('.reg_agree i').toggleClass('reg_checked');
        });

        $('#RegGetcodeBtn').on(END_EV,function() {
            if (moving>movingflag) return false;

            if($(this).hasClass('reg_getcode_btn_disabled')){
                return;
            }

            //发送验证码
            var _phonenum=$('#RegPhonenum').val();
            if(!/^1[0-9]{10}$/.test(_phonenum)){
                showtips('手机号码不合法');
                return;
            }

            $.getp(API_INTERFACE_SENDMSG,{phonenum:_phonenum},true,true,false,function(json){
                __regcode = json.Data.regcode;
                showtips('验证码已发送');
                __sec=59;
                $('#RegGetcodeBtn').addClass('reg_getcode_btn_disabled').text(__sec+' 秒');
                do_interval(function(){
                    __sec=__sec-1;
                    if(__sec<=0) {
                        $('#RegGetcodeBtn').removeClass('reg_getcode_btn_disabled').text('发送验证码');
                        clearInterval();
                    }
                    else
                        $('#RegGetcodeBtn').text(__sec+' 秒');
                },1000);
            },function(json){
                showtips(json.Error);
                if(json.Error.indexOf('已存在')>-1){
                    Router.get_back_from(location.hash);
                }
            },null);
        });

        $('#RegBtn').on(END_EV,function() {
            if (moving>movingflag) return false;

            if(typeof(__regcode)==='undefined') {
                showtips('请通过手机获取验证码');
                return;
            }

            //验证验证码
            var _phonenum=$('#RegPhonenum').val();
            var _regcode=__regcode;
            var _password=$('#RegPassword').val();
            var _vcode=$('#RegVerifycode').val();
            if(!/1[0-9]{10}/.test(_phonenum)){
                showtips('手机号码不合法');
                return;
            }
            else if(_password.length<6 || _password.length>16){
                showtips('请输入6-16位密码');
                return;
            }
            else if(_vcode.length<1){
                showtips('请输入验证码');
                return;
            }
            else if($('.reg_checked').length<=0){
                showtips('必须同意《点医网用户协议及隐私政策》才能完成注册');
                return;
            }
            $.getp(API_INTERFACE_CHECKMSG,{phonenum:_phonenum,regcode:_regcode,vcode:_vcode,password:_password,repassword:_password},true,true,false,function(json){
                tokenid = json.Data.tokenid;
                window.localStorage.setItem('tokenid',tokenid);
                showtips('注册并登录成功');
                location.hash='#start';
            },null,null);
            /*$.getp(API_INTERFACE_CHECKMSG,{phonenum:_phonenum,regcode:_regcode,vcode:_vcode},true,true,false,function(json){
                __phonenum=$('#RegaPhonenum').val();
                showtips('验证通过');
                location.hash='#regb';
            },null,null);*/
        });
    });
}

function forgetaPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_forgeta');
    //新页面滑入
    slide_in(html, rForgeta, '.frame', function(){
        //显示底部
        hidefooter();
        showheader('找回密码',0,0,-1);

        $('#ForgetGetcodeBtn').on(END_EV,function() {
            if (moving>movingflag) return false;

            if($(this).hasClass('forget_getcode_btn_disabled')){
                return;
            }

            //发送验证码
            var _phonenum=$('#ForgetPhonenum').val();
            if(!/^1[0-9]{10}$/.test(_phonenum)){
                showtips('手机号码不合法');
                return;
            }

            $.getp(API_INTERFACE_FORGETSENDMSG,{phonenum:_phonenum},true,true,false,function(json){
                __regcode = json.Data.regcode;
                showtips('验证码已发送');
                __sec=59;
                $('#ForgetGetcodeBtn').addClass('forget_getcode_btn_disabled').text(__sec+' 秒');
                do_interval(function(){
                    __sec=__sec-1;
                    if(__sec<=0) {
                        $('#ForgetGetcodeBtn').removeClass('forget_getcode_btn_disabled').text('发送验证码');
                        clearInterval();
                    }
                    else
                        $('#ForgetGetcodeBtn').text(__sec+' 秒');
                },1000);
            },function(json){
                showtips(json.Error);
                if(json.Error.indexOf('已存在')>-1){
                    Router.get_back_from(location.hash);
                }
            },null);
        });

        $('#ForgetNext').on(END_EV,function() {
            if (moving>movingflag) return false;

            if(typeof(__regcode)==='undefined') {
                showtips('请通过手机获取验证码');
                return;
            }

            //验证验证码
            var _phonenum=$('#ForgetPhonenum').val();
            var _regcode=__regcode;
            var _vcode=$('#ForgetVerifycode').val();
            if(!/1[0-9]{10}/.test(_phonenum)){
                showtips('手机号码不合法');
                return;
            }
            else if(_vcode.length<1){
                showtips('请输入验证码');
                return;
            }
            $.getp(API_INTERFACE_FORGETCHECKMSG,{phonenum:_phonenum,regcode:_regcode,vcode:_vcode},true,true,false,function(json){
                __phonenum=$('#ForgetPhonenum').val();
                showtips('验证通过，请设置新密码');
                location.hash='#forgetb';
            },null,null);
        });
    });
}

function forgetbPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_forgetb');
    //新页面滑入
    slide_in(html, rForgetb, '.frame', function(){
        //显示底部
        hidefooter();
        showheader('重置密码',0,0,-1);

        $('#ForgetBtn').on(END_EV,function() {
            if (moving>movingflag) return false;

            if(typeof(__phonenum)==='undefined' || typeof(__regcode)==='undefined'){
                showtips('该页面已过期，请重新进行操作');
                location.hash='#start';
            }

            //设置密码
            var _phonenum=__phonenum;
            var _regcode=__regcode;
            var _password=$('#ForgetPassword').val();
            var _repassword=$('#ForgetPassword2').val();

            if(_password.length<6 || _password.length>16){
                showtips('请输入6-16位的新密码');
                return;
            }
            else if(_repassword.length<1){
                showtips('请确认新密码');
                return;
            }
            else if(_password!=_repassword){
                showtips('两次输入的密码不相同');
                return;
            }

            $.getp(API_INTERFACE_FORGETSETPASSWORD,{phonenum:_phonenum,regcode:_regcode,newpassword:_password,renewpassword:_repassword},true,true,false,function(json){
                tokenid = json.Data.tokenid;
                window.localStorage.setItem('tokenid',tokenid);
                showtips('修改密码并登录成功');
                location.hash='#start';
            },null,null);
        });
    });
}

function homePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_home');
    //新页面滑入
    slide_in(html, rHome, '.frame', function(){
        //滑入完成后的处理

        //显示底部
        showfooter(0);
        showheader('',1,1,0);

        //读取城市
        if(typeof(defcity)!=='undefined' && defcity)
            $('#ComCity').text(defcity);
        else{
            if(ismember() && user.city.length>0)
                defcity=user.city;
            else
                defcity='上海市';
            window.localStorage.setItem('defcity',defcity);
            $('#ComCity').text(defcity);
        }

        $('#ComCity').on(END_EV,function(){
            if(moving>movingflag) return false;
            callSelectCity('ComCity',1,0,1,0,'',true);
        });


        $('.searchinput').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        //广告轮播
        $.getp(API_INTERFACE_LISTADSLIDEPIC, {columntype:'INDEX',pageNum:1,pageSize:4}, true, false,false, function (json) {
            if(json.Data.length==0){
                $('.ind_ads').hide();
                return;
            }
            var $adcontainer=$('.ind_ads_p');
            $adcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmpbanner=fiximg(json.Data[i].banner,'_L');
                var $adsi=$(document.createElement('div'));
                $adsi.addClass('ind_ads_i');
                $adsi.css('background-image','url('+tmpbanner+')');
                $adsi.data('url',json.Data[i].url);
                $adsi.appendTo($adcontainer);

                if(json.Data[i].adtype=='PAGE') {
                    //网页
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        var ctokenid='';
                        if(ismember()){
                            ctokenid=tokenid;
                        }
                        cordova.InAppBrowser.open($(this).data('url').replace('$tokenid',ctokenid), '_blank');
                    });
                }
                else if(json.Data[i].adtype=='APP') {
                    //APP里的内容
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        var tmpurl=$(this).data('url');
                        if(tmpurl.substr(0,8)=='ARTICLE:')
                            location.hash='#article_'+tmpurl.substr(8);
                        else if(tmpurl.substr(0,13)=='GROUPARTICLE:')
                            location.hash='#cirarticle_'+tmpurl.substr(13);
                        else if(tmpurl.substr(0,7)=='DOCTOR:')
                            location.hash='#doctor'+tmpurl.substr(7);
                    });
                }
                else if(json.Data[i].adtype=='IMAGE') {
                    //大图
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        selectAdImgUrl=$(this).data('url');
                        location.hash='#adpage';
                    });
                }
            }
            $adcontainer.slick({
                infinite: true,
                autoplay: true,
                autoplaySpeed: 4000,
                dots: true,
                speed: 200,
                prevArrow: '',
                nextArrow: ''
            });
        },null,null);

        //找医生或热门社区，切换
        $('#IndFindModule').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#IndFindModule').addClass('active');
            $('#IndFindCircle').removeClass('active');
            $('.ind_module').show();
            $('.ind_circle').hide();
        });
        $('#IndFindCircle').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#IndFindCircle').addClass('active');
            $('#IndFindModule').removeClass('active');
            $('.ind_circle').show();
            $('.ind_module').hide();
        });

        //热门圈子
        $.getp(API_INTERFACE_INDLISTHOTCIRCLE, {pageNum:1,pageSize:3}, true, false,false, function (json) {
            var $circlecontainer=$('#IndHotCircleContainer');
            $circlecontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmplogo=fiximg(json.Data[i].logo,'_S');
                $circlecontainer.append('<div class="ind_circle_i link" rel="#cirgroup_'+json.Data[i].id+'"><div class="ind_circle_i_f"'
                    +(tmplogo?' style="background-image:url('+tmplogo+')"':'')
                    +'></div><div class="ind_circle_i_n">'+json.Data[i].name+'</div></div>');
            }
        },null,null);

        if(ismember()){
            $.getp(API_INTERFACE_FINDMEMBER, {tokenid: tokenid}, true, false, false,function (json) {
                //把资料更新到全局变量中
                user = json.Data;

                /*var userface=fiximg(user.headphoto,'_S');
                if(userface!==false)
                    $('.face').css('background-image','url('+userface+')');*/
            }, null, null);
        }

        //个性推荐
        var tmpDis=[];
        if(typeof(user)!=='undefined' && typeof(user.diseases)==='string' && user.diseases.length>0){
            tmpDis=user.diseases.split(',');
        }
        if(tmpDis.length>0){
            $('.ind_ranking_b_more').prevAll().remove();
            for(var i=0;i<tmpDis.length && i<3;i++){
                var $disitem=$(document.createElement('div'));
                $disitem.attr('class','ind_ranking_b_i link');
                $disitem.html('<i></i>'+tmpDis[i]);
                $disitem.on(END_EV,function(){
                    if(moving>movingflag) return false;
                    $(this).addClass('active').siblings().removeClass('active');

                    __nowIndAttDis=$(this).text();
                    listIndOrder(0,__nowIndAttDis);
                    listIndOrder(1,__nowIndAttDis);
                    listIndOrder(2,__nowIndAttDis);
                });
                $('.ind_ranking_b_more').before($disitem);
            }
            if(typeof(__nowIndAttDis)==='undefined')
                __nowIndAttDis='';
            var i;
            for(i=0;i<$('.ind_ranking_b_i').length;i++){
                if($('.ind_ranking_b_i').eq(i).text()==__nowIndAttDis){
                    $('.ind_ranking_b_i').eq(i).addClass('active').siblings().removeClass('active');
                    i=10;
                }
            }
            if(i!=11){
                $('.ind_ranking_b_i').eq(0).addClass('active').siblings().removeClass('active');
                __nowIndAttDis=$('.ind_ranking_b_i').eq(0).text();
            }
            //医院排行
            listIndOrder(0,__nowIndAttDis);
            //医生排行
            listIndOrder(1,__nowIndAttDis);
            //文章排行
            listIndOrder(2,__nowIndAttDis);
        }
        else{
            $.getp(API_INTERFACE_LISTDISEASES, {indextype:'indexnum',pageNum:1,pageSize:3}, true, false,false, function (json) {
                for(var i=0;i<json.Data.length;i++){
                    tmpDis.push(json.Data[i].cnname);
                }
                $('.ind_ranking_b_more').prevAll().remove();
                for(var i=0;i<tmpDis.length && i<3;i++){
                    var $disitem=$(document.createElement('div'));
                    $disitem.attr('class','ind_ranking_b_i link');
                    $disitem.html('<i></i>'+tmpDis[i]);
                    $disitem.on(END_EV,function(){
                        if(moving>movingflag) return false;
                        $(this).addClass('active').siblings().removeClass('active');

                        __nowIndAttDis=$(this).text();
                        listIndOrder(0,__nowIndAttDis);
                        listIndOrder(1,__nowIndAttDis);
                        listIndOrder(2,__nowIndAttDis);
                    });
                    $('.ind_ranking_b_more').before($disitem);
                }
                if(typeof(__nowIndAttDis)==='undefined')
                    __nowIndAttDis='';
                var i;
                for(i=0;i<$('.ind_ranking_b_i').length;i++){
                    if($('.ind_ranking_b_i').eq(i).text()==__nowIndAttDis){
                        $('.ind_ranking_b_i').eq(i).addClass('active').siblings().removeClass('active');
                        i=10;
                    }
                }
                if(i!=11){
                    $('.ind_ranking_b_i').eq(0).addClass('active').siblings().removeClass('active');
                    __nowIndAttDis=$('.ind_ranking_b_i').eq(0).text();
                }
                //医院排行
                listIndOrder(0,__nowIndAttDis);
                //医生排行
                listIndOrder(1,__nowIndAttDis);
                //文章排行
                listIndOrder(2,__nowIndAttDis);
            }, null, null);
        }

        //选择关注疾病
        $('.ind_ranking_b_more').on(END_EV,function(){
            if(moving>movingflag) return false;

            if(!ismember()){
                showtips('请先登录');
                location.hash='#login';
                return;
            }

            var $dislayoutcontainer = $('.dislayout');
            $menubg = $('.menubglayout');

            $('.dislayout_backbtn').remove();
            $('.dislayout_sure').remove();
            $dislayoutcontainer.empty().show();
            $menubg.show();
            preventScroll();

            $dislayoutcontainer.append('<div class="dislayout_header"><div class="dislayout_backbtn link">返回</div><div class="dislayout_title">热门疾病</div><div class="dislayout_sure link">确定</div></div>');
            $dislayoutcontainer.append('<div class="dislayout_body"></div>');

            $('.dislayout_backbtn').on(END_EV,function(){
                if (moving>movingflag) return false;
                hidemenu();
            });

            $('.dislayout_sure').on(END_EV,function(){
                if (moving>movingflag) return false;
                /*if($('.dislayout_body>.active').length<1){
                 showtips('请选择关注疾病');
                 return;
                 }*/
                showloading('处理中');
                var _diseasesarr=[];
                for(var i=0;i<$('.dislayout_body>.active').length;i++){
                    _diseasesarr.push($('.dislayout_body>.active').eq(i).text());
                }
                var _diseases=_diseasesarr.join(',');

                $.getp(API_INTERFACE_SETDISEASES,{tokenid:tokenid,diseases:_diseases},true,true,true,function(json){
                    $.getp(API_INTERFACE_FINDMEMBER,{tokenid:tokenid},true,true,true,function(json){
                        //把资料更新到全局变量中
                        hidemenu();
                        user=json.Data;
                        hideloading();
                        Router.refresh();
                    },null,null);
                },null,null);
            });

            $.getp(API_INTERFACE_LISTDISEASES, {indextype:'indexnum',pageNum:1,pageSize:100}, true, false,false, function (json) {
                var selectedDisArr=[];
                for(var i=0;i<$('.ind_ranking_b_i').length;i++){
                    selectedDisArr.push($('.ind_ranking_b_i').eq(i).text());
                }
                for(var i=0;i<json.Data.length;i++){
                    var $newitem=$(document.createElement('div'));
                    $newitem.addClass('dislayout_item');
                    if($.inArray(json.Data[i].cnname,selectedDisArr)>-1)
                        $newitem.addClass('active');
                    $newitem.html('<div><span>'+json.Data[i].cnname+'</span></div>');
                    $('.dislayout_body').append($newitem);
                    $newitem.on(END_EV,function(){
                        if (moving>movingflag) return false;
                        if(!$(this).hasClass('active') && $(this).siblings('.active').length==3){
                            showtips('最多只允许关注三个疾病');
                            return;
                        }
                        $(this).toggleClass('active');
                    });
                }
            },null,null);
        });


        if(typeof(__defSelectedRec)==='number'){
            $('#IndTabHeader>div').eq(__defSelectedRec).addClass('active').siblings().removeClass('active');
            $('#IndTabBody>div').eq(__defSelectedRec).addClass('active').siblings().removeClass('active');
        }

        $('#IndTabHeader>div').on(END_EV,function(){
            if(moving>movingflag) return false;
            var acttab=$(this).index();
            $('#IndTabBody>div').eq(acttab).addClass('active').siblings().removeClass('active');
            $(this).addClass('active').siblings().removeClass('active');
            __defSelectedRec=acttab;
        });
    });
}
function listIndOrder(model,_diseases){
    //model 填充的对象类型  0:医院   1:医生   2:文章
    if(model==0){
        var _pageNum=1;
        var _pageSize=10;
        var _city=(typeof(defcity)!=='undefined')?defcity:'';
        $.getp(API_INTERFACE_LISTHOSPITALSORDER, {diseases:_diseases,pageNum:_pageNum,pageSize:_pageSize,city:_city}, true, false,false, function (json) {
            //把资料更新到全局变量中
            var $doctorcontainer=$('#IndListHospital');
            $doctorcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var hosface=fiximg(json.Data[i].logo,'_S');
                $doctorcontainer.append('<div class="ind_list_b_hi link" rel="#hptdetail_'
                    +json.Data[i].id
                    +'"><div class="ind_list_b_hi_con">'
                    +'<div class="ind_list_b_hi_f"'
                    +(hosface!==false?' style="background-image:url('+hosface+')"':'')
                    +'></div>'
                    //+(json.Data[i].distance==0?'':json.Data[i].distance>100000?('<div class="ind_list_b_hi_d">&gt;100km</div>'):json.Data[i].distance>=100?('<div class="ind_list_b_hi_d">'+(Math.floor(json.Data[i].distance/100)/10)+'km</div>'):('<div class="ind_list_b_hi_d">'+json.Data[i].distance+'m</div>'))
                    +'<div class="ind_list_b_hi_n">'
                    +json.Data[i].name
                    +'</div>'
                    +'<div class="ind_list_b_hi_l">'
                    +json.Data[i].histype
                    +'</div>'
                    +'<div class="ind_list_b_hi_a">'
                    +json.Data[i].address
                    +'</div>'
                    +'</div>'
                    +'</div>');
            }
            if(json.Data.length<1){
                $doctorcontainer.append('<div class="def_noitemdiv">目前平台暂时仅提供北上广三个城市的推荐信息，谢谢您的支持</div>');
            }
        }, null, null);
    }
    else if(model==1){
        var _pageNum=1;
        var _pageSize=10;
        var _city=(typeof(defcity)!=='undefined')?defcity:'';
        $.getp(API_INTERFACE_LISTDOCTORSORDER, {diseases:_diseases,pageNum:_pageNum,pageSize:_pageSize,city:_city}, true, false,false, function (json) {
            //把资料更新到全局变量中
            var $doctorcontainer=$('#IndListDoctor');
            $doctorcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var doctorface=fiximg(json.Data[i].logo,'_S');
                $doctorcontainer.append('<div class="ind_list_b_i link" rel="#doctor_'
                    +json.Data[i].id
                    +'">'
                    +'<div class="ind_list_b_i_con">'
                    +'<div class="ind_list_b_i_f '
                    +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                    +'"'
                    +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                    +'></div>'
                    +'<div class="ind_list_b_i_d">'
                    +'<div class="ind_list_b_i_d_c">'+json.Data[i].commentnum+'</div>'
                    +'<div class="ind_list_b_i_d_a">'+json.Data[i].focusonnum+'</div>'
                    +'</div>'
                    +'<div class="ind_list_b_i_n">'
                    +json.Data[i].name
                    +'<span>'
                    +json.Data[i].title
                    +'</span></div>'
                    +'<div class="ind_list_b_i_h">'
                    +json.Data[i].hptname
                    +'</div>'
                    +'<div class="ind_list_b_i_k">'
                    +json.Data[i].deptname
                    +'</div>'
                    +'<div class="ind_list_b_i_p">擅长领域：'
                    +json.Data[i].professional
                    +'</div>'
                    +'<div class="ind_list_b_i_s">'
                    +printstar(json.Data[i].score,'ind_star')
                    +'</div>'
                    +'</div>'
                    +'</div>');
            }
            if(json.Data.length<1){
                $doctorcontainer.append('<div class="def_noitemdiv">目前平台暂时仅提供北上广三个城市的推荐信息，谢谢您的支持</div>');

                $('#IndTabBody>div').eq(2).addClass('active').siblings().removeClass('active');
                $('#IndTabHeader>div').eq(2).addClass('active').siblings().removeClass('active');
            }
        }, null, null);
    }
    else if(model==2){
        var _pageNum=1;
        var _pageSize=10;
        var _city=(typeof(defcity)!=='undefined')?defcity:'';
        $.getp(API_INTERFACE_LISTRECOMMENDARTICLE, {diseases:_diseases,pageNum:_pageNum,pageSize:_pageSize,city:_city}, true, false,false, function (json) {
            //把资料更新到全局变量中
            var $doctorcontainer=$('#IndListArticle');
            $doctorcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var txtface=fiximg(json.Data[i].logo,'_S');
                $doctorcontainer.append('<div class="ind_list_b_at link" rel="#article_'
                    +json.Data[i].id
                    +'"><div class="ind_list_b_at_con">'
                    +'<div class="ind_list_b_at_f"'
                    +(txtface!==false?' style="background-image:url('+txtface+')"':'')
                    +'></div>'
                    +'<div class="ind_list_b_at_n">'
                    +json.Data[i].title
                    +'</div>'
                    +'<div class="ind_list_b_at_s">'
                    +fixArticleSummary(json.Data[i].content)
                    +'</div>'
                    +'</div>'
                    +'</div>');
            }
            if(json.Data.length<1){
                $doctorcontainer.append('<div class="def_noitemdiv">目前平台暂时仅提供北上广三个城市的推荐信息，谢谢您的支持</div>');
            }
        }, null, null);
    }
}

function comPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_com');
    //新页面滑入
    slide_in(html, rCom, '.frame', function(){
        //滑入完成后的处理

        //显示底部
        showfooter(1);
        showheader('点评医生',0,1,-1);

        //读取城市
        if(typeof(defcity)!=='undefined' && defcity)
            $('#ComCity').text(defcity);
        else{
            if(ismember() && user.city.length>0)
                defcity=user.city;
            else
                defcity='上海市';
            window.localStorage.setItem('defcity',defcity);
            $('#ComCity').text(defcity);
        }

        $('#ComCity').on(END_EV,function(){
            if(moving>movingflag) return false;
            callSelectCity('ComCity',1,0,1,0,'',true);
        });

        var _t=-1;
        if(u[1].length>1)
            _t=1*u[1].substr(1);

        /* 搜索数据 */
        if(u[2].length>1){
            $('#ComProRec').hide();
            u[2]=decodeURIComponent(u[2]);
            var defVal=u[2].substr(1).split('|');
            $('#ComSearchKeyword').text(defVal[0]);
            if(defVal.length>1)
                $('#ComOrder').text(unfixordertype(defVal[1]));
        }

        //底部导航入口时默认搜关注疾病
        if(_t==-1){
            _t=0;
            $('#ComSearchKeyword').text(__nowIndAttDis);
        }

        //模糊查找
        var searchkeywords=$('#ComSearchKeyword').text();
        if(searchkeywords=='搜索')
            searchkeywords='';

        var _pageNum=1;
        var _pageSize=10;
        var _ordertype=fixordertype($('#ComOrder').text());
        comListDoctor(searchkeywords,_pageNum,_pageSize,_ordertype);
        $('#ComLoadmoreBtn').data('sk',searchkeywords);
        $('#ComLoadmoreBtn').data('pn',_pageNum);
        $('#ComLoadmoreBtn').data('ps',_pageSize);
        $('#ComLoadmoreBtn').data('ot',_ordertype);
        $('#ComLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _sk=$(this).data('sk');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            var _ot=$(this).data('ot');
            $(this).data('pn',_pn);
            comListDoctor(_sk,_pn,_ps,_ot);
        });

        $('#ComSearchKeyword').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        $('#ComSelector').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');

            var comselectorarr=[
                {data:'0',txt:'模糊搜索'},
                {data:'1',txt:'附近找'},
                {data:'2',txt:'疾病找'},
                {data:'3',txt:'医院找'}
            ];
            callListSelector('.mainbody',comselectorarr,$('#ComSelector').text(),function(){
                if(moving>movingflag) return false;

                var txt=$(this).text();
                var data=$(this).data('data');

                if(data==1){
                    location.hash='#mapview';
                    return;
                }
                else if(data==2){
                    location.hash='#disfind';
                    return;

                }
                else if(data==3){
                    location.hash='#hoptfind';
                    return;

                }

                $('#ComSelector').text(txt);
                $('#ComSelector').data('data',data);

                $('#ComSelector').removeClass('active');
                comReflushCondition();
            });
        });

        $('#ComOrder').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            $(this).addClass('active');

            var ordertypearr=[
                {data:'智能排序',txt:'智能排序'},
                {data:'关注排序',txt:'关注排序'},
                {data:'点评排序',txt:'点评排序'}
            ];

            callListSelector('.mainbody',ordertypearr,$('#ComOrder').text(),function(){
                if(moving>movingflag) return false;

                var txt=$(this).text();
                var data=$(this).data('data');
                $('#ComOrder').text(txt);
                $('#ComOrder').data('data',data);

                $('#ComOrder').removeClass('active');
                comReflushCondition();
            });
        });
    });
}
function comReflushCondition(){
    var keyword=$('#ComSearchKeyword').text();
    if(keyword=='搜索')
        keyword='';

    var ordertype=fixordertype($('#ComOrder').text());

    //采用跳转方式进入搜索地址
    var _hash='#com_0_'+encodeURIComponent(keyword.replaceAll('_','')+'|'+ordertype);
    if(_hash!=location.hash) {
        Router.delselfhistory();
        location.hash = _hash;
    }
}
function comListDoctor(_searchkeywords,_pageNum,_pageSize,_ordertype){
    if(_pageNum==1)
        $('.com_r_list').empty();

    $.getp(API_INTERFACE_LISTDOCTORS, {searchkeywords:_searchkeywords,pageNum:_pageNum,pageSize:_pageSize,ordertype:_ordertype,city:defcity}, true, false,false, function (json) {
        var $doctorcontainer=$('.com_r_list');
        for(var i=0;i<json.Data.length;i++){
            var doctorface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="com_r_list_i link" rel="#doctor_'
                +json.Data[i].id
                +'">'
                +'<div class="com_r_list_i_con">'
                +'<div class="com_r_list_i_f '
                +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                +'"'
                +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                +'></div>'
                +'<div class="com_r_list_i_d">'
                +'<div class="com_r_list_i_d_c">'+json.Data[i].commentnum+'</div>'
                +'<div class="com_r_list_i_d_a">'+json.Data[i].focusonnum+'</div>'
                +'</div>'
                +'<div class="com_r_list_i_n">'
                +json.Data[i].name
                +'<span>'
                +json.Data[i].title
                +'</span></div>'
                +'<div class="com_r_list_i_h">'
                +json.Data[i].hptname
                +'</div>'
                +'<div class="com_r_list_i_k">'
                +json.Data[i].deptname
                +'</div>'
                +'<div class="com_r_list_i_p">擅长领域：'
                +json.Data[i].professional
                +'</div>'
                +'<div class="com_r_list_i_s">'
                +printstar(json.Data[i].score,'com_star')
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#ComLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#ComLoadmoreBtn').text('已加载全部');
        if($('.com_r_list_i').length<10)
            $('#ComLoadmoreBtn').hide();
        if($('.com_r_list_i').length<1){
            $doctorcontainer.append('<div class="def_noitemdiv">您查询的条件没有找到相关信息，请重新查询</div>');
        }
    },null,null);
}

function disfindPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_disfind');
    //新页面滑入
    slide_in(html, rDisfind, '.frame', function(){
        //滑入完成后的处理

        //显示底部
        hidefooter();
        showheader('疾病找',0,0,-1);

        if(u[1].length>1){
            u[1]=decodeURIComponent(u[1]);
            var defVal=u[1].substr(1).split('||');
            if(defVal.length>0 && defVal[0]!=''){
                $('#DisfSearchKeyword').text(defVal[0]);
            }
            if(defVal.length>1 && defVal[1]!=''){
                var tarr=defVal[1].split('|');
                $('#DisfDept0').text(tarr[0]).data('data',tarr[1]);
            }
            if(defVal.length>2 && defVal[2]!=''){
                var tarr=defVal[2].split('|');
                $('#DisfDept1').text(tarr[0]).data('data',tarr[1]);
            }
            if(defVal.length>3 && defVal[3]!=''){
                $('#DisfDisname').text(defVal[3]);
            }
            if(defVal.length>4 && defVal[4]!=''){
                $('#DisfOrder').text(unfixordertype(defVal[4]));
            }
        }
        else
            $('#DisfSearchKeyword').text('搜索');

        var searchkeywords=$('#DisfSearchKeyword').text();
        if(searchkeywords=='搜索')
            searchkeywords='';

        var deptname=$('#DisfDept1').text();
        if(deptname=='子科室')
            deptname=$('#DisfDept0').text();
        if(deptname=='主科室')
            deptname='';

        var professional=$('#DisfDisname').text();
        if(professional=='疾病类别')
            professional='';

        var _ordertype=fixordertype($('#DisfOrder').text());

        var _pageNum=1;
        var _pageSize=10;

        disfindListDoctor(searchkeywords,deptname,professional,_pageNum,_pageSize,_ordertype);
        $('#DisfLoadmoreBtn').data('sk',searchkeywords);
        $('#DisfLoadmoreBtn').data('dn',deptname);
        $('#DisfLoadmoreBtn').data('pl',professional);
        $('#DisfLoadmoreBtn').data('pn',_pageNum);
        $('#DisfLoadmoreBtn').data('ps',_pageSize);
        $('#DisfLoadmoreBtn').data('ot',_ordertype);
        $('#DisfLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _sk=$(this).data('sk');
            var _dn=$(this).data('dn');
            var _pl=$(this).data('pl');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            var _ot=$(this).data('ot');
            $(this).data('pn',_pn);
            disfindListDoctor(_sk,_dn,_pl,_pn,_ps,_ot);
        });

        $('#DisfSearchKeyword').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        $('#DisfDept0').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');

            $.getp(API_INTERFACE_LISTDISEASESCATE, {cateid:0,pageNum:1,pageSize:1000}, true, false,false, function (json) {
                var disdept0arr=[];
                disdept0arr.push({data:0,txt:'全部'});
                for(var i=0;i<json.Data.length;i++){
                    disdept0arr.push({data:json.Data[i].id,txt:json.Data[i].name});
                }

                callListSelector('.mainbody',disdept0arr,$('#DisfDept0').text(),function(){
                    if(moving>movingflag) return false;

                    var txt=$(this).text();
                    var data=$(this).data('data');

                    if(data==0){
                        $('#DisfDept0').text('主科室');
                    }
                    else{
                        $('#DisfDept0').text(txt);
                    }
                    $('#DisfDept0').data('data',data);
                    $('#DisfDept1').data('data',0).text('子科室');
                    $('#DisfDisname').data('data',0).text('疾病类别');

                    $('#DisfDept0').removeClass('active');
                    disfindReflushCondition();
                });
            },null,null);
        });

        $('#DisfDept1').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            if($('#DisfDept0').data('data')==0){
                showtips('请先选择主科室');
                return;
            }

            $(this).addClass('active');

            var pcateid=$('#DisfDept0').data('data');

            $.getp(API_INTERFACE_LISTDISEASESCATE, {cateid:pcateid,pageNum:1,pageSize:1000}, true, false,false, function (json) {
                var disdept1arr=[];
                disdept1arr.push({data:0,txt:'全部'});
                for(var i=0;i<json.Data.length;i++){
                    disdept1arr.push({data:json.Data[i].id,txt:json.Data[i].name});
                }

                callListSelector('.mainbody',disdept1arr,$('#DisfDept1').text(),function(){
                    if(moving>movingflag) return false;

                    var txt=$(this).text();
                    var data=$(this).data('data');

                    if(data==0){
                        $('#DisfDept1').text('子科室');
                    }
                    else{
                        $('#DisfDept1').text(txt);
                    }

                    $('#DisfDept1').data('data',data);
                    $('#DisfDisname').data('data',0).text('疾病类别');

                    $('#DisfDept1').removeClass('active');
                    disfindReflushCondition();
                });
            },null,null);
        });

        $('#DisfDisname').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            if($('#DisfDept0').data('data')!=0 && $('#DisfDept1').data('data')==0) {
                showtips('请先选择子科室');
                return;
            }
            else if($('#DisfDept1').data('data')==0){
                $(this).addClass('active');
                //showtips('请先选择科室');
                $.getp(API_INTERFACE_LISTDISEASES, {pageNum:1,pageSize:1000}, true, false,false, function (json) {
                    var disnamearr=[];
                    disnamearr.push({data:0,txt:'全部'});
                    for(var i=0;i<json.Data.length;i++){
                        disnamearr.push({data:json.Data[i].id,txt:json.Data[i].cnname});
                    }

                    callListSelector('.mainbody',disnamearr,$('#DisfDisname').text(),function(){
                        if(moving>movingflag) return false;

                        var txt=$(this).text();
                        var data=$(this).data('data');

                        if(data==0){
                            $('#DisfDisname').text('疾病类别');
                        }
                        else{
                            $('#DisfDisname').text(txt);
                        }

                        $('#DisfDisname').data('data',data);

                        $('#DisfDisname').removeClass('active');
                        disfindReflushCondition();
                    });
                },null,null);
                return;
            }

            $(this).addClass('active');
            var cateid=$('#DisfDept1').data('data');

            $.getp(API_INTERFACE_LISTDISEASESBYCATEID, {cateid:cateid,pageNum:1,pageSize:1000}, true, false,false, function (json) {
                var disnamearr=[];
                disnamearr.push({data:0,txt:'全部'});
                for(var i=0;i<json.Data.length;i++){
                    disnamearr.push({data:json.Data[i].id,txt:json.Data[i].cnname});
                }

                callListSelector('.mainbody',disnamearr,$('#DisfDisname').text(),function(){
                    if(moving>movingflag) return false;

                    var txt=$(this).text();
                    var data=$(this).data('data');

                    if(data==0){
                        $('#DisfDisname').text('疾病类别');
                    }
                    else{
                        $('#DisfDisname').text(txt);
                    }

                    $('#DisfDisname').data('data',data);

                    $('#DisfDisname').removeClass('active');
                    disfindReflushCondition();
                });
            },null,null);
        });

        $('#DisfOrder').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            $(this).addClass('active');

            var ordertypearr=[
                {data:'智能排序',txt:'智能排序'},
                {data:'关注排序',txt:'关注排序'},
                {data:'点评排序',txt:'点评排序'}
            ];

            callListSelector('.mainbody',ordertypearr,$('#DisfOrder').text(),function(){
                if(moving>movingflag) return false;

                var txt=$(this).text();
                var data=$(this).data('data');
                $('#DisfOrder').text(txt);
                $('#DisfOrder').data('data',data);

                $('#DisfOrder').removeClass('active');
                disfindReflushCondition();
            });
        });
    });
}
function disfindListDoctor(_searchkeywords,_deptname,_professional,_pageNum,_pageSize,_ordertype){
    if(_pageNum==1)
        $('.disf_r_list').empty();

    if(_professional!='')
        _deptname='';

    $.getp(API_INTERFACE_LISTDOCTORS_ILL, {searchkeywords:_searchkeywords,deptname:_deptname,professional:_professional,pageNum:_pageNum,pageSize:_pageSize,ordertype:_ordertype,city:defcity}, true, false,false, function (json) {
        var $doctorcontainer=$('.disf_r_list');
        for(var i=0;i<json.Data.length;i++){
            var doctorface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="disf_r_list_i link" rel="#doctor_'
                +json.Data[i].id
                +'">'
                +'<div class="disf_r_list_i_con">'
                +'<div class="disf_r_list_i_f '
                +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                +'"'
                +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                +'></div>'
                +'<div class="disf_r_list_i_d">'
                +'<div class="disf_r_list_i_d_c">'+json.Data[i].commentnum+'</div>'
                +'<div class="disf_r_list_i_d_a">'+json.Data[i].focusonnum+'</div>'
                +'</div>'
                +'<div class="disf_r_list_i_n">'
                +json.Data[i].name
                +'<span>'
                +json.Data[i].title
                +'</span></div>'
                +'<div class="disf_r_list_i_h">'
                +json.Data[i].hptname
                +'</div>'
                +'<div class="disf_r_list_i_k">'
                +json.Data[i].deptname
                +'</div>'
                +'<div class="disf_r_list_i_p">擅长领域：'
                +json.Data[i].professional
                +'</div>'
                +'<div class="disf_r_list_i_s">'
                +printstar(json.Data[i].score,'disf_star')
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#DisfLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#DisfLoadmoreBtn').text('已加载全部');
        if($('.disf_r_list_i').length<10)
            $('#DisfLoadmoreBtn').hide();
        if($('.disf_r_list_i').length<1) {
            $doctorcontainer.append('<div class="def_noitemdiv">您查询的条件没有找到相关信息，请重新查询</div>');
        }
        else
            $('#DisfOrder').parent().show();
    },null,null);
}
function disfindReflushCondition(){
    var searchkeywords=$('#DisfSearchKeyword').text();
    if(searchkeywords=='搜索')
        searchkeywords='';

    var dept0name=$('#DisfDept0').text();
    var dept0id=$('#DisfDept0').data('data');
    var dept1name=$('#DisfDept1').text();
    var dept1id=$('#DisfDept1').data('data');
    var professional=$('#DisfDisname').text();
    var ordertype=$('#DisfOrder').text();
    ordertype=fixordertype(ordertype);

    Router.delselfhistory();
    location.hash='#disfind_'+encodeURIComponent(searchkeywords+'||'+dept0name+'|'+dept0id+'||'+dept1name+'|'+dept1id+'||'+professional+'||'+ordertype);
}

function hoptfindPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_hoptfind');
    //新页面滑入
    slide_in(html, rHoptfind, '.frame', function(){
        //滑入完成后的处理

        //显示底部
        hidefooter();
        showheader('医院找',0,0,-1);

        if(u[1].length>1){
            u[1]=decodeURIComponent(u[1]);
            var defVal=u[1].substr(1).split('||');
            if(defVal.length>0 && defVal[0]!=''){
                $('#HoptSearchKeyword').text(defVal[0]);
            }
            if(defVal.length>1 && defVal[1]!=''){
                $('#HoptArea').text(defVal[1]);
            }
            if(defVal.length>2 && defVal[2]!=''){
                $('#HoptLevel').text(defVal[2]);
            }
            if(defVal.length>3 && defVal[3]!=''){
                $('#HoptNear').text(defVal[3]);
            }
        }
        else
            $('#HoptSearchKeyword').text('搜索');

        var searchkeywords=$('#HoptSearchKeyword').text();
        if(searchkeywords=='搜索')
            searchkeywords='';

        var hoptarea=$('#HoptArea').text();
        if(hoptarea=='地区')
            hoptarea='';
        var hoptlevel=$('#HoptLevel').text();
        if(hoptlevel=='等级')
            hoptlevel='';
        var hoptnear=$('#HoptNear').text();
        if(hoptnear=='附近')
            hoptnear='';

        var _pageNum=1;
        var _pageSize=10;
        hoptfindListHospital(searchkeywords,hoptarea,hoptlevel,hoptnear,_pageNum,_pageSize);
        $('#HoptLoadmoreBtn').data('sk',searchkeywords);
        $('#HoptLoadmoreBtn').data('ha',hoptarea);
        $('#HoptLoadmoreBtn').data('hl',hoptlevel);
        $('#HoptLoadmoreBtn').data('hn',hoptnear);
        $('#HoptLoadmoreBtn').data('pn',_pageNum);
        $('#HoptLoadmoreBtn').data('ps',_pageSize);
        $('#HoptLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _sk=$(this).data('sk');
            var _ha=$(this).data('ha');
            var _hl=$(this).data('hl');
            var _hn=$(this).data('hn');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            hoptfindListHospital(_sk,_ha,_hl,_hn,_pn,_ps);
        });

        $('#HoptSearchKeyword').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        $('#HoptArea').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');

            $.getp(API_INTERFACE_GETAREABYNAME,{name:$('#ComCity').text(),treelevel:2},true,false,false,function(json) {
                if(typeof(json.Data)==='undefined'){
                    showtips($('#ComCity').text()+'目前不支持通过地区查询');
                }
                else {
                    $.getp(API_INTERFACE_LISTREGION,{parentid:json.Data.id},true,false,false,function(json) {
                        var areaArr = [];
                        areaArr.push({data: 0, txt: '全部'});
                        for (var i = 0; i < json.Data.length; i++) {
                            areaArr.push({data: json.Data[i].nodeName, txt: json.Data[i].nodeName});
                        }
                        callListSelector('.mainbody', areaArr, $('#HoptArea').text(), function () {
                            if (moving > movingflag) return false;

                            var txt = $(this).text();
                            var data = $(this).data('data');

                            if(data==0){
                                $('#HoptArea').text('地区');
                            }
                            else{
                                $('#HoptArea').text(txt);
                            }

                            hoptfindReflushCondition();
                        });
                    },null,null);
                }
            },null,null);
        });

        $('#HoptLevel').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');

            $.getp(API_INTERFACE_LISTHOSPITALLEVEL, {}, true, false,false, function (json) {
                var levelArr = [];
                levelArr.push({data: 0, txt: '全部'});
                for (var i = 0; i < json.Data.length; i++) {
                    levelArr.push({data: json.Data[i], txt: json.Data[i]});
                }

                callListSelector('.mainbody', levelArr, $('#HoptLevel').text(), function () {
                    if (moving > movingflag) return false;

                    var txt = $(this).text();
                    var data = $(this).data('data');

                    if(data==0){
                        $('#HoptLevel').text('等级');
                    }
                    else{
                        $('#HoptLevel').text(txt);
                    }

                    hoptfindReflushCondition();
                });
            },null,null);
        });

        $('#HoptNear').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');

            var nearArr=[
                {data:0,txt: '全部'},
                {data:0.5,txt: '0.5公里'},
                {data:1,txt: '1公里'},
                {data:2,txt: '2公里'},
                {data:5,txt: '5公里'},
                {data:10,txt: '10公里'}
            ];

            callListSelector('.mainbody', nearArr, $('#HoptNear').text(), function () {
                if (moving > movingflag) return false;

                var txt = $(this).text();
                var data = $(this).data('data');

                if(data==0){
                    $('#HoptNear').text('附近');
                }
                else{
                    $('#HoptNear').text(txt);
                }

                hoptfindReflushCondition();
            });
        });
    });
}
function hoptfindListHospital(_searchkeywords,_hoptarea,_hoptlevel,_hoptnear,_pageNum,_pageSize){
    _p_searchkeywords=_searchkeywords;
    _p_hoptarea=_hoptarea;
    _p_hoptlevel=_hoptlevel;
    _p_hoptnear=_hoptnear;
    _p_pageNum=_pageNum;
    _p_pageSize=_pageSize;

    showloading('定位中');
    if(isAndroid){
        do_debug('安卓手机通过百度SDK定位');
        window.LocationPlugin.getLocation(function(data){
            hideloading();
            do_debug('百度SDK定位成功：'+JSON.stringify(data));
            __longtitude=data.longtitude;
            __latitude=data.latitude;
            hoptfindListHospitalWithPos();
        },function(msg){
            hideloading();
            do_debug('百度定位失败：'+msg);
            showtips('无法获取定位权限，请检查系统设置');
            __longtitude='';
            __latitude='';
            hoptfindListHospitalWithPos();
        });
        return;
    }

    navigator.geolocation.getCurrentPosition(function (pos) {
        hideloading();
        do_debug('定位成功'+JSON.stringify(pos));

        //通过百度API进行坐标转换
        $.getp(API_INTERFACE_GETBAIDUPOS,{from:2,to:4,x:pos.coords.longitude,y:pos.coords.latitude},false,false,false,function(json){},function(json){
            do_debug('坐标转换成功'+JSON.stringify(json));
            if(json.error==0){
                __longtitude=(new Base64).decode(json.x);
                __latitude=(new Base64).decode(json.y);
                hoptfindListHospitalWithPos();
            }
            else{
                do_debug('坐标转换失败');
                showtips('坐标转换失败');
                __longtitude='';
                __latitude='';
                hoptfindListHospitalWithPos();
            }
        },null);
    }, function (err) {
        hideloading();
        do_debug('定位失败'+JSON.stringify(err));
        var errorword=(err.code==1)?'无法获取定位权限，附近条件不可用':(err.code==2)?'定位失败，请检查手机设置及网络情况':'定位超时，请检查手机设置及网络情况';
        showtips(errorword);
        __longtitude='';
        __latitude='';
        hoptfindListHospitalWithPos();
    }, {
        enableHighAccuracy: true,
        timeout: 5 * 1000,              //5秒超时
        maximumAge: 1000 * 60 * 5       //5分钟缓存
    });
}
function hoptfindListHospitalWithPos(){
    if(_p_pageNum==1)
        $('.hopt_r_list').empty();

    $.getp(API_INTERFACE_LISTHOSPITALS, {searchkeywords:_p_searchkeywords,area:_p_hoptarea,histype:_p_hoptlevel,km:_p_hoptnear.replace('公里',''),pageNum:_p_pageNum,pageSize:_p_pageSize,city:defcity,longtitude:__longtitude,latitude:__latitude}, true, false,false, function (json) {
        var $doctorcontainer=$('.hopt_r_list');
        for(var i=0;i<json.Data.length;i++){
            var hosface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="hopt_r_list_i link" rel="#hptdetail_'
                +json.Data[i].id
                +'"><div class="hopt_r_list_i_con">'
                +'<div class="hopt_r_list_i_f"'
                +(hosface!==false?' style="background-image:url('+hosface+')"':'')
                +'></div>'
                +(json.Data[i].distance==0?'':json.Data[i].distance>100000?('<div class="hopt_r_list_i_d">&gt;100km</div>'):json.Data[i].distance>=100?('<div class="hopt_r_list_i_d">'+(Math.floor(json.Data[i].distance/100)/10)+'km</div>'):('<div class="hopt_r_list_i_d">'+json.Data[i].distance+'m</div>'))
                +'<div class="hopt_r_list_i_n">'
                +json.Data[i].name
                +'</div>'
                +'<div class="hopt_r_list_i_l">'
                +json.Data[i].histype
                +'</div>'
                +'<div class="hopt_r_list_i_a">'
                +json.Data[i].address
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#HoptLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#HoptLoadmoreBtn').text('已加载全部');
        if($('.hopt_r_list_i').length<10)
            $('#HoptLoadmoreBtn').hide();
        if($('.hopt_r_list_i').length<1) {
            $doctorcontainer.append('<div class="def_noitemdiv">您查询的条件没有找到相关信息，请重新查询</div>');
        }
        else
            $('#HospOrder').parent().show();
    },null,null);
}
function hoptfindReflushCondition(){
    var searchkeywords=$('#HoptSearchKeyword').text();
    if(searchkeywords=='搜索')
        searchkeywords='';

    var hoptarea=$('#HoptArea').text();
    var hoptlevel=$('#HoptLevel').text();
    var hoptnear=$('#HoptNear').text();

    Router.delselfhistory();
    location.hash='#hoptfind_'+encodeURIComponent(searchkeywords+'||'+hoptarea+'||'+hoptlevel+'||'+hoptnear);
}

function hospitalPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_hospital');
    //新页面滑入
    slide_in(html, rHospital, '.frame', function(){
        //滑入完成后的处理

        //显示底部
        hidefooter();
        showheader('科室找',0,0,-1);

        if(u[2].length>1){
            u[2]=decodeURIComponent(u[2]);
            var defVal=u[2].substr(1).split('||');
            if(defVal.length>0 && defVal[0]!=''){
                $('#HospName').text(defVal[0]);
            }
            if(defVal.length>1 && defVal[1]!=''){
                $('#HospSearchKeyword').text(defVal[1]);
            }
            if(defVal.length>2 && defVal[2]!=''){
                var tarr=defVal[2].split('|');
                $('#HospDept0').text(tarr[0]).data('data',tarr[1]);
            }
            if(defVal.length>3 && defVal[3]!=''){
                var tarr=defVal[3].split('|');
                $('#HospDept1').text(tarr[0]).data('data',tarr[1]);
            }
            if(defVal.length>4 && defVal[4]!=''){
                $('#HospOrder').text(unfixordertype(defVal[4]));
            }
        }
        else
            $('#HospSearchKeyword').text('搜索');

        var hptid=1*u[1];
        $('.title').data('id',hptid);
        $('#HospName').attr('rel','#hptdetail_'+hptid);

        var searchkeywords=$('#HospSearchKeyword').text();
        if(searchkeywords=='搜索')
            searchkeywords='';

        var deptname=$('#HospDept1').text();
        if(deptname=='子科室')
            deptname=$('#HospDept0').text();
        if(deptname=='主科室')
            deptname='';

        var _ordertype=fixordertype($('#HospOrder').text());

        var _pageNum=1;
        var _pageSize=10;
        hospitalListDoctor(hptid,searchkeywords,deptname,_pageNum,_pageSize,_ordertype);
        $('#HospLoadmoreBtn').data('hi',hptid);
        $('#HospLoadmoreBtn').data('sk',searchkeywords);
        $('#HospLoadmoreBtn').data('dn',deptname);
        $('#HospLoadmoreBtn').data('pn',_pageNum);
        $('#HospLoadmoreBtn').data('ps',_pageSize);
        $('#HospLoadmoreBtn').data('ot',_ordertype);
        $('#HospLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _hi=$(this).data('hi');
            var _sk=$(this).data('sk');
            var _dn=$(this).data('dn');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            var _ot=$(this).data('ot');
            $(this).data('pn',_pn);
            hospitalListDoctor(_hi,_sk,_dn,_pn,_ps,_ot);
        });

        $('#HospSearchKeyword').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        $('#HospDept0').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }
            $(this).addClass('active');
            var hptid=$('.title').data('id');

            $.getp(API_INTERFACE_LISTHOSPITALDEPT, {hptid:hptid,pageNum:1,pageSize:1000}, true, false,false, function (json) {
                var disdept0arr=[];
                disdept0arr.push({data:0,txt:'全部'});
                for(var i=0;i<json.Data.length;i++){
                    disdept0arr.push({data:json.Data[i].id,txt:json.Data[i].name});
                }

                callListSelector('.mainbody',disdept0arr,$('#HospDept0').text(),function(){
                    if(moving>movingflag) return false;

                    var txt=$(this).text();
                    var data=$(this).data('data');

                    if(data==0){
                        $('#HospDept0').text('主科室');
                    }
                    else{
                        $('#HospDept0').text(txt);
                    }
                    $('#HospDept0').data('data',data);
                    $('#HospDept1').data('data',0).text('子科室');

                    $('#HospDept0').removeClass('active');
                    hospitalReflushCondition();
                });
            },null,null);
        });

        $('#HospDept1').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            if($('#HospDept0').data('data')==0){
                showtips('请先选择主科室');
                return;
            }

            $(this).addClass('active');

            var hptid=$('.title').data('id');
            var pcateid=$('#HospDept0').data('data');

            $.getp(API_INTERFACE_LISTHOSPITALDEPT, {hptid:hptid,cateid:pcateid,pageNum:1,pageSize:1000}, true, false,false, function (json) {
                var disdept1arr=[];
                disdept1arr.push({data:0,txt:'全部'});
                for(var i=0;i<json.Data.length;i++){
                    disdept1arr.push({data:json.Data[i].id,txt:json.Data[i].name});
                }

                callListSelector('.mainbody',disdept1arr,$('#HospDept1').text(),function(){
                    if(moving>movingflag) return false;

                    var txt=$(this).text();
                    var data=$(this).data('data');

                    if(data==0){
                        $('#HospDept1').text('子科室');
                    }
                    else{
                        $('#HospDept1').text(txt);
                    }

                    $('#HospDept1').data('data',data);

                    $('#HospDept1').removeClass('active');
                    hospitalReflushCondition();
                });
            },null,null);
        });

        $('#HospOrder').on(END_EV,function() {
            if (moving > movingflag) return false;

            $('.public_sb').remove();

            if($(this).hasClass('active')){
                $(this).removeClass('active');
                return;
            }

            $(this).addClass('active');

            var ordertypearr=[
                {data:'智能排序',txt:'智能排序'},
                {data:'关注排序',txt:'关注排序'},
                {data:'点评排序',txt:'点评排序'}
            ];

            callListSelector('.mainbody',ordertypearr,$('#HospOrder').text(),function(){
                if(moving>movingflag) return false;

                var txt=$(this).text();
                var data=$(this).data('data');
                $('#HospOrder').text(txt);
                $('#HospOrder').data('data',data);

                $('#HospOrder').removeClass('active');
                hospitalReflushCondition();
            });
        });
    });
}
function hospitalListDoctor(_hptid,_searchkeywords,_deptname,_pageNum,_pageSize,_ordertype){
    if(_pageNum==1)
        $('.hosp_r_list').empty();

    $.getp(API_INTERFACE_LISTDOCTORSBYHPTID, {hptid:_hptid,searchkeywords:_searchkeywords,deptname:_deptname,pageNum:_pageNum,pageSize:_pageSize,ordertype:_ordertype,city:defcity}, true, false,false, function (json) {
        var $doctorcontainer=$('.hosp_r_list');
        for(var i=0;i<json.Data.length;i++){
            var doctorface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="hosp_r_list_i link" rel="#doctor_'
                +json.Data[i].id
                +'">'
                +'<div class="hosp_r_list_i_con">'
                +'<div class="hosp_r_list_i_f '
                +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                +'"'
                +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                +'></div>'
                +'<div class="hosp_r_list_i_d">'
                +'<div class="hosp_r_list_i_d_c">'+json.Data[i].commentnum+'</div>'
                +'<div class="hosp_r_list_i_d_a">'+json.Data[i].focusonnum+'</div>'
                +'</div>'
                +'<div class="hosp_r_list_i_n">'
                +json.Data[i].name
                +'<span>'
                +json.Data[i].title
                +'</span></div>'
                +'<div class="hosp_r_list_i_h">'
                +json.Data[i].hptname
                +'</div>'
                +'<div class="hosp_r_list_i_k">'
                +json.Data[i].deptname
                +'</div>'
                +'<div class="hosp_r_list_i_p">擅长领域：'
                +json.Data[i].professional
                +'</div>'
                +'<div class="hosp_r_list_i_s">'
                +printstar(json.Data[i].score,'hosp_star')
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#HospLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#HospLoadmoreBtn').text('已加载全部');
        if($('.hosp_r_list_i').length<10)
            $('#HospLoadmoreBtn').hide();
        if($('.hosp_r_list_i').length<1) {
            $doctorcontainer.append('<div class="def_noitemdiv">您查询的条件没有找到相关信息，请重新查询</div>');
        }
        else
            $('#HospOrder').parent().show();
    },null,null);
}
function hospitalReflushCondition(){
    var searchkeywords=$('#HospSearchKeyword').text();
    if(searchkeywords=='搜索')
        searchkeywords='';

    var hptid=$('.title').data('id');
    var hptname=$('#HospName').text();

    var dept0name=$('#HospDept0').text();
    var dept0id=$('#HospDept0').data('data');
    var dept1name=$('#HospDept1').text();
    var dept1id=$('#HospDept1').data('data');
    var ordertype=$('#HospOrder').text();
    ordertype=fixordertype(ordertype);

    Router.delselfhistory();
    location.hash='#hospital_'+hptid+'_'+encodeURIComponent(hptname+'||'+searchkeywords+'||'+dept0name+'|'+dept0id+'||'+dept1name+'|'+dept1id+'||'+ordertype);
}

function hptdetailPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_hptdetail');
    //新页面滑入
    slide_in(html, rHptdetail, '.frame', function() {
        //滑入完成后的处理

        //显示底部
        hidefooter();
        showheader('医院详情',0,0,-1);

        var _hptid=1*u[1];
        $('.title').data('hptid',_hptid);
        $.getp(API_INTERFACE_FINDHOSPITAL, {hptid:_hptid}, true, false,false, function (json) {
            if(typeof(json.Data)!=='undefined'){
                var hpt=json.Data;
                $('.hptd_bas_n').text(hpt.name);
                var hptface=fiximg(hpt.logo,'_S');
                if(hptface!==false)
                    $('.hptd_bas_f').css('background-image','url('+hptface+')');
                $('#HptdLevel').text(hpt.histype);
                $('#HptdAddress').text(hpt.address);
                $('#HptdTel').text(hpt.phonenum);

                $('.hptd_sum_v').html(hpt.note);
                $('.hptd_bas_b').attr('rel','#hospital_'+hpt.id+'_'+encodeURIComponent(hpt.name));
            }
        },null,null);
    });
}

function doctorPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_doctor');
    //新页面滑入
    slide_in(html, rDoctor, '.frame', function(){
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showdoctorfooter();
        showheader('医生详情',0,0,-1);

        //获取医生信息
        var _doctorid=0;
        if(u[1].length>1)
            _doctorid = 1 * (u[1].replace('_', ''));
        $('.title').data('doctorid',_doctorid);
        $.getp(API_INTERFACE_FINDDOCTOR, {doctorid:_doctorid}, true, false,false, function (json) {
            var doctor = json.Data;
            var doctorface = fiximg(json.Data.logo, '_S');
            if (doctorface !== false)
                $('.doc_int_f').css('background-image', 'url(' + doctorface + ')');
            else {
                $('.doc_int_f').addClass(doctor.sex == 1 ? 'def_img_doctorface_male' : 'def_img_doctorface_female');
            }
            //if (doctor.crmdoctorid == 0) {
                //未认证
            //    $('.doc_int_v').remove();
            //    $('.doc_sch').hide();
            //}
            $('.title').text(doctor.name + ' 医生').data('doctorname',doctor.name);
            $('.doc_int_n').html(doctor.name+'<span>'+doctor.title+'</span>');
            $('.doc_int_h').html(doctor.hptname).attr('rel','#hptdetail_'+doctor.hptid);
            $('.doc_int_k').html(doctor.deptname);
            $('.doc_int_v_att').text(doctor.focusonnum);
            var tmpprofessional=doctor.professional;
            if(tmpprofessional.length>100)
                tmpprofessional=tmpprofessional.substr(0,96)+'... <span onclick="$(this).parent().text($(this).parent().data(\'totaltext\'));">展开全文》</span>';
            $('.doc_int_pro_v').html(tmpprofessional).data('totaltext',doctor.professional);

            //$('#DocTotalCount,.doc_com_t>span').text('(共 '+doctor.commentnum+' 人评价)');
        },null,null);


        //获取综合评价
        $.getp(API_INTERFACE_GETDOCTORLEVELCOMMENT, {doctorid:_doctorid}, true, false,false, function (json) {
            var doctorlevel=json.Data;

            printstar(doctorlevel.score,'doc_gen_star','#DocTotalStar','#DocTotalScore');
            printstar(doctorlevel.convenientscore,'doc_gen_star','#DocConvenientStar','#DocConvenientScore');
            printstar(doctorlevel.costscore,'doc_gen_star','#DocCostStar','#DocCostScore');
            printstar(doctorlevel.techscore,'doc_gen_star','#DocTechStar','#DocTechScore');
            printstar(doctorlevel.servicescore,'doc_gen_star','#DocServiceStar','#DocServiceScore');
        },null,null);

        //判断是否已关注
        if(ismember()) {
            //如果已登录，则检查是否已关注
            $.getp(API_INTERFACE_CHECKATTENTION, {tokenid:tokenid,doctorid:_doctorid}, true, false,false, function (json) {
                //未关注
                $('.nav_att').show();
                $('.nav_unatt').hide();
            }, function(json){
                //已关注
                $('.nav_att').hide();
                $('.nav_unatt').show();
            }, null);
        }
        else{
            $('.nav_att').show();
            $('.nav_unatt').hide();
        }

        //获取医生礼物清单
        $.getp(API_INTERFACE_LISTDOCTORGIFT, {doctorid:_doctorid}, true, false,false, function (json) {
            var $giftcontainer=$('.giftlayout_b');
            $giftcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                //填充小图标位置
                //alert(json.Data[i].id+':'+json.Data[i].amount);
                //1001花，1002旗
                if(json.Data[i].id==1001){
                    $('.doc_int_v_flo').text(json.Data[i].amount);
                }
                else if(json.Data[i].id==1002){
                    $('.doc_int_v_fla').text(json.Data[i].amount);
                }

                var giftlogo=fiximg(json.Data[i].logo,'_S');
                $giftcontainer.append('<div class="giftlayout_b_i">'
                    +'<div class="giftlayout_b_i_f"'
                    +(giftlogo?' style="background-image:url('+giftlogo+')"':'')
                    +'></div>'
                    //+'<div class="giftlayout_b_i_t">'
                    //+json.Data[i].name
                    //+'</div>'
                    +'<div class="giftlayout_b_i_n" id="GiftAmountOf'
                    +json.Data[i].id
                    +'">'
                    +json.Data[i].amount
                    +'</div>'
                    +'<div class="giftlayout_b_i_btn link" data-giftid="'
                    +json.Data[i].id
                    +'" data-giftname="'
                    +json.Data[i].name
                    +'" data-giftprice="'
                    +json.Data[i].price
                    +'">送'
                    +json.Data[i].name
                    +'</div>'
                    +'</div>');
            }
            $('.giftlayout_b_i_btn').off().on(END_EV,function() {
                if (moving>movingflag) return false;

                if(!ismember()){
                    showtips('请先登录');
                    hidemenu();
                    location.hash='#login';
                    return;
                }

                __select_giftid=1*$(this).data('giftid');
                __select_giftname=$(this).data('giftname');
                __select_giftprice=1*$(this).data('giftprice');
                __select_giftamount=1;

                do_confirm('需要消费您 '+(__select_giftamount*__select_giftprice)+' 个E点，是否确认赠送？',{'choice':["暂时不送","是的"]},function(result){
                    if(result==do_confirm.OK){
                        var _doctorid=$('.title').data('doctorid');

                        $.getp(API_INTERFACE_SENDGIFT,{tokenid:tokenid,doctorid:_doctorid,giftid:__select_giftid,giftname:__select_giftname,amount:__select_giftamount},true,true,false,function(json) {
                            do_debug('礼物已成功送出');
                            showtips('恭喜您赠送成功');
                            $.flush_cache(API_INTERFACE_LISTDOCTORGIFT);
                            $.flush_cache(API_INTERFACE_FINDMEMBER);
                            $.flush_cache(API_INTERFACE_LISTMEMBERSCORE);
                            $.flush_cache(API_INTERFACE_SENDGIFTFLOW);
                            var tmpAmount=1*$('#GiftAmountOf'+__select_giftid).text();
                            $('#GiftAmountOf'+__select_giftid).text(++tmpAmount);
                            if(__select_giftid==1001)
                                $('.doc_int_v_flo').text(tmpAmount);
                            else if(__select_giftid==1002)
                                $('.doc_int_v_fla').text(tmpAmount);
                            user.balance=user.balance-__select_giftprice;
                        },function(json){
                            if(json.Result==405){
                                //积分不足
                                do_confirm('所需E点数 '+(__select_giftamount*__select_giftprice)+' ,您当前的E点只有 '+user.balance,{'title':'抱歉，您的当前E点不足','choice':["去充值","去赚点","暂时不送"]},function(result){
                                    if(result==1){
                                        //去充值
                                        showtips('充值功能尚未开放，敬请期待');
                                    }
                                    else if(result==2){
                                        //去赚点
                                        hidemenu();
                                        location.hash='#com_0';
                                    }
                                    else{
                                        //暂时不送
                                    }
                                });
                            }
                        },null);
                    }
                });
            });
        },null,null);

        var _pageNum=1;
        var _pageSize=10;
        $('#DocComLoadmore').data('id',_doctorid).data('pn',_pageNum).data('ps',_pageSize);
        loadDoctorComment(_doctorid,_pageNum,_pageSize);

        $('#DocComLoadmore').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _id=$(this).data('id');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            loadDoctorComment(_id,_pn,_ps);
        });
    });
}
//发送纠错信息
function sendDoctorError(_t,_doctorid){
    //t 0：查无此人 1：信息重复 2：医院科室错误 3：医生信息错误
    //doctorid
    //用缓存方式过滤多次赞
    var _contentArr=['查无此人','信息重复','医院科室错误','医生信息错误'];
    $.getp(API_INTERFACE_SENDDOCTORERROR, {tokenid:tokenid,doctorid:_doctorid,content:_contentArr[_t]}, true, false,false, function (json) {
        showtips('系统已收到您的纠错申请，感谢您的支持');
    },null,null);
}
//读取详细点评数据
function loadDoctorComment(_doctorid,_pageNum,_pageSize){
    if(_pageNum==1)
        $('.doc_com_list').empty();
    $.getp(API_INTERFACE_FINDDOCTORCOMMENT, {doctorid:_doctorid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $doccomcontainer=$('.doc_com_list');
        for(var i=0;i<json.Data.length;i++){
            var tmpcontent=json.Data[i].content;
            if(tmpcontent.length>90)
                tmpcontent=tmpcontent.substr(0,85)+'...';
            var memberface=fiximg(json.Data[i].headphoto,'_S');

            $doccomcontainer.append('<div class="doc_com_list_i link" rel="#dcdetail_'
                +json.Data[i].id
                +'"">'
                +'<div class="doc_com_list_i_f"'
                +(memberface?' style="background-image:url('+memberface+')"':'')
                +'></div>'
                +'<div class="doc_com_list_i_n">'
                +json.Data[i].membername
                +'</div>'
                +'<div class="doc_com_list_i_t">'
                +json.Data[i].createdate
                +'</div>'
                +'<div class="doc_com_list_i_st">用户综合评分：<span>'+
                +json.Data[i].startlevel
                +(Math.floor(json.Data[i].startlevel)==json.Data[i].startlevel?'.0':'')
                +'</span></div>'
                +'<div class="doc_com_list_i_c">'
                +tmpcontent
                +'</div>'
                +'</div>');
        }
        $('#DocComLoadmore').text('加载更多');
        if(json.Data.length<10)
            $('#DocComLoadmore').text('已加载全部');
        if($('.doc_com_list_i').length<10)
            $('#DocComLoadmore').hide();
        if($('.doc_com_list_i').length<1){
            $doccomcontainer.append('<div class="def_noitemdiv">暂时没有详细点评，来坐个沙发吧</div>');
        }
    },null,null);
}

function dcdetailPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_dcdetail');
    //新页面滑入
    slide_in(html, rDcdetail, '.frame', function(){
        hidefooter();
        showheader('点评详情',0,0,-1);

        do_debug('commentid:'+u[1]);
        var _commentid=1 * u[1];

        $.getp(API_INTERFACE_FINDDOCTORCOMMENTDETAIL, {commentid:_commentid}, true, false,false, function (json) {
            do_debug(JSON.stringify(json));

            var comment=json.Data;

            printstar(comment.startlevel,'dcd_gen_star','#DcdTotalStar','#DcdTotalScore');
            printstar(comment.convenientlevel,'dcd_gen_star','#DcdConvenientStar','#DcdConvenientScore');
            printstar(comment.costlevel,'dcd_gen_star','#DcdCostStar','#DcdCostScore');
            printstar(comment.techlevel,'dcd_gen_star','#DcdTechStar','#DcdTechScore');
            printstar(comment.servicelevel,'dcd_gen_star','#DcdServiceStar','#DcdServiceScore');

            $('#DcdContent').text(comment.content);

            $('#DcdSeedate').text(comment.seedate);
            $('#DcdSeetime').text(comment.seetimefrom+' 至 '+comment.seetimeto);

            $('#DcdReason').text(comment.reason);
            $('#DcdResultcontent').text(comment.resultcontent);

            $('#DcdCheckcontent').html(comment.checkcontent);
            $('#DcdMedicalcontent').html(comment.medicalcontent);

            $('#DcdCost').text(comment.cost+' 元');


            if(comment.seedate.length<1)
                $('#DcdSeedate').parent().remove();
            if(comment.seetimefrom.length<1 && comment.seetimeto.length<1)
                $('#DcdSeetime').parent().remove();
            if(comment.reason.length<1)
                $('#DcdReason').parent().remove();
            if(comment.resultcontent.length<1)
                $('#DcdResultcontent').parent().remove();
            if(comment.checkcontent.length<1)
                $('#DcdCheckcontent').parent().remove();
            if(comment.medicalcontent.length<1)
                $('#DcdMedicalcontent').parent().remove();
            if(comment.cost==0)
                $('#DcdCost').parent().remove();

            if($('.dcd_detail_i').length<1)
                $('.dcd_detail').remove();
        },null,null);
    });
}

function cformPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_cform');
    //新页面滑入
    slide_in(html, rCform, '.frame', function(){
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我要点评',0,0,4);

        var _doctorid=0;
        if(u[1].length>1)
            _doctorid = 1 * (u[1].replace('_', ''));

        /* 医生名字 */
        var _doctorname='';
        if(u[2].length>1){
            u[2]=decodeURIComponent(u[2]);
            _doctorname = u[2].replace('_', '');
        }
        $('.title').data('doctorid',_doctorid).data('doctorname',_doctorname);
        $.getp(API_INTERFACE_ISCOMMENT, {tokenid:tokenid,doctorid:_doctorid}, true, true,false, function (json) {
            //有点评资格
        },function(json){
            showtips('您今天已对该医生进行过点评');
            Router.get_back_from(location.hash);
        },null);

        $('.cfo_gen_0 .cfo_gen_star_e').on(END_EV,function() {
            if (moving>movingflag) return false;
            showtips('综合评分系统自动计算，无需选择');
        });

        $('.cfo_gen_1 .cfo_gen_star_e').on(END_EV,function() {
            if (moving>movingflag) return false;

            $(this).nextAll().attr('class','cfo_gen_star_e');
            $(this).attr('class','cfo_gen_star').prevAll().attr('class','cfo_gen_star');

            var score=$(this).prevAll().length+1;
            $(this).parent().next('.cfo_gen_v').text(score+'.0');

            var totalscore=$('.cfo_gen_1 .cfo_gen_star').length;
            totalscore=Math.floor(totalscore*10/4)/10;
            printstar(totalscore,'cfo_gen_star','#CfoTotalStar','#CfoTotalScore');
        });

        $('.cfo_commore').on(END_EV,function() {
            if (moving>movingflag) return false;
            $(this).hide();
            $('.cfo_commore').hide();
            $('.cfo_comless').show();
            $('.cfo_detail').show();
        });

        $('.cfo_comless').on(END_EV,function() {
            if (moving>movingflag) return false;
            $('.cfo_comless').hide();
            $('.cfo_commore').show();
            $('.cfo_detail').hide();
        });

        //选择日期
        $('#CfoSeedate').on(END_EV,function(){
            if (moving>movingflag) return false;

            var defdate;
            var defdatestr=$(this).text();

            if(defdatestr.length==10) {
                var datarr = defdatestr.split('-');
                var _y = 1 * datarr[0];
                var _m = 1 * datarr[1] - 1;
                var _d = 1 * datarr[2];
                defdate=new Date(_y,_m,_d);
            }
            else{
                defdate=new Date();
            }

            var options = {
                date: defdate,
                mode: 'date'
            };

            datePicker.show(options, function(date){
                if(typeof(date)!=='undefined')
                    $('#CfoSeedate').text(date.pattern('yyyy-MM-dd'));
            });
            return false;
        });
        $('#CfoSeetimefrom').on(END_EV,function(){
            if (moving>movingflag) return false;
            togglemenu([
                {"title":"08:00","link":"$('#CfoSeetimefrom').text('08:00');"},
                {"title":"08:30","link":"$('#CfoSeetimefrom').text('08:30');"},
                {"title":"09:00","link":"$('#CfoSeetimefrom').text('09:00');"},
                {"title":"09:30","link":"$('#CfoSeetimefrom').text('09:30');"},
                {"title":"10:00","link":"$('#CfoSeetimefrom').text('10:00');"},
                {"title":"10:30","link":"$('#CfoSeetimefrom').text('10:30');"},
                {"title":"11:00","link":"$('#CfoSeetimefrom').text('11:00');"},
                {"title":"11:30","link":"$('#CfoSeetimefrom').text('11:30');"},
                {"title":"12:00","link":"$('#CfoSeetimefrom').text('12:00');"},
                {"title":"12:30","link":"$('#CfoSeetimefrom').text('12:30');"},
                {"title":"13:00","link":"$('#CfoSeetimefrom').text('13:00');"},
                {"title":"13:30","link":"$('#CfoSeetimefrom').text('13:30');"},
                {"title":"14:00","link":"$('#CfoSeetimefrom').text('14:00');"},
                {"title":"14:30","link":"$('#CfoSeetimefrom').text('14:30');"},
                {"title":"15:00","link":"$('#CfoSeetimefrom').text('15:00');"},
                {"title":"15:30","link":"$('#CfoSeetimefrom').text('15:30');"},
                {"title":"16:00","link":"$('#CfoSeetimefrom').text('16:00');"},
                {"title":"16:30","link":"$('#CfoSeetimefrom').text('16:30');"},
                {"title":"17:00","link":"$('#CfoSeetimefrom').text('17:00');"},
                {"title":"17:30","link":"$('#CfoSeetimefrom').text('17:30');"},
                {"title":"18:00","link":"$('#CfoSeetimefrom').text('18:00');"},
                {"title":"18:30","link":"$('#CfoSeetimefrom').text('18:30');"},
                {"title":"19:00","link":"$('#CfoSeetimefrom').text('19:00');"},
                {"title":"19:30","link":"$('#CfoSeetimefrom').text('19:30');"},
                {"title":"20:00","link":"$('#CfoSeetimefrom').text('20:00');"},
                {"title":"20:30","link":"$('#CfoSeetimefrom').text('20:30');"},
                {"title":"21:00","link":"$('#CfoSeetimefrom').text('21:00');"},
                {"title":"21:30","link":"$('#CfoSeetimefrom').text('21:30');"},
                {"title":"22:00","link":"$('#CfoSeetimefrom').text('22:00');"},
                {"title":"22:30","link":"$('#CfoSeetimefrom').text('22:30');"},
                {"title":"23:00","link":"$('#CfoSeetimefrom').text('23:00');"},
                {"title":"23:30","link":"$('#CfoSeetimefrom').text('23:30');"},
                {"title":"24:00","link":"$('#CfoSeetimefrom').text('24:00');"},
                {"title":"24:30","link":"$('#CfoSeetimefrom').text('24:30');"},
                {"title":"00:00","link":"$('#CfoSeetimefrom').text('00:00');"},
                {"title":"00:30","link":"$('#CfoSeetimefrom').text('00:30');"},
                {"title":"01:00","link":"$('#CfoSeetimefrom').text('01:00');"},
                {"title":"01:30","link":"$('#CfoSeetimefrom').text('01:30');"},
                {"title":"02:00","link":"$('#CfoSeetimefrom').text('02:00');"},
                {"title":"02:30","link":"$('#CfoSeetimefrom').text('02:30');"},
                {"title":"03:00","link":"$('#CfoSeetimefrom').text('03:00');"},
                {"title":"03:30","link":"$('#CfoSeetimefrom').text('03:30');"},
                {"title":"04:00","link":"$('#CfoSeetimefrom').text('04:00');"},
                {"title":"04:30","link":"$('#CfoSeetimefrom').text('04:30');"},
                {"title":"05:00","link":"$('#CfoSeetimefrom').text('05:00');"},
                {"title":"05:30","link":"$('#CfoSeetimefrom').text('05:30');"},
                {"title":"06:00","link":"$('#CfoSeetimefrom').text('06:00');"},
                {"title":"06:30","link":"$('#CfoSeetimefrom').text('06:30');"},
                {"title":"07:00","link":"$('#CfoSeetimefrom').text('07:00');"},
                {"title":"07:30","link":"$('#CfoSeetimefrom').text('07:30');"}
            ]);
            return false;
        });
        $('#CfoSeetimeto').on(END_EV,function(){
            if (moving>movingflag) return false;
            togglemenu([
                {"title":"08:00","link":"$('#CfoSeetimeto').text('08:00');"},
                {"title":"08:30","link":"$('#CfoSeetimeto').text('08:30');"},
                {"title":"09:00","link":"$('#CfoSeetimeto').text('09:00');"},
                {"title":"09:30","link":"$('#CfoSeetimeto').text('09:30');"},
                {"title":"10:00","link":"$('#CfoSeetimeto').text('10:00');"},
                {"title":"10:30","link":"$('#CfoSeetimeto').text('10:30');"},
                {"title":"11:00","link":"$('#CfoSeetimeto').text('11:00');"},
                {"title":"11:30","link":"$('#CfoSeetimeto').text('11:30');"},
                {"title":"12:00","link":"$('#CfoSeetimeto').text('12:00');"},
                {"title":"12:30","link":"$('#CfoSeetimeto').text('12:30');"},
                {"title":"13:00","link":"$('#CfoSeetimeto').text('13:00');"},
                {"title":"13:30","link":"$('#CfoSeetimeto').text('13:30');"},
                {"title":"14:00","link":"$('#CfoSeetimeto').text('14:00');"},
                {"title":"14:30","link":"$('#CfoSeetimeto').text('14:30');"},
                {"title":"15:00","link":"$('#CfoSeetimeto').text('15:00');"},
                {"title":"15:30","link":"$('#CfoSeetimeto').text('15:30');"},
                {"title":"16:00","link":"$('#CfoSeetimeto').text('16:00');"},
                {"title":"16:30","link":"$('#CfoSeetimeto').text('16:30');"},
                {"title":"17:00","link":"$('#CfoSeetimeto').text('17:00');"},
                {"title":"17:30","link":"$('#CfoSeetimeto').text('17:30');"},
                {"title":"18:00","link":"$('#CfoSeetimeto').text('18:00');"},
                {"title":"18:30","link":"$('#CfoSeetimeto').text('18:30');"},
                {"title":"19:00","link":"$('#CfoSeetimeto').text('19:00');"},
                {"title":"19:30","link":"$('#CfoSeetimeto').text('19:30');"},
                {"title":"20:00","link":"$('#CfoSeetimeto').text('20:00');"},
                {"title":"20:30","link":"$('#CfoSeetimeto').text('20:30');"},
                {"title":"21:00","link":"$('#CfoSeetimeto').text('21:00');"},
                {"title":"21:30","link":"$('#CfoSeetimeto').text('21:30');"},
                {"title":"22:00","link":"$('#CfoSeetimeto').text('22:00');"},
                {"title":"22:30","link":"$('#CfoSeetimeto').text('22:30');"},
                {"title":"23:00","link":"$('#CfoSeetimeto').text('23:00');"},
                {"title":"23:30","link":"$('#CfoSeetimeto').text('23:30');"},
                {"title":"24:00","link":"$('#CfoSeetimeto').text('24:00');"},
                {"title":"24:30","link":"$('#CfoSeetimeto').text('24:30');"},
                {"title":"00:00","link":"$('#CfoSeetimeto').text('00:00');"},
                {"title":"00:30","link":"$('#CfoSeetimeto').text('00:30');"},
                {"title":"01:00","link":"$('#CfoSeetimeto').text('01:00');"},
                {"title":"01:30","link":"$('#CfoSeetimeto').text('01:30');"},
                {"title":"02:00","link":"$('#CfoSeetimeto').text('02:00');"},
                {"title":"02:30","link":"$('#CfoSeetimeto').text('02:30');"},
                {"title":"03:00","link":"$('#CfoSeetimeto').text('03:00');"},
                {"title":"03:30","link":"$('#CfoSeetimeto').text('03:30');"},
                {"title":"04:00","link":"$('#CfoSeetimeto').text('04:00');"},
                {"title":"04:30","link":"$('#CfoSeetimeto').text('04:30');"},
                {"title":"05:00","link":"$('#CfoSeetimeto').text('05:00');"},
                {"title":"05:30","link":"$('#CfoSeetimeto').text('05:30');"},
                {"title":"06:00","link":"$('#CfoSeetimeto').text('06:00');"},
                {"title":"06:30","link":"$('#CfoSeetimeto').text('06:30');"},
                {"title":"07:00","link":"$('#CfoSeetimeto').text('07:00');"},
                {"title":"07:30","link":"$('#CfoSeetimeto').text('07:30');"}
            ]);
            return false;
        });

        //增加项目
        $('#CfoCheckAddBtn').on(END_EV,function(){
            if (moving>movingflag) return false;
            $(this).before('<div class="cfo_comitem">'
                +'<div class="cfo_comitemlongtext">'
                +'<input type="text" placeholder="项目名称" class="cfo_checkinput0" />'
                +'</div>'
                +'<div class="cfo_comitemshorttext">'
                +'<input type="number" class="cfo_checkinput1" />'
                +'</div>'
                +'<div class="cfo_comspan">元</div>'
                +'</div>');
        });
        $('#CfoMedicalAddBtn').on(END_EV,function(){
            if (moving>movingflag) return false;
            $(this).before('<div class="cfo_comitem">'
                +'<div class="cfo_comitemlongtext">'
                +'<input type="text" placeholder="项目名称" class="cfo_medicalinput0" />'
                +'</div>'
                +'<div class="cfo_comitemshorttext">'
                +'<input type="number" class="cfo_medicalinput1" />'
                +'</div>'
                +'<div class="cfo_comspan">元</div>'
                +'</div>');
        });
        $('#CfoCheckRedBtn,#CfoMedicalRedBtn').on(END_EV,function(){
            if (moving>movingflag) return false;
            $(this).parent().find('.cfo_comitem').last().remove();
        });
    });
}

function myPage(u) {
    //读取模板
    var html = $.tmpl('#tmpl_my');
    //新页面滑入
    slide_in(html, rMy, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        showfooter(3);
        showheader('我的',0,-1,-1);

        $('.my_ist_f').on(END_EV,function(){
            if(moving>movingflag) return false;

            takePhoto(true);
        });

        $('#SpreadBtn').on(END_EV,function() {
            if (moving>movingflag) return false;
            window.plugins.socialsharing.share('诚挚给您推荐“点医网”app；点医网，帮您找“对”医生，下载地址：', null, null, API_INTERFACE_SHAREURL_APPDOWNLOAD);
        });

        $.getp(API_INTERFACE_FINDMEMBER,{tokenid:tokenid},true,false,false,function(json){
            //把资料更新到全局变量中
            user=json.Data;

            var userface=fiximg(user.headphoto,'_S');
            if(userface!==false)
                $('.my_ist_f').css('background-image','url('+userface+')');
            $('.my_ist_n').text(user.name);

            //首次登录提示完善资料
            if(user.profilestatus==0)
                $('.my_con_set').append('<div class="tips_redpoint"></div>');
        },null,null);

        //有新回复时添加提示
        $.getp(API_INTERFACE_HASCIRCLEREPLY, {tokenid: tokenid}, true, true, true, function (json) {
            $('.my_con_art').append('<div class="tips_redpoint"></div>');
        }, function () {}, function () {});
    });
}

function scorePage(u) {
    //读取模板
    var html = $.tmpl('#tmpl_score');
    //新页面滑入
    slide_in(html, rScore, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我的E点',0,0,-1);

        $('.sco_tab_header_i').on(END_EV,function(){
            if (moving>movingflag) return false;
            if($(this).hasClass('active'))
                return;

            var tmpTouch=$(this).index();
            $(this).addClass('active').siblings().removeClass('active');
            $('.sco_tab_body_i').eq(tmpTouch).addClass('active').siblings().removeClass('active');
        });

        $('#ScoTotalVal').text(user.balance);

        $.getp(API_INTERFACE_GETSCOREINTER,{},true,false,false,function(json){
            var rules='';
            if(typeof(json.Data)!=='undefined'){
                rules=json.Data.content;
            }
            var rulesArr=rules.split("\n");
            var $rulesContainer=$('#ScoTabBodyInt');
            for(var i=0;i<rulesArr.length;i++){
                var ruleItem=rulesArr[i].split('|');
                if(ruleItem.length==2)
                    $rulesContainer.append('<div class="sco_item_rec">'
                        +'<div class="sco_item_rec_2">'+ruleItem[0]+'</div>'
                        +'<div class="sco_item_rec_2">'+ruleItem[1]+'</div>'
                        +'</div>');
            }
        },null,null);

        var _pageNum=1;
        var _pageSize=10;
        listmyscoflow(_pageNum,_pageSize);
        listmyscogift(_pageNum,_pageSize);
        $('#ScoRecLoadmoreBtn').data('pn',_pageNum).data('ps',_pageSize).on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmyscoflow(_pn,_ps);
        });
        $('#ScoGifLoadmoreBtn').data('pn',_pageNum).data('ps',_pageSize).on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmyscogift(_pn,_ps);
        });
    });
}
function listmyscoflow(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#ScoTabBodyRec').empty();

    $.getp(API_INTERFACE_LISTMEMBERSCORE, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $flowcontainer=$('#ScoTabBodyRec');
        for(var i=0;i<json.Data.length;i++){
            $flowcontainer.append('<div class="sco_item_rec">'
                +'<div class="sco_item_rec_4">'
                +(json.Data[i].type==0?'收入':'消费')
                +'</div>'
                +'<div class="sco_item_rec_4">'
                +json.Data[i].note
                +'</div>'
                +'<div class="sco_item_rec_4">'
                +(json.Data[i].type==0?'+':'-')
                +json.Data[i].increased
                +'</div>'
                +'<div class="sco_item_rec_4">'
                +json.Data[i].createdate
                +'</div>'
                +'</div>');
        }
        $('#ScoRecLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#ScoRecLoadmoreBtn').text('已加载全部');
        if($('#ScoTabBodyRec>.sco_item_rec').length<10)
            $('#ScoRecLoadmoreBtn').hide();
        if($('#ScoTabBodyRec>.sco_item_rec').length<1){
            $flowcontainer.prev().hide();
            $flowcontainer.append('<div class="def_noitemdiv">目前还没有记录</div>');
        }
    },null,null);
}
function listmyscogift(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#ScoTabBodyGif').empty();

    $.getp(API_INTERFACE_SENDGIFTFLOW, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $flowcontainer=$('#ScoTabBodyGif');
        for(var i=0;i<json.Data.length;i++){
            var giftlogo=fiximg(json.Data[i].logo,'_S');
            var doctorlogo=fiximg(json.Data[i].doctorlogo,'_S');
            $flowcontainer.append('<div class="sco_item_gif">'
                +'<div class="sco_item_gif_c">'
                +'<div class="sco_item_gif_c_f"'
                +(doctorlogo?' style="background-image:url('+doctorlogo+')"':'')
                +'></div>'
                +'<div class="sco_item_gif_c_n">'
                +json.Data[i].doctorname
                +'医生</div>'
                +'<div class="sco_item_gif_c_t">'
                +json.Data[i].createdate
                +' '
                +json.Data[i].createtime.substr(0,5)
                +'</div>'
                +'<div class="sco_item_gif_c_gf"'
                +(giftlogo?' style="background-image:url('+giftlogo+')"':'')
                +'></div>'
                +'<div class="sco_item_gif_c_gn">'
                +json.Data[i].giftname
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#ScoGifLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#ScoGifLoadmoreBtn').text('已加载全部');
        if($('.sco_item_gif').length<10)
            $('#ScoGifLoadmoreBtn').hide();
        if($('.sco_item_gif').length<1){
            $flowcontainer.append('<div class="def_noitemdiv">目前还没有记录</div>');
        }
    },null,null);
}

function attentionPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_attention');
    //新页面滑入
    slide_in(html, rAttention, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我的关注',0,0,-1);

        if(u[1].length>1){
            if(u[1]=='_1'){
                $('#AttTabCir').addClass('active');
                $('#AttTabDoc').removeClass('active');
                $('#AttCirContainer').show();
                $('#AttDocContainer').hide();
            }
        }
        if(u[2].length>1){
            u[2]=decodeURIComponent(u[2]);
            var defVal=u[2].substr(1).split('|');
            if(defVal.length>0 && defVal[0]!=''){
                $('#AttSearchKeyword').text(defVal[0]);
            }
            /*if(defVal.length>1 && defVal[1]!=''){
                $('#AttHptname').text(defVal[1]);
            }
            if(defVal.length>2 && defVal[2]!=''){
                $('#AttDeptname').text(defVal[2]);
            }*/
        }
        else
            $('#AttSearchKeyword').text('搜索');

        var searchkeywords=$('#AttSearchKeyword').text();
        if(searchkeywords=='搜索')
            searchkeywords='';

        var hptname='';//$('#AttHptname').text();
        //if(hptname=='医院')
        //    hptname='';

        var deptname='';//$('#AttDeptname').text();
        //if(deptname=='科室')
        //    deptname='';

        var _pageNum=1;
        var _pageSize=10;
        loadAttentionDocList(searchkeywords,hptname,deptname,_pageNum,_pageSize);
        $('#AttDocLoadmoreBtn').data('sk',searchkeywords);
        $('#AttDocLoadmoreBtn').data('hn',hptname);
        $('#AttDocLoadmoreBtn').data('dn',deptname);
        $('#AttDocLoadmoreBtn').data('pn',_pageNum);
        $('#AttDocLoadmoreBtn').data('ps',_pageSize);
        $('#AttDocLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _sk=$(this).data('sk');
            var _hn=$(this).data('hn');
            var _dn=$(this).data('dn');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            loadAttentionDocList(_sk,_hn,_dn,_pn,_ps);
        });

        loadAttentionCirList(_pageNum,_pageSize);
        $('#AttCirLoadmoreBtn').data('pn',_pageNum);
        $('#AttCirLoadmoreBtn').data('ps',_pageSize);
        $('#AttCirLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            loadAttentionCirList(_pn,_ps);
        });

        $('#AttSearchKeyword').on(END_EV,function() {
            if (moving > movingflag) return false;

            var tmpT=$(this).text();
            if(tmpT=='搜索')
                tmpT='';
            $('.sfe').show().height(windowHeight);
            $('.sfe_keyword').val(tmpT).focus();
            preventScroll();
        });

        //医生或圈子，切换
        $('#AttTabDoc').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#AttTabDoc').addClass('active');
            $('#AttTabCir').removeClass('active');
            $('#AttDocContainer').show();
            $('#AttCirContainer').hide();

            var hash=location.hash;
            if(hash.length<11) {
                Router.fixlasthis('#attention_0');
            }
            else {
                hash = hash.replace('attention_1', 'attention_0');
                Router.fixlasthis(hash);
            }
        });
        $('#AttTabCir').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#AttTabCir').addClass('active');
            $('#AttTabDoc').removeClass('active');
            $('#AttCirContainer').show();
            $('#AttDocContainer').hide();

            var hash=location.hash;
            if(hash.length<11) {
                Router.fixlasthis('#attention_1');
            }
            else {
                hash = hash.replace('attention_0', 'attention_1');
                Router.fixlasthis(hash);
            }
        });
    });
}
function loadAttentionDocList(_searchkeywords,_hptname,_deptname,_pageNum,_pageSize){
    $.getp(API_INTERFACE_ATTENTIONLIST, {tokenid:tokenid,hptname:_hptname,deptname:_deptname,searchkeywords:_searchkeywords,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var doctor=json.Data;
        var $doctorcontainer=$('#AttDocContainer .att_r');
        for(var i=0;i<json.Data.length;i++){
            var doctorface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="att_r_i link" rel="#doctor_'
                +json.Data[i].doctorid
                +'" id="AttentionDocId'
                +json.Data[i].doctorid
                +'">'
                +'<div class="att_r_i_con">'
                +'<div class="att_r_i_f '
                +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                +'"'
                +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                +'></div>'
                +'<div class="att_r_i_d">'
                +'<div class="att_r_i_d_c">'+json.Data[i].commentnum+'</div>'
                +'<div class="att_r_i_d_a">'+json.Data[i].focusonnum+'</div>'
                +'</div>'
                +'<div class="att_r_i_n">'
                +json.Data[i].doctorname
                +'<span>'
                +json.Data[i].title
                +'</span></div>'
                +'<div class="att_r_i_h">'
                +json.Data[i].hptname
                +'</div>'
                +'<div class="att_r_i_k">'
                +json.Data[i].deptname
                +'</div>'
                +'<div class="att_r_i_p">擅长领域：'
                +json.Data[i].professional
                +'</div>'
                +'<div class="att_r_i_s">'
                +printstar(json.Data[i].score,'att_star')
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#AttDocLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#AttDocLoadmoreBtn').text('已加载全部');
        if($('#AttDocContainer .att_r_i').length<10)
            $('#AttDocLoadmoreBtn').hide();
        if($('#AttDocContainer .att_r_i').length<1){
            if($('#AttSearchKeyword').text().length<1 || $('#AttSearchKeyword').text()=='搜索' /*&& $('#AttHptname').text()=='医院' && $('#AttDeptname').text()=='科室'*/){
                $doctorcontainer.append('<div class="def_noitemdiv">您还未关注任何人</div>');
            }
            else
                $doctorcontainer.append('<div class="def_noitemdiv">您查询的条件没有找到相关信息，请重新查询</div>');
        }
    },null,null);
}
function loadAttentionCirList(_pageNum,_pageSize){
    $.getp(API_INTERFACE_ATTENTIONCIRCLELIST, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var doctor=json.Data;
        var $doctorcontainer=$('#AttCirContainer .att_r');
        for(var i=0;i<json.Data.length;i++){
            var circleface=fiximg(json.Data[i].logo,'_S');
            $doctorcontainer.append('<div class="att_r_li link" rel="#cirgroup_'
                +json.Data[i].id
                +'" id="AttentionCirId'
                +json.Data[i].id
                +'">'
                +'<div class="att_r_li_con">'
                +'<div class="att_r_li_f"'
                +(circleface!==false?' style="background-image:url('+circleface+')"':'')
                +'></div>'
                +'<div class="att_r_li_n">'
                +json.Data[i].name
                +'交流圈</div>'
                +'<div class="att_r_li_s">'
                +json.Data[i].summary
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#AttCirLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#AttCirLoadmoreBtn').text('已加载全部');
        if($('#AttCirContainer .att_r_li').length<10)
            $('#AttCirLoadmoreBtn').hide();
        if($('#AttCirContainer .att_r_li').length<1){
            $doctorcontainer.append('<div class="def_noitemdiv">您还未加入任何社团</div>');
        }
    },null,null);
}
function attentionReflushCondition(){
    var searchkeywords=$('#AttSearchKeyword').text();
    if(searchkeywords=='搜索')
        searchkeywords='';
    var hptname='';//$('#AttHptname').text();
    var deptname='';//$('#AttDeptname').text();

    Router.delselfhistory();
    location.hash='#attention_'+($('.att_tab_header_i').eq(0).hasClass('active')?'0':'1')+'_'+encodeURIComponent(searchkeywords+'|'+hptname+'|'+deptname);
}

function feedbackPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_feedback');
    //新页面滑入
    slide_in(html, rFeedback, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('意见反馈',0,0,4);

        $('.fed_btn').on(END_EV,function() {
            if (moving>movingflag) return false;

            //发送反馈
            var _content=$('#FeedbackText').val();
            if(_content.length<1) {
                showtips('请输入意见反馈的内容');
                return;
            }
            $.getp(API_INTERFACE_SENDFEEDBACK, {tokenid:tokenid,content:_content}, true, false,false, function (json) {
                //发送成功
                showtips('你的反馈已发送，感谢您的支持');
                Router.get_back_from(location.hash);
            },null,null);
        });
    });
}

function settingPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_setting');
    //新页面滑入
    slide_in(html, rSetting, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('个人设置',0,0,-1);

        //首次登录提示完善资料
        if(user.profilestatus==0)
            $('.my_con_setdata').append('<div class="tips_redpoint"></div>');

        $('#LogoutBtn').on(END_EV,function() {
            if (moving>movingflag) return false;

            do_confirm('确认要登出吗？',function(result){
                if(result==do_confirm.OK) {
                    $.getp(API_INTERFACE_LOGOUT, {tokenid: tokenid}, true, true,false, function (json) {}, null, null);
                    showtips('登出成功');
                    unsetmember();
                    location.hash = '#startf';
                }
            });
        });

        if(isAndroid) {
            $('#SetCheckUpdate').on(END_EV, function () {
                if (moving>movingflag) return false;

                var _apptype = isAndroid?'ANDROID':'IPHONE';
                $.getp(API_INTERFACE_GETNEWESTAPP, {apptype: _apptype}, true, true, false, function (json) {
                    if (typeof(json.Data) === 'undefined') {
                        showtips('已是最新版本，版本号' + APP_VERSIONNAME);
                        return;
                    }
                    else {
                        var newestVersion = json.Data;
                        if (newestVersion.versioncode > APP_VERSIONCODE) {
                            showtips('检测到新版本 ' + newestVersion.versionname);
                            __newestVersion = newestVersion;
                            location.hash = '#updetail';
                        }
                        else {
                            showtips('已是最新版本，版本号' + APP_VERSIONNAME);
                        }
                    }
                }, null, null);
            });
        }
        else{
            $('#SetCheckUpdate').hide();
        }
    });
}

function setdataPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_setdata');
    //新页面滑入
    slide_in(html, rSetdata, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('资料编辑',0,0,4);

        var userface=fiximg(user.headphoto,'_S');
        if(userface!==false)
            $('#FaceView').css('background-image','url('+userface+')');
        if(user.name!='注册用户')
            $('#SetdataName').val(user.name);
        $('#SetdataSex').text(user.sex==0?'女':user.sex==1?'男':'请选择');
        $('#SetdataBirthday').text(user.birthday);
        $('#SetdataCity').text(user.province+'>'+user.city);

        $('#SetdataBirthdaySelector').on(END_EV,function() {
            if (moving>movingflag) return false;

            var defdate;
            var defdatestr=$(this).text();

            if(defdatestr.length==10) {
                var datarr = defdatestr.split('-');
                var _y = 1 * datarr[0];
                var _m = 1 * datarr[1] - 1;
                var _d = 1 * datarr[2];
                defdate=new Date(_y,_m,_d);
            }
            else{
                defdate=new Date();
            }

            var options = {
                date: defdate,
                mode: 'date'
            };

            datePicker.show(options, function(date){
                if(date)
                    $('#SetdataBirthday').text(date.pattern('yyyy-MM-dd'));
            });
            return false;
        });

        $('#SetdataCitySelector').on(END_EV,function() {
            if (moving>movingflag) return false;
            callSelectCity('SetdataCity',1,0,1,1,'',false);
        });

        $('#FaceView').on(END_EV,function() {
            if (moving>movingflag) return false;
            takePhoto(true);
        });

        $('#SetdataSexSelector').on(END_EV,function() {
            if (moving>movingflag) return false;
            togglemenu([{'title':'男','link':'$(\'#SetdataSex\').text(\'男\');'},{'title':'女','link':'$(\'#SetdataSex\').text(\'女\');'}]);
        });
    });
}

function setpasswordPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_setpassword');
    //新页面滑入
    slide_in(html, rSetpassword, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('密码修改',0,0,4);
    });
}

function sethelpPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_sethelp');
    //新页面滑入
    slide_in(html, rSethelp, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('帮助',0,0,-1);
    });
}

function setstatePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_setstate');
    //新页面滑入
    slide_in(html, rSetstate, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('声明',0,0,-1);
    });
}

function updetailPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_updetail');
    //新页面滑入
    slide_in(html, rUpdetail, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('版本更新',0,0,-1);

        if(typeof(__newestVersion)!=='object') {
            showtips('版本信息丢失');
            Router.get_back_from(location.hash);
        }
        else{
            var newestVersion=__newestVersion;

            //强制更新
            if(__newestVersion.updatecode>APP_VERSIONCODE){
                $('.backbtn').hide();
                document.removeEventListener('backbutton', backhandler, false);
                document.addEventListener('backbutton', function () {
                    if(exiton){
                        //关闭APP
                        navigator.app.exitApp();
                    }
                    else{
                        showtips('再按一次返回将退出应用');
                        exiton=true;
                        do_timeout(function(){exiton=false},2000);
                    }
                });
            }

            $('.upl_version_b').text(newestVersion.versionname);
            $('.upl_content_b').html(newestVersion.updatecontent.replaceAll("\n","<br />"));

            $('.upl_btn').on(END_EV,function() {
                if (moving>movingflag) return false;

                if($(this).data('updating')) {
                    return;
                }

                if(isAndroid) {
                    //执行更新
                    $('.upl_btn').text('正在下载更新安装包...').data('updating', true);

                    var filename = newestVersion.softwareurl.substr(newestVersion.softwareurl.lastIndexOf('/') + 1);
                    var fileext = filename.substr(filename.lastIndexOf('.'));
                    filename = filename.substr(0, filename.lastIndexOf('.')) + '-' + newestVersion.versioncode + fileext;
                    var fileUrl = fullPathUpdate + filename;
                    var fileTransfer = new FileTransfer();

                    showloading('下载中');
                    fileTransfer.download(
                        newestVersion.softwareurl,
                        fileUrl,
                        function (entry) {
                            showtips('安装包已下载完成，即将自动运行');
                            cordova.plugins.bridge.open(entry.toURL(), function () {
                                //showtips('打开更新程序');
                                $('.upl_btn').text('更新').data('updating', false);
                                hideloading();
                            }, function (code) {
                                showtips('安装更新包失败，请手动运行apk文件进行更新');
                                $('.upl_btn').text('更新').data('updating', false);
                                hideloading();
                            }, true);
                            do_debug('下载完成');
                            do_debug(fileUrl);
                        },
                        function (error) {
                            showtips('下载安装包失败，请检查网络连接');
                            $('.upl_btn').text('更新').data('updating', false);
                            hideloading();
                            do_debug("download error source " + error.source);
                            do_debug("download error target " + error.target);
                        },
                        false,
                        {}
                    );
                }
                else{
                    showtips('苹果用户请到 App Store 进行更新');
                }
            });
        }
    });
}

function aboutPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_about');
    //新页面滑入
    slide_in(html, rAbout, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('关于我们',0,0,-1);

        $.getp(API_INTERFACE_GETABOUTUS, {}, true, false,false, function (json) {
            if (typeof(json.Data) !== 'undefined') {
                $('.about_content').append(json.Data.content);
            }
        },null,null);
    });
}

function myfavPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_myfav');
    //新页面滑入
    slide_in(html, rMyfav, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我的收藏',0,0,-1);

        //医生或圈子，切换
        $('#FavTabInf').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#FavTabInf').addClass('active');
            $('#FavTabArt').removeClass('active');
            $('#FavInfContainer').show();
            $('#FavArtContainer').hide();
        });
        $('#FavTabArt').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#FavTabArt').addClass('active');
            $('#FavTabInf').removeClass('active');
            $('#FavArtContainer').show();
            $('#FavInfContainer').hide();
        });

        var _pageNum=1;
        var _pageSize=10;

        listfavinfo(_pageNum,_pageSize);
        $('#FavInfLoadmoreBtn').data('pn',_pageNum);
        $('#FavInfLoadmoreBtn').data('ps',_pageSize);
        $('#FavInfLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listfavinfo(_pn,_ps);
        });

        listfavart(_pageNum,_pageSize);
        $('#FavArtLoadmoreBtn').data('pn',_pageNum);
        $('#FavArtLoadmoreBtn').data('ps',_pageSize);
        $('#FavArtLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listfavart(_pn,_ps);
        });
    });
}
function listfavinfo(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#FavInfContainer .fav_r').empty();
    $.getp(API_INTERFACE_LISTINFOFAV, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        //把资料更新到全局变量中
        var $articlecontainer=$('#FavInfContainer .fav_r');
        $articlecontainer.empty();
        for(var i=0;i<json.Data.length;i++){
            var txtface=fiximg(json.Data[i].logo,'_S');
            $articlecontainer.append('<div class="fav_r_i link" rel="#article_'
                +json.Data[i].articleid
                +'"><div class="fav_r_i_con">'
                +'<div class="fav_r_i_f"'
                +(txtface!==false?' style="background-image:url('+txtface+')"':'')
                +'></div>'
                +'<div class="fav_r_i_n">'
                +json.Data[i].title
                +'</div>'
                +'<div class="fav_r_i_s">'
                +fixArticleSummary(json.Data[i].content)
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#FavInfLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#FavInfLoadmoreBtn').text('已加载全部');
        if($('.fav_r_i').length<10)
            $('#FavInfLoadmoreBtn').hide();
        if($('.fav_r_i').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">你还没有收藏任何资讯文章！</div>');
        }
    }, null, null);
}
function listfavart(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#FavArtContainer .fav_r').empty();

    $.getp(API_INTERFACE_LISTGRPARTFAV, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        var $articlecontainer=$('#FavArtContainer .fav_r');

        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');
            $articlecontainer.append('<div class="fav_r_ai link" rel="#cirarticle_'
                + json.Data[i].articleid
                + '"><div class="fav_r_ai_con">'
                + '<div class="fav_r_ai_t">' + json.Data[i].title + '</div>'
                + '<div class="fav_r_ai_n"><div class="fav_r_ai_f"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                + '></div>' + json.Data[i].membername
                + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                + '<br /><span>' + json.Data[i].createdate + ' ' + json.Data[i].createtime.substr(0,5) + '</span></div>'
                + '<div class="fav_r_ai_o">'
                + '<div class="fav_r_ai_o_0">' + json.Data[i].replynum + '</div>'
                + '<div class="fav_r_ai_o_l"></div>'
                + '<div class="fav_r_ai_o_1">' + json.Data[i].supportnum + '</div>'
                + '<div class="fav_r_ai_o_l"></div>'
                + '<div class="fav_r_ai_o_2">' + json.Data[i].favoritenum + '</div>'
                + '</div>'
                + '</div></div>');
        }
        $('#FavArtLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#FavArtLoadmoreBtn').text('已加载全部');
        if($('.fav_r_ai').length<10)
            $('#FavArtLoadmoreBtn').hide();
        if($('.fav_r_ai').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">你还没有收藏任何社区文章！</div>');
        }
    }, null, null);
}

function datachartPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_datachart');
    //新页面滑入
    slide_in(html, rDatachart, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('数据统计',0,0,-1);
        $('.datachart').append('<img src="images/360/datachart.png" />');
    });
}

function articlePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_article');
    //新页面滑入
    slide_in(html, rArticle, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('阅读文章',0,0,-1);

        var _articleid=1*u[1];

        $.getp(API_INTERFACE_ARTICLEDETAIL, {articleid:_articleid}, true, false,false, function (json) {
            if (typeof(json.Data) !== 'undefined') {
                var article=json.Data;
                $('.art_con_t').text(article.title);
                $('.art_con_b_time').append(article.createdate);
                //$('.art_con_b_tag').append(article.tags);
                $('.art_con_b_detail').html(article.content);
            }
        },null,null);
    });
}

function messagePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_message');
    //新页面滑入
    slide_in(html, rMessage, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('消息中心',0,0,-1);

        if(u[1].length>1){
            if(u[1]=='_1'){
                $('#MsgTabSys').addClass('active');
                $('#MsgTabMem').removeClass('active');
                $('#MsgSysContainer').show();
                $('#MsgMemContainer').hide();

                //修改系统消息已阅状态
                $.getp(API_INTERFACE_READNEWSYSTEMMSG, {tokenid: tokenid}, true, true, true, function (json) {
                    $('#MsgTabSys .tips_redpoint').hide();
                }, function () {}, function () {});
            }
            else{
                //修改用户消息已阅状态
                $.getp(API_INTERFACE_READNEWMEMBERMSG, {tokenid: tokenid}, true, true, true, function (json) {
                    $('#MsgTabMem .tips_redpoint').hide();
                }, function () {}, function () {});
            }
        }
        else{
            //修改用户消息已阅状态
            $.getp(API_INTERFACE_READNEWMEMBERMSG, {tokenid: tokenid}, true, true, true, function (json) {
                $('#MsgTabMem .tips_redpoint').hide();
            }, function () {}, function () {});
        }

        //是否有用户消息
        $.getp(API_INTERFACE_HASNEWMEMBERMSG, {tokenid: tokenid}, true, true, true, function (json) {
            $('#MsgTabMem .tips_redpoint').show();
        }, function () {}, function () {});

        //是否有系统消息
        $.getp(API_INTERFACE_HASNEWSYSTEMMSG, {tokenid: tokenid}, true, true, true, function (json) {
            $('#MsgTabSys .tips_redpoint').show();
        }, function () {}, function () {});

        //用户消息与系统消息，切换
        $('#MsgTabMem').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#MsgTabMem').addClass('active');
            $('#MsgTabSys').removeClass('active');
            $('#MsgMemContainer').show();
            $('#MsgSysContainer').hide();

            //清除用户消息已阅状态
            $.getp(API_INTERFACE_READNEWMEMBERMSG, {tokenid: tokenid}, true, true, true, function (json) {
                $('#MsgTabMem .tips_redpoint').hide();
            }, function () {}, function () {});

            //默认TAB
            Router.fixlasthis('#message_0');
        });
        $('#MsgTabSys').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#MsgTabSys').addClass('active');
            $('#MsgTabMem').removeClass('active');
            $('#MsgSysContainer').show();
            $('#MsgMemContainer').hide();

            //清除系统消息已阅状态
            $.getp(API_INTERFACE_READNEWSYSTEMMSG, {tokenid: tokenid}, true, true, true, function (json) {
                $('#MsgTabSys .tips_redpoint').hide();
            }, function () {}, function () {});

            //默认TAB
            Router.fixlasthis('#message_1');
        });

        var _pageNum=1;
        var _pageSize=10;

        listmsgmember();

        listmsgsystem(_pageNum,_pageSize);
        $('#MsgSysLoadmoreBtn').data('pn',_pageNum);
        $('#MsgSysLoadmoreBtn').data('ps',_pageSize);
        $('#MsgSysLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmsgsystem(_pn,_ps);
        });
    });
}
function listmsgmember(){
    $('#MsgMemContainer .msg_r').empty();
    $.getp(API_INTERFACE_LISTMEMBERMSG, {tokenid:tokenid}, true, true,false, function (json) {
        //把资料更新到全局变量中
        var $msgcontainer=$('#MsgMemContainer .msg_r');
        $msgcontainer.empty();
        for(var i=0;i<json.Data.length;i++){
            var userface=fiximg(json.Data[i].headphoto,'_S');
            $msgcontainer.append('<div class="msg_r_i link" rel="#chat_'
                +json.Data[i].memberid
                +'"><div class="msg_r_i_con">'
                +'<div class="msg_r_i_f"'
                +(userface!==false?' style="background-image:url('+userface+')"':'')
                +'></div>'
                +'<div class="msg_r_i_n">'
                +json.Data[i].membername
                +'</div>'
                +'<div class="msg_r_i_t">'
                +json.Data[i].createdate.substr(5)+' '+json.Data[i].createtime.substr(0,5)
                +'</div>'
                +'<div class="msg_r_i_c">'
                +json.Data[i].content
                +'</div>'
                +'</div>'
                +'</div>');
        }
        if($('#MsgMemContainer .msg_r_i').length<1){
            $msgcontainer.append('<div class="def_noitemdiv">你目前还没有收到用户消息！</div>');
        }
    }, null, null);
}
function listmsgsystem(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#MsgSysContainer .msg_r').empty();
    $.getp(API_INTERFACE_LISTSYSTEMMSG, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        //把资料更新到全局变量中
        var $msgcontainer=$('#MsgSysContainer .msg_r');
        $msgcontainer.empty();
        for(var i=0;i<json.Data.length;i++){
            $msgcontainer.append('<div class="msg_r_i link" rel="#sysmsg_'
                +json.Data[i].id
                +'"><div class="msg_r_i_con">'
                +'<div class="msg_r_i_f"></div>'
                +'<div class="msg_r_i_n">'
                +json.Data[i].title
                +'</div>'
                +'<div class="msg_r_i_t">'
                +json.Data[i].createdate.substr(5)+' '+json.Data[i].createtime.substr(0,5)
                +'</div>'
                +'<div class="msg_r_i_c">'
                +fixArticleSummary(json.Data[i].content)
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#MsgSysLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#MsgSysLoadmoreBtn').text('已加载全部');
        if($('#MsgSysContainer .msg_r_i').length<10)
            $('#MsgSysLoadmoreBtn').hide();
        if($('#MsgSysContainer .msg_r_i').length<1){
            $msgcontainer.append('<div class="def_noitemdiv">你目前还没有收到系统消息！</div>');
        }
    }, null, null);
}

function adpagePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_adpage');
    //新页面滑入
    slide_in(html, rAdpage, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        hideheader();

        $('.adp_con').append('<img src="'+fiximg(selectAdImgUrl,'_L')+'" />').on(END_EV,function(){
            if(moving>movingflag) return false;
            Router.get_back_from(location.hash);
        });
    });
}

function mycommentPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_mycomment');
    //新页面滑入
    slide_in(html, rMycomment, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我的点评',0,0,-1);

        var _pageNum=1;
        var _pageSize=10;
        $('.mcm_com_loadmore').data('pn',_pageNum).data('ps',_pageSize);
        loadMyComment(_pageNum,_pageSize);

        $('.mcm_com_loadmore').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            loadMyComment(_pn,_ps);
        });

    });
}
//读取点评数据
function loadMyComment(_pageNum,_pageSize){
    $.getp(API_INTERFACE_LISTMYCOMMENTS, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $commoncontainer=$('.mcm_com_b');
        for(var i=0;i<json.Data.length;i++){
            var doctorlogo=fiximg(json.Data[i].doctorlogo,'_S');

            $commoncontainer.append('<div class="mcm_com_b_i">'
                +'<div class="mcm_com_b_i_d">'
                +'<div class="mcm_com_b_i_d_f"'
                +(doctorlogo?' style="background-image:url('+doctorlogo+')"':'')
                +'></div>'
                +'<div class="mcm_com_b_i_d_n">'+json.Data[i].doctorname+'</div>'
                +'<div class="mcm_com_b_i_d_t">'+json.Data[i].createdate+' '+json.Data[i].createtime+'</div>'
                +'</div>'
                +'<div class="mcm_com_b_i_c">'+json.Data[i].content+'</div>'
                +'<div class="mcm_com_b_i_btn link" rel="#dcdetail_'
                +json.Data[i].id
                +'">查看详情</div>'
                +'</div>');
        }
        $('.mcm_com_loadmore').text('加载更多');
        if(json.Data.length<10)
            $('.mcm_com_loadmore').text('已加载全部');
        if($('.mcm_com_b_i').length<10)
            $('.mcm_com_loadmore').hide();
        if($('.mcm_com_b_i').length<1)
            $commoncontainer.append('<div class="def_noitemdiv">您还未进行任何点评</div>');
    },null,null);
}

function mapviewPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_mapview');
    //新页面滑入
    slide_in(html, rMapview, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('附近',0,0,-1);

        markerid=[];
        marker=[];
        infoWindow=[];

        showloading('定位中');
        if(isAndroid){
            do_debug('安卓手机通过百度SDK定位');
            window.LocationPlugin.getLocation(function(data){
                hideloading();
                do_debug('百度SDK定位成功：'+JSON.stringify(data));
                __longtitude=data.longtitude;
                __latitude=data.latitude;

                map = new BMap.Map("MapContainer");
                map.centerAndZoom(new BMap.Point(__longtitude,__latitude), 14);

                var myIcon = new BMap.Icon("images/360/nowloc_icon.png", new BMap.Size(30, 30), {
                    anchor: new BMap.Size(-15, -30), // 指定定位位置
                    imageOffset: new BMap.Size(0,0), // 设置图片偏移
                    imageSize:new BMap.Size(30,30)
                });
                var locmarker=new BMap.Marker(new BMap.Point(__longtitude, __latitude),{icon:myIcon});
                map.addOverlay(locmarker);

                map.addEventListener("dragend", function(){
                    var cp = map.getCenter();
                    drawHosInMap(cp.lng,cp.lat,map.getZoom());
                });

                drawHosInMap(__longtitude,__latitude,14);
            },function(msg){
                hideloading();
                do_debug('百度定位失败：'+msg);
                showtips('无法获取定位权限，请检查系统设置');
                Router.get_back_from(location.hash);
            });
            return;
        }

        navigator.geolocation.getCurrentPosition(function (pos) {
            hideloading();
            do_debug('定位成功'+JSON.stringify(pos));

            //通过百度API进行坐标转换
            $.getp(API_INTERFACE_GETBAIDUPOS,{from:2,to:4,x:pos.coords.longitude,y:pos.coords.latitude},false,false,false,function(json){},function(json){
                do_debug('坐标转换成功'+JSON.stringify(json));
                if(json.error==0){
                    __longtitude=(new Base64).decode(json.x);
                    __latitude=(new Base64).decode(json.y);

                    map = new BMap.Map("MapContainer");
                    map.centerAndZoom(new BMap.Point(__longtitude,__latitude), 14);

                    var myIcon = new BMap.Icon("images/360/nowloc_icon.png", new BMap.Size(30, 30), {
                        anchor: new BMap.Size(-15, -30), // 指定定位位置
                        imageOffset: new BMap.Size(0,0), // 设置图片偏移
                        imageSize:new BMap.Size(30,30)
                    });
                    var locmarker=new BMap.Marker(new BMap.Point(__longtitude, __latitude),{icon:myIcon});
                    map.addOverlay(locmarker);
                    var locinfoWindow = new BMap.InfoWindow('当前位置');
                    locmarker.addEventListener("click", function(){this.openInfoWindow(locinfoWindow);});

                    map.addEventListener("dragend", function(){
                        var cp = map.getCenter();
                        do_debug(cp.lng+','+cp.lat);
                        drawHosInMap(cp.lng,cp.lat,map.getZoom());
                    });

                    drawHosInMap(__longtitude,__latitude,14);
                }
                else{
                    do_debug('坐标转换失败');
                    showtips('坐标转换失败');
                    Router.get_back_from(location.hash);
                }
            },null);
        }, function (err) {
            hideloading();
            do_debug('定位失败'+JSON.stringify(err));
            var errorword=(err.code==1)?'无法获取定位权限，附近条件不可用':(err.code==2)?'定位失败，请检查手机设置及网络情况':'定位超时，请检查手机设置及网络情况';
            showtips(errorword);
            Router.get_back_from(location.hash);

        }, {
            enableHighAccuracy: true,
            timeout: 5 * 1000,              //5秒超时
            maximumAge: 1000 * 60 * 60     //60分钟缓存
        });
    });
}
function drawHosInMap(lo,la,si){
    //lo x坐标，la y坐标，si 地图放大量

    $.getp(API_INTERFACE_LISTHOSPITALS, {longtitude:lo,latitude:la,pageNum:1,pageSize:10}, true, false,false, function (json) {
        //标注
        var j=markerid.length;
        for(var i=0;i<json.Data.length;i++) {
            //如果标注不存在就画出来
            if($.inArray(json.Data[i].id,markerid)<0) {
                markerid[j+i] = json.Data[i].id;
                marker[j+i] = new BMap.Marker(new BMap.Point(json.Data[i].longtitude, json.Data[i].latitude));
                map.addOverlay(marker[j+i]);
                infoWindow[j+i] = new BMap.InfoWindow('<span onclick="location.hash=\'#hptdetail_' + json.Data[i].id + '\';">' + json.Data[i].name + ' (点击查看)</a>');
                //eval('infoWindow[i].addEventListener("click", function(){alert("abc");location.hash="#hospital_'+json.Data[i].id+'";});');
                eval('marker[' + (j+i) + '].addEventListener("click", function(){this.openInfoWindow(infoWindow[' + (j+i) + ']);});');
            }
        }
    },null,null);
}


function circlePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_circle');
    //新页面滑入
    slide_in(html, rCircle, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        showfooter(2);
        showheader('病友圈',0,-1,-1);

        //广告轮播
        $.getp(API_INTERFACE_LISTADSLIDEPIC, {columntype:'GROUP',pageNum:1,pageSize:4}, true, false,false, function (json) {
            if(json.Data.length==0){
                $('.cir_ads').hide();
                return;
            }
            var $adcontainer=$('.cir_ads_p');
            $adcontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmpbanner=fiximg(json.Data[i].banner,'_L');
                var $adsi=$(document.createElement('div'));
                $adsi.addClass('cir_ads_i');
                $adsi.css('background-image','url('+tmpbanner+')');
                $adsi.data('url',json.Data[i].url);
                $adsi.appendTo($adcontainer);

                if(json.Data[i].adtype=='PAGE') {
                    //网页
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        var ctokenid='';
                        if(ismember()){
                            ctokenid=tokenid;
                        }
                        cordova.InAppBrowser.open($(this).data('url').replace('$tokenid',ctokenid), '_blank');
                    });
                }
                else if(json.Data[i].adtype=='APP') {
                    //APP里的内容
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        var tmpurl=$(this).data('url');
                        if(tmpurl.substr(0,8)=='ARTICLE:')
                            location.hash='#article_'+tmpurl.substr(8);
                        else if(tmpurl.substr(0,13)=='GROUPARTICLE:')
                            location.hash='#cirarticle_'+tmpurl.substr(13);
                        else if(tmpurl.substr(0,7)=='DOCTOR:')
                            location.hash='#doctor'+tmpurl.substr(7);
                    });
                }
                else if(json.Data[i].adtype=='IMAGE') {
                    //大图
                    $adsi.on(END_EV, function () {
                        if (moving > movingflag) return;
                        selectAdImgUrl=$(this).data('url');
                        location.hash='#adpage';
                    });
                }
            }
            $adcontainer.slick({
                infinite: true,
                autoplay: true,
                autoplaySpeed: 4000,
                dots: true,
                speed: 200,
                prevArrow: '',
                nextArrow: ''
            });
        },null,null);

        var ctokenid='';
        if(ismember()){
            ctokenid=tokenid;
        }

        //专家交流圈或热门社区，切换
        $('#CirTabPro').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#CirTabPro').addClass('active');
            $('#CirTabHot').removeClass('active');
            $('#CirProContainer').show();
            $('#CirHotContainer').hide();
        });
        $('#CirTabHot').on(END_EV,function(){
            if(moving>movingflag) return false;
            $('#CirTabHot').addClass('active');
            $('#CirTabPro').removeClass('active');
            $('#CirHotContainer').show();
            $('#CirProContainer').hide();
        });

        //专家交流圈
        $.getp(API_INTERFACE_LISTPROCIRCLE, {pageNum:1,pageSize:4}, true, false,false, function (json) {
            var $circlecontainer=$('#CirProContainer>.cir_ctn_b');
            $circlecontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmplogo=fiximg(json.Data[i].logo,'_S');
                $circlecontainer.append('<div class="cir_ctn_b_i link" rel="#cirgroup_'+json.Data[i].id+'"><div class="cir_ctn_b_i_f"'
                    +(tmplogo?' style="background-image:url('+tmplogo+')"':'')
                    +'></div><div class="cir_ctn_b_i_n">'+json.Data[i].name+'</div>');
            }
        },null,null);

        //热门社区
        $.getp(API_INTERFACE_LISTHOTCIRCLE, {pageNum:1,pageSize:4}, true, false,false, function (json) {
            var $circlecontainer=$('#CirHotContainer>.cir_ctn_b');
            $circlecontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmplogo=fiximg(json.Data[i].logo,'_S');
                $circlecontainer.append('<div class="cir_ctn_b_i link" rel="#cirgroup_'+json.Data[i].id+'"><div class="cir_ctn_b_i_f"'
                    +(tmplogo?' style="background-image:url('+tmplogo+')"':'')
                    +'></div><div class="cir_ctn_b_i_n">'+json.Data[i].name+'</div>');
            }
        },null,null);

        //热门话题
        $.getp(API_INTERFACE_LISTHOTCIRCLEARTICLE, {tokenid:ctokenid,pageNum:1,pageSize:10}, true, false,false, function (json) {
            var $articlecontainer=$('#HotArticleContainer');
            $articlecontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                var tmpface=fiximg(json.Data[i].headphoto,'_S');
                var tmpcontent=json.Data[i].content.replace(/<.*?>|　| |&nbsp;/gm,'');
                if(tmpcontent.length>36){
                    tmpcontent=tmpcontent.substr(0,26)+'...';
                }

                $articlecontainer.append('<div class="cir_ctn_b_li">'
                    +'<div class="cir_ctn_b_li_c">'
                    +'<div class="cir_ctn_b_li_c_f link"'
                    +(tmpface?' style="background-image:url('+tmpface+')"':'')
                    +' rel="#chat_'+json.Data[i].memberid+'"></div>'
                    +'<div class="cir_ctn_b_li_c_n">'+json.Data[i].membername
                    + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                    +'</div>'
                    +'<div class="cir_ctn_b_li_c_t">'+json.Data[i].timestr+'</div>'
                    +'<div class="cir_ctn_b_li_c_cir link" rel="#cirgroup_'+json.Data[i].groupid+'">'+json.Data[i].groupname+'交流圈</div>'
                    +'<div class="cir_ctn_b_li_c_c_t link" rel="#cirarticle_'
                    +json.Data[i].id
                    +'">'+json.Data[i].title+'</div><div class="cir_ctn_b_li_c_c_c link" rel="#cirarticle_'
                    +json.Data[i].id
                    +'">'+tmpcontent+'</div>'
                    +'<div class="cir_ctn_b_li_c_o">'
                    +'<div class="cir_ctn_b_li_c_o_0">'+json.Data[i].replynum+'</div>'
                    +'<div class="cir_ctn_b_li_c_o_l"></div>'
                    +'<div class="cir_ctn_b_li_c_o_1">'+json.Data[i].supportnum+'</div>'
                    +'<div class="cir_ctn_b_li_c_o_l"></div>'
                    +'<div class="cir_ctn_b_li_c_o_2">'+json.Data[i].favoritenum+'</div>'
                    +'</div></div></div>');
            }
        },null,null);
    });
}

function cirgroupPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_cirgroup');
    //新页面滑入
    slide_in(html, rCirgroup, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('病友圈',0,0,1);

        var ctokenid='';

        var _groupid=1*u[1];
        $('.title').data('groupid',_groupid);

        $('.cgp_ctn_tab_i').on(END_EV,function() {
            if (moving > movingflag) return false;
            var index=$(this).index();
            $(this).addClass('active').siblings().removeClass('active');
            $('.cgp_ctn_tabbody>.cgp_ctn').eq(index).addClass('active').siblings().removeClass('active');
        });

        //判断是否已加入
        if(ismember()) {
            //如果已登录，则检查是否已加入
            $.getp(API_INTERFACE_HASJOINGROUP, {tokenid:tokenid,groupid:_groupid}, true, false,false, function (json) {
                //未加入
            }, function(json){
                //已加入

                $.getp(API_INTERFACE_HASSIGNGROUP, {tokenid:tokenid,groupid:_groupid}, true, false,false, function (json) {
                    //未签到
                    $('.cgp_bas_c_btn').text('签到');
                }, function(json){
                    //已签到
                    $('.cgp_bas_c_btn').addClass('cgp_hasjoin').text('已签到');
                }, null);
            }, null);

            ctokenid=tokenid;
        }
        else{
            //未登录
        }

        $('.cgp_bas_c_btn').on(END_EV,function(){
            if (moving>movingflag) return false;
            if($(this).hasClass('cgp_hasjoin'))
                return;

            if(!ismember()){
                showtips('请先登录');
                location.hash='#login';
                return;
            }

            if($(this).text()=='签到'){
                //签到
                $.getp(API_INTERFACE_SIGNGROUP, {tokenid:tokenid,groupid:_groupid}, true, true,false, function (json) {
                    showtips('签到成功');
                    $('.cgp_bas_c_btn').addClass('cgp_hasjoin').text('已签到');
                    $.flush_cache(API_INTERFACE_HASSIGNGROUP);
                    $.flush_cache(API_INTERFACE_FINDMEMBER);
                    $.flush_cache(API_INTERFACE_LISTMEMBERSCORE);
                },null,null);
                return;
            }

            //加入
            $.getp(API_INTERFACE_JOINGROUP, {tokenid:tokenid,groupid:_groupid}, true, true,false, function (json) {
                showtips('加入成功');
                $('.cgp_bas_c_btn').text('签到');
                var tmpMembernum=1*$('.cgp_bas_c_c span').text();
                $('.cgp_bas_c_c span').text(1+tmpMembernum);
                $.flush_cache(API_INTERFACE_FINDCIRCLEGROUP);
                $.flush_cache(API_INTERFACE_HASJOINGROUP);
                $.flush_cache(API_INTERFACE_ATTENTIONCIRCLELIST);
            },null,null);
        });

        $.getp(API_INTERFACE_FINDCIRCLEGROUP, {groupid:_groupid}, true, false,false, function (json) {
            if(typeof(json.Data)!=='object'){
                //医生不存在
                showtips('圈子不存在');
                Router.get_back_from(location.hash);
                return;
            }
            var group=json.Data;
            $('.title').data('groupid',group.id).data('groupname',group.name).text(group.name+'交流圈');

            var tmplogo=fiximg(group.logo,'_S');
            if(tmplogo)
                $('.cgp_bas_c_f').css('background-image','url('+tmplogo+')');
            $('.cgp_bas_c_c').html('<h2>社区介绍</h2>'
                +'<p>'+group.summary+'</p>'
                +'<h3>圈子人数：<span>'+group.membernum+'</span>人</h3>');
        },null,null);

        $.getp(API_INTERFACE_LISTTODAYARTICLE, {tokenid:ctokenid,groupid:_groupid,pageNum:1,pageSize:2}, true, false,false, function (json) {
            var $articlecontainer=$('#CirGrpTodayHotContainer');
            $articlecontainer.empty();
            for(var i=0;i<json.Data.length;i++){
                $articlecontainer.append('<div class="cgp_ctn_b_i link" rel="#cirarticle_'
                    +json.Data[i].id
                    +'"><div class="cgp_ctn_b_i_con">'
                    +'<div class="cgp_ctn_b_i_t">'+json.Data[i].title+'</div>'
                    +'<div class="cgp_ctn_b_i_n">'+json.Data[i].membername
                    + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                    +'</div>'
                    +'<div class="cgp_ctn_b_i_o">'
                    +'<div class="cgp_ctn_b_i_o_0">'+json.Data[i].replynum+'</div>'
                    +'<div class="cgp_ctn_b_i_o_l"></div>'
                    +'<div class="cgp_ctn_b_i_o_1">'+json.Data[i].supportnum+'</div>'
                    +'<div class="cgp_ctn_b_i_o_l"></div>'
                    +'<div class="cgp_ctn_b_i_o_2">'+json.Data[i].favoritenum+'</div>'
                    +'</div>'
                    +'</div></div>');
            }
            if(json.Data.length<1){
                $('#CirGrpTodayHotContainer').hide().prev().hide();
            }
        },null,null);

        var _pageNum=1;
        var _pageSize=10;
        listgrouparticle(_groupid,_pageNum,_pageSize);
        $('#CgpArtLoadmoreBtn').data('gi',_groupid);
        $('#CgpArtLoadmoreBtn').data('pn',_pageNum);
        $('#CgpArtLoadmoreBtn').data('ps',_pageSize);
        $('#CgpArtLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _gi=$(this).data('gi');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listgrouparticle(_gi,_pn,_ps);
        });

        listgroupelite(_groupid,_pageNum,_pageSize);
        $('#CgpEliLoadmoreBtn').data('gi',_groupid);
        $('#CgpEliLoadmoreBtn').data('pn',_pageNum);
        $('#CgpEliLoadmoreBtn').data('ps',_pageSize);
        $('#CgpEliLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _gi=$(this).data('gi');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listgroupelite(_gi,_pn,_ps);
        });

        listgroupdoctor(_groupid,_pageNum,_pageSize);
        $('#CgpDocLoadmoreBtn').data('gi',_groupid);
        $('#CgpDocLoadmoreBtn').data('pn',_pageNum);
        $('#CgpDocLoadmoreBtn').data('ps',_pageSize);
        $('#CgpDocLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _gi=$(this).data('gi');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listgroupdoctor(_gi,_pn,_ps);
        });
    });
}
function listgrouparticle(_groupid,_pageNum,_pageSize){
    if(_pageNum==1)
        $('#CirGrpArtContainer').empty();

    var ctokenid='';
    if(ismember()) {
        ctokenid=tokenid;
    }

    $.getp(API_INTERFACE_LISTGRPART, {tokenid:ctokenid,groupid:_groupid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $articlecontainer=$('#CirGrpArtContainer');
        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');
            $articlecontainer.append('<div class="cgp_ctn_b_li link" rel="#cirarticle_'
                + json.Data[i].id
                + '"><div class="cgp_ctn_b_li_con">'
                + '<div class="cgp_ctn_b_li_t'
                + (json.Data[i].topstatus == 0 ? '' : ' cgp_ctn_b_top')
                + '">' + json.Data[i].title + '</div>'
                + '<div class="cgp_ctn_b_li_n"><div class="cgp_ctn_b_li_f link"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                + ' rel="#chat_'+json.Data[i].memberid+'"></div>' + json.Data[i].membername
                + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                + '<br /><span>' + json.Data[i].timestr + '</span></div>'
                + '<div class="cgp_ctn_b_li_o">'
                + '<div class="cgp_ctn_b_li_o_0">' + json.Data[i].replynum + '</div>'
                + '<div class="cgp_ctn_b_li_o_l"></div>'
                + '<div class="cgp_ctn_b_li_o_1">' + json.Data[i].supportnum + '</div>'
                + '<div class="cgp_ctn_b_li_o_l"></div>'
                + '<div class="cgp_ctn_b_li_o_2">' + json.Data[i].favoritenum + '</div>'
                + '</div>'
                + '</div></div>');
        }
        $('#CgpArtLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#CgpArtLoadmoreBtn').text('已加载全部');
        if($('#CirGrpArtContainer .cgp_ctn_b_li').length<10)
            $('#CgpArtLoadmoreBtn').hide();
        if($('#CirGrpArtContainer .cgp_ctn_b_li').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">圈子目前还没有文章</div>');
        }
    },null,null);
}
function listgroupelite(_groupid,_pageNum,_pageSize){
    if(_pageNum==1)
        $('#CirGrpEliContainer').empty();

    var ctokenid='';
    if(ismember()) {
        ctokenid=tokenid;
    }

    $.getp(API_INTERFACE_LISTGRPELITE, {tokenid:ctokenid,groupid:_groupid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $articlecontainer=$('#CirGrpEliContainer');
        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');
            $articlecontainer.append('<div class="cgp_ctn_b_li link" rel="#cirarticle_'
                + json.Data[i].id
                + '"><div class="cgp_ctn_b_li_con">'
                + '<div class="cgp_ctn_b_li_t'
                + (json.Data[i].topstatus == 0 ? '' : ' cgp_ctn_b_top')
                + '">' + json.Data[i].title + '</div>'
                + '<div class="cgp_ctn_b_li_n"><div class="cgp_ctn_b_li_f link"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                + ' rel="#chat_'+json.Data[i].memberid+'"></div>' + json.Data[i].membername
                + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                + '<br /><span>' + json.Data[i].timestr + '</span></div>'
                + '<div class="cgp_ctn_b_li_o">'
                + '<div class="cgp_ctn_b_li_o_0">' + json.Data[i].replynum + '</div>'
                + '<div class="cgp_ctn_b_li_o_l"></div>'
                + '<div class="cgp_ctn_b_li_o_1">' + json.Data[i].supportnum + '</div>'
                + '<div class="cgp_ctn_b_li_o_l"></div>'
                + '<div class="cgp_ctn_b_li_o_2">' + json.Data[i].favoritenum + '</div>'
                + '</div>'
                + '</div></div>');
        }
        $('#CgpEliLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#CgpEliLoadmoreBtn').text('已加载全部');
        if($('#CirGrpEliContainer .cgp_ctn_b_li').length<10)
            $('#CgpEliLoadmoreBtn').hide();
        if($('#CirGrpEliContainer .cgp_ctn_b_li').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">圈子目前还没有精华</div>');
        }
    },null,null);
}
function listgroupdoctor(_groupid,_pageNum,_pageSize){
    if(_pageNum==1)
        $('#CirGrpDocContainer').empty();

    var ctokenid='';
    if(ismember()) {
        ctokenid=tokenid;
    }

    $.getp(API_INTERFACE_LISTGRPDOCTOR, {tokenid:ctokenid,groupid:_groupid,pageNum:_pageNum,pageSize:_pageSize}, true, false,false, function (json) {
        var $articlecontainer=$('#CirGrpDocContainer');
        for(var i=0;i<json.Data.length;i++) {
            var doctorface=fiximg(json.Data[i].logo,'_S');
            $articlecontainer.append('<div class="cgp_ctn_b_di link" rel="#doctor_'
                +json.Data[i].id
                +'">'
                +'<div class="cgp_ctn_b_di_con">'
                +'<div class="cgp_ctn_b_di_f '
                +(json.Data[i].sex==1?'def_img_doctorface_male':'def_img_doctorface_female')
                +'"'
                +(doctorface!==false?' style="background-image:url('+doctorface+')"':'')
                +'></div>'
                +'<div class="cgp_ctn_b_di_d">'
                +'<div class="cgp_ctn_b_di_d_c">'+json.Data[i].commentnum+'</div>'
                +'<div class="cgp_ctn_b_di_d_a">'+json.Data[i].focusonnum+'</div>'
                +'</div>'
                +'<div class="cgp_ctn_b_di_n">'
                +json.Data[i].name
                +'<span>'
                +json.Data[i].title
                +'</span></div>'
                +'<div class="cgp_ctn_b_di_h">'
                +json.Data[i].hptname
                +'</div>'
                +'<div class="cgp_ctn_b_di_k">'
                +json.Data[i].deptname
                +'</div>'
                +'<div class="cgp_ctn_b_di_p">擅长领域：'
                +json.Data[i].professional
                +'</div>'
                +'<div class="cgp_ctn_b_di_s">'
                +printstar(json.Data[i].score,'cgp_star')
                +'</div>'
                +'</div>'
                +'</div>');
        }
        $('#CgpDocLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#CgpDocLoadmoreBtn').text('已加载全部');
        if($('#CirGrpDocContainer .cgp_ctn_b_di').length<10)
            $('#CgpDocLoadmoreBtn').hide();
        if($('#CirGrpDocContainer .cgp_ctn_b_di').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">圈子目前还没有专家团队</div>');
        }
    },null,null);
}

function cirarticlePage(u){
    //读取模板
    var html = $.tmpl('#tmpl_cirarticle');
    //新页面滑入
    slide_in(html, rCirarticle, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showcirclefooter();
        showheader('查看文章',0,0,-1);

        $('#CircleReplyContent').val('');
        $('.nav_rpic_img_i').remove();

        var ctokenid='';

        var _articleid=1*u[1];
        $('.title').data('articleid',_articleid);
        $('.nav_cstar').attr('rel','cirsetfav_'+_articleid);
        $('.nav_cgood').attr('rel','cirsetsupport_'+_articleid);

        $.getp(API_INTERFACE_FINDGRPART, {articleid:_articleid}, true, false,false, function (json) {
            if(typeof(json.Data)!=='object'){
                //医生不存在
                showtips('文章不存在');
                Router.get_back_from(location.hash);
                return;
            }

            var article=json.Data;
            $('.title').data('groupid',article.groupid);

            var tmpface=fiximg(article.headphoto,'_S');

            $('.cae_ctn_t_t').text(article.title);
            $('.cae_ctn_t_n').html('<div class="cae_ctn_t_cir link" rel="#cirgroup_'+article.groupid+'">'
                +article.groupname+'交流圈'
                +'</div>'
                +'<div class="cae_ctn_t_f link"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                +' rel="#chat_'+article.memberid+'"></div>'
                +article.membername
                + (article.membertitle!=''?('<i>'+article.membertitle+'</i>'):'')
                +'<br /><span>'
                +article.createdate
                //+' '
                //+article.createtime
                +'</span>');

            $('.cae_ctn_b_c').html(article.content);
            $('.cae_ctn_b_c img').addClass('viewsourceimg');

            var gallerystr='';
            if(article.gallery.length>1) {
                var gallerys = article.gallery.split('|#|');
                for (var j = 0; j < gallerys.length; j++) {
                    var tmpgallery = fiximg(gallerys[j], '_S');
                    gallerystr += '<div class="cae_ctn_b_img_i viewsourceimg link" style="background-image:url(' + tmpgallery + ')"></div>';
                }
                $('.cae_ctn_b_c').after('<div class="cae_ctn_b_img">'+gallerystr+'</div>');
            }

            $('.nav_cstar span').text(article.favoritenum);
            $('.nav_cgood span').text(article.supportnum);
            $('.nav_creply span').text(article.replynum);

            if(ismember()){
                if(article.memberid==user.id) {
                    $('.cae_ctn_t_del').show().on(END_EV,function(){
                        if(moving>movingflag) return false;

                        do_confirm('确认要删除该文章吗？',function(result){
                            if(result==do_confirm.OK) {
                                var _articleid=$('.title').data('articleid');
                                $.getp(API_INTERFACE_DELETEGRPART, {tokenid: tokenid, articleid: _articleid}, true, true,false, function (json) {
                                    showtips('删除文章成功');
                                    $.flush_cache(API_INTERFACE_GROUPALL);
                                    Router.get_back_from(location.hash);
                                }, null, null);
                            }
                        });
                    });
                }
            }
        },null,null);

        //是否已赞，是否收藏
        $('.nav_cstar').removeClass('nav_cstar_f');
        $('.nav_cgood').removeClass('nav_cgood_f');

        if(ismember()) {
            //如果已登录，则检查
            $.getp(API_INTERFACE_HASFAVORITE, {tokenid:tokenid,articleid:_articleid}, true, false,false, function (json) {
                //未收藏
            }, function(json){
                //已收藏
                $('.nav_cstar').addClass('nav_cstar_f');
            }, null);

            $.getp(API_INTERFACE_HASSUPPORT, {tokenid:tokenid,articleid:_articleid}, true, false,false, function (json) {
                //未点赞
            }, function(json){
                //已点赞
                $('.nav_cgood').addClass('nav_cgood_f');
            }, null);
        }
        else{
            //未登录
        }

        var _pageNum=1;
        var _pageSize=10;
        listgrouparticlecomment(_articleid,_pageNum,_pageSize);
        $('#CaeCtnLoadmoreBtn').data('ai',_articleid);
        $('#CaeCtnLoadmoreBtn').data('pn',_pageNum);
        $('#CaeCtnLoadmoreBtn').data('ps',_pageSize);
        $('#CaeCtnLoadmoreBtn').on(END_EV,function(){
            if(moving>movingflag) return false;
            var _ai=$(this).data('ai');
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listgrouparticlecomment(_ai,_pn,_ps);
        });
    });
}
function listgrouparticlecomment(_articleid,_pageNum,_pageSize){
    if(_pageNum==1)
        $('#CaeArtComContainer').empty();

    var ctokenid='';
    if(ismember()) {
        ctokenid=tokenid;
    }

    $.getp(API_INTERFACE_LISTGRPARTREPLY, {tokenid:ctokenid,articleid:_articleid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        var $articlecontainer=$('#CaeArtComContainer');
        var inum=$('.cae_ctn_con_i').length;

        var memberid=-1;
        if(ismember())
            memberid=user.id;

        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');

            var gallerystr='';
            if(json.Data[i].gallery.length>1) {
                var gallerys = json.Data[i].gallery.split('|#|');
                for (var j = 0; j < gallerys.length; j++) {
                    var tmpgallery = fiximg(gallerys[j], '_S');
                    gallerystr += '<div class="cae_ctn_con_i_p_i viewsourceimg link" style="background-image:url(' + tmpgallery + ')"></div>';
                }
            }
            $articlecontainer.append('<div class="cae_ctn_con_i" id="GrpReply'+json.Data[i].id+'" data-membername="'+json.Data[i].membername+'">'
                +(memberid==json.Data[i].memberid?'<div class="cae_ctn_con_i_del link" rel="delgrpreply_'+json.Data[i].id+'"></div>':'')
                +'<div class="cae_ctn_con_i_com link" rel="replycom_'+json.Data[i].id+'"></div>'
                +'<div class="cae_ctn_con_i_n"><div class="cae_ctn_con_i_f link"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                +' rel="#chat_'+json.Data[i].memberid+'"></div>'
                +json.Data[i].membername
                + (json.Data[i].membertitle!=''?('<i>'+json.Data[i].membertitle+'</i>'):'')
                +'<br /><span>'
                +(inum+i+1)+'楼 '
                +json.Data[i].createdate+' '+json.Data[i].createtime.substr(0,5)
                +'</span></div>'
                +'<div class="cae_ctn_con_i_c">'
                +json.Data[i].content
                +'</div>'
                +(gallerystr==''?'':('<div class="cae_ctn_con_i_p">'+gallerystr+'</div>'))
                +'<div class="cae_ctn_con_i_good link" rel="goodgrpreply_'+json.Data[i].id+'">'
                +json.Data[i].supportnum
                +'</div>'
                +(json.Data[i].refstatus==1?('<div class="cae_ctn_con_i_rep"><div class="cae_ctn_con_i_rep_con"><span>'+json.Data[i].refmembername+'</span>：'+json.Data[i].refcontent+'</div></div>'):'')
                +'</div>');
        }
        $('#CaeCtnLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#CaeCtnLoadmoreBtn').text('已加载全部');
        if($('.cae_ctn_con_i').length<10)
            $('#CaeCtnLoadmoreBtn').hide();
        if($('.cae_ctn_con_i').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">文章目前还没有回复</div>');
        }
    },null,null);
}

function cirpostPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_cirpost');
    //新页面滑入
    slide_in(html, rCirpost, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('文章发布',0,0,4);

        $('.cpt_img_i_a').on(END_EV,function(){
            if (moving>movingflag) return false;
            takePhoto(false);
        });
    });
}

function cirreplyPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_cirreply');
    //新页面滑入
    slide_in(html, rCirreply, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('发表回复',0,0,4);

        $('.cry_img_i_a').on(END_EV,function(){
            if (moving>movingflag) return false;
            takePhoto(false);
        });
    });
}

function mycirartPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_mycirart');
    //新页面滑入
    slide_in(html, rMycirart, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('我的话题', 0, 0, -1);

        var mycirtab=0;
        if(u[1].length>1)
            mycirtab = 1 * (u[1].replace('_', ''));

        $.getp(API_INTERFACE_HASCIRCLEREPLY, {tokenid: tokenid}, true, true, true, function (json) {
            $('.mct_tab_header_i .tips_redpoint').show();
        }, function () {}, function () {});

        $('.mct_tab_header_i').eq(mycirtab).addClass('active').siblings().removeClass('active');
        $('.mct_tab_body_i').eq(mycirtab).addClass('active').siblings().removeClass('active');

        $('.mct_tab_header_i').on(END_EV,function(){
            if (moving>movingflag) return false;
            if($(this).hasClass('active'))
                return;

            var tmpTouch=$(this).index();
            Router.fixlasthis('#mycirart_'+tmpTouch);
            $(this).addClass('active').siblings().removeClass('active');
            $('.mct_tab_body_i').eq(tmpTouch).addClass('active').siblings().removeClass('active');

            if(tmpTouch==2){
                //改变回复已阅状态
                $.getp(API_INTERFACE_HASREADCIRCLEREPLY, {tokenid:tokenid}, true, true,true, function(json){},function(json){},function(){});
                $('.mct_tab_header_i .tips_redpoint').hide();
            }
        });


        var _pageNum=1;
        var _pageSize=10;
        listmycirarticle(_pageNum,_pageSize);
        listmycirreply(_pageNum,_pageSize);
        listmyciroreply(_pageNum,_pageSize);
        $('#MctArtLoadmoreBtn').data('pn',_pageNum).data('ps',_pageSize).on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmycirarticle(_pn,_ps);
        });
        $('#MctRepLoadmoreBtn').data('pn',_pageNum).data('ps',_pageSize).on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmycirreply(_pn,_ps);
        });
        $('#MctOreLoadmoreBtn').data('pn',_pageNum).data('ps',_pageSize).on(END_EV,function(){
            if(moving>movingflag) return false;
            var _pn=1*$(this).data('pn')+1;
            var _ps=$(this).data('ps');
            $(this).data('pn',_pn);
            listmyciroreply(_pn,_ps);
        });
    });
}
function listmycirarticle(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#MctTabBodyArt').empty();

    $.getp(API_INTERFACE_MEMBERGRPART, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        var $articlecontainer=$('#MctTabBodyArt');

        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');

            $articlecontainer.append('<div class="mct_item_art link" rel="#cirarticle_'+json.Data[i].id+'">'
                +'<div class="mct_item_art_d">'
                +'<div class="mct_item_art_d_f"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                +'></div>'
                +'<div class="mct_item_art_d_n">'+json.Data[i].membername+'</div>'
                +'<div class="mct_item_art_d_t">'+json.Data[i].createdate+' '+json.Data[i].createtime.substr(0,5)+'</div>'
                +'</div>'
                +'<div class="mct_item_art_c">'+json.Data[i].title+'</div>'
                +'<div class="mct_item_art_cir">'+json.Data[i].groupname+'交流圈</div>'
                +'<div class="mct_item_art_r">'+json.Data[i].replynum+'</div>'
                +'</div>');
        }
        $('#MctArtLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#MctArtLoadmoreBtn').text('已加载全部');
        if($('.mct_item_art').length<10)
            $('#MctArtLoadmoreBtn').hide();
        if($('.mct_item_art').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">你还没有发布话题</div>');
        }
    },null,null);
}
function listmycirreply(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#MctTabBodyRep').empty();

    $.getp(API_INTERFACE_MEMBERGRPARTREP, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        var $articlecontainer=$('#MctTabBodyRep');

        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');

            $articlecontainer.append('<div class="mct_item_rep link" rel="#cirarticle_'+json.Data[i].articleid+'">'
                +'<div class="mct_item_rep_c">'+json.Data[i].title+'</div>'
                +'<div class="mct_item_rep_cir">'+json.Data[i].groupname+'交流圈</div>'
                +'<div class="mct_item_rep_d">'
                +'<div class="mct_item_rep_d_f"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                +'></div>'
                +'<div class="mct_item_rep_d_n">'+json.Data[i].membername+'</div>'
                +'<div class="mct_item_rep_d_t">'+json.Data[i].createdate+' '+json.Data[i].createtime.substr(0,5)+'</div>'
                +'</div>'
                +'<div class="mct_item_rep_r"><div class="mct_item_rep_r_c">'+json.Data[i].content+'</div></div>'
            +'</div>');
        }
        $('#MctRepLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#MctRepLoadmoreBtn').text('已加载全部');
        if($('.mct_item_rep').length<10)
            $('#MctRepLoadmoreBtn').hide();
        if($('.mct_item_rep').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">你还没有发表评论</div>');
        }
    },null,null);
}
function listmyciroreply(_pageNum,_pageSize){
    if(_pageNum==1)
        $('#MctTabBodyOre').empty();

    $.getp(API_INTERFACE_LISTCRPOREPLY, {tokenid:tokenid,pageNum:_pageNum,pageSize:_pageSize}, true, true,false, function (json) {
        var $articlecontainer=$('#MctTabBodyOre');

        for(var i=0;i<json.Data.length;i++) {
            var tmpface=fiximg(json.Data[i].headphoto,'_S');

            $articlecontainer.append('<div class="mct_item_ore link" rel="#cirarticle_'+json.Data[i].articleid+'">'
                +'<div class="mct_item_ore_t">'+json.Data[i].title+'</div>'
                +'<div class="mct_item_ore_d">'
                +'<div class="mct_item_ore_d_f"'
                +(tmpface?' style="background-image:url('+tmpface+')"':'')
                +'></div>'
                +'<div class="mct_item_ore_d_n">'+json.Data[i].membername+'</div>'
                +'<div class="mct_item_ore_d_t">'+json.Data[i].createdate+' '+json.Data[i].createtime.substr(0,5)+'</div>'
                +'</div>'
                +'<div class="mct_item_ore_rl"><div class="mct_item_ore_rl_c">'+json.Data[i].content+'</div></div>'
                +(json.Data[i].refcontent!=''?('<div class="mct_item_ore_rm">'+json.Data[i].refcontent+'</div>'):'')
                +'<div class="mct_item_ore_cir">'+json.Data[i].groupname+'交流圈</div>'
                //+'<div class="mct_item_ore_r">'+json.Data[i].replynum+'</div>'
                +'</div>');
        }
        $('#MctOreLoadmoreBtn').text('加载更多');
        if(json.Data.length<10)
            $('#MctOreLoadmoreBtn').text('已加载全部');
        if($('.mct_item_ore').length<10)
            $('#MctOreLoadmoreBtn').hide();
        if($('.mct_item_ore').length<1){
            $articlecontainer.append('<div class="def_noitemdiv">你还没有收藏话题</div>');
        }
    },null,null);
}

function sysmsgPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_sysmsg');
    //新页面滑入
    slide_in(html, rSysmsg, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('系统消息',0,0,-1);

        var _articleid=1*u[1];

        $.getp(API_INTERFACE_ARTICLEDETAIL, {articleid:_articleid}, true, false,false, function (json) {
            if (typeof(json.Data) !== 'undefined') {
                var article=json.Data;
                $('.sysmsg_con_t').text(article.title);
                $('.sysmsg_con_b_time').text(article.createdate);
                $('.sysmsg_con_b_detail').html(article.content);
            }
        },null,null);
    });
}

function chatPage(u){
    //读取模板
    var html = $.tmpl('#tmpl_chat');
    //新页面滑入
    slide_in(html, rChat, '.frame', function () {
        //滑入完成后的处理

        //隐藏底部
        hidefooter();
        showheader('对话',0,0,-1);
        showchatfooter();

        var _memberid=1*u[1];
        $('.title').data('memberid',_memberid);

        $.getp(API_INTERFACE_GETMEMBERNAMEBYID, {memberid:_memberid}, true, true,false, function (json) {
            if(typeof(json.Data)!=='undefined')
                $('.title').text(json.Data.memberName);
        },null,null);

        $.getp(API_INTERFACE_LISTMEMBERCHAT, {tokenid:tokenid,memberid:_memberid,pageNum:1,pageSize:100000}, true, true,false, function (json) {
            __chatitemcount=json.Data.length;
            for(var i=0;i<json.Data.length;i++){

                var tmpface=fiximg(json.Data[i].fromheadphoto,'_S');

                $('.chat_con').prepend('<div class="chat_i'+(user.id==json.Data[i].fromid?' chat_self':'')+'">'
                    +'<div class="chat_i_f"'
                    +(tmpface!==false?(' style="background-image:url('+tmpface+');"'):'')
                    +'></div>'
                    +'<div class="chat_i_v">'+json.Data[i].content+'</div>'
                    +'<div class="chat_i_p" ></div>'
                    +'</div>');
            }
            $('.frame').scrollTop(100000);
        },null,null);

        do_interval(function(){
            //从缓存中知道有无新消息
            $.getp(API_INTERFACE_HASNEWMEMBERMSG, {tokenid: tokenid}, true, false, true, function (json) {
                var _memberid=$('.title').data('memberid');
                $.getp(API_INTERFACE_LISTMEMBERCHAT, {tokenid:tokenid,memberid:_memberid,pageNum:1,pageSize:100000}, true, true,true, function (json) {
                    var tmplen=json.Data.length-__chatitemcount;
                    __chatitemcount=json.Data.length;
                    if(tmplen>0) {
                        for (var i = tmplen-1; i >= 0; i--) {

                            var tmpface = fiximg(json.Data[i].fromheadphoto, '_S');

                            $('.chat_con').append('<div class="chat_i' + (user.id == json.Data[i].fromid ? ' chat_self' : '') + '">'
                                + '<div class="chat_i_f"'
                                + (tmpface !== false ? (' style="background-image:url(' + tmpface + ');"') : '')
                                + '></div>'
                                + '<div class="chat_i_v">' + json.Data[i].content + '</div>'
                                + '<div class="chat_i_p" ></div>'
                                + '</div>');
                        }
                        $('.frame').scrollTop(100000);
                    }
                },null,null);
            }, function () {}, function () {});
        },REFLUSHINTERVAL);
    });
}


/*******************************************************************/
/* 公用函数 */
/*******************************************************************/
//展示城市选择图层
function callSelectCity(domId,valType,startlevel,endlevel,showType,parentname,setDefCity){
    //domId     影响元素ID
    //valType   0表示val，1表示text
    //startlevel   初始级别，0表示省，1表示市，2表示区
    //endlevel     结束级别，0表示省，1表示市，2表示区
    //showType  0表示显示最后层值，1表示显示所有父地区值，以>区分
    //parentname   默认父名称
    //setDefCity true表示把选择的市设为默认城市

    if(typeof(setDefCity)!=='boolean')
        setDefCity=false;

    //定义全局变量用于记录树
    __cityValue='';
    __citystartlevel=startlevel;
    __cityendlevel=endlevel;
    __citynowlevel=startlevel;
    __citypids=[];

    $citycontainer = $('.citylayout');
    $menubg = $('.menubglayout');

    $citycontainer.empty().show();
    $menubg.show();
    preventScroll();

    //数据寄存
    $citycontainer.data('domId',domId).data('valType',valType).data('level',endlevel).data('showType',showType);
    if(setDefCity)
        $citycontainer.data('changedef',1);
    else
        $citycontainer.data('changedef',0);

    $citycontainer.append('<div class="citylayout_header"><div class="citylayout_backbtn link">返回</div><div class="citylayout_title">请选择</div></div>');
    $citycontainer.append('<div class="citylayout_body"></div>');

    if(parentname=='热门城市'){
        loadSelectCity(-1);
    }
    else if(startlevel>0 && parentname.length>1){
        //有默认值
        $.getp(API_INTERFACE_GETAREABYNAME,{name:parentname,treelevel:startlevel},true,false,false,function(json) {
            if(typeof(json.Data)==='undefined')
                loadSelectCity(0);
            else {
                if(json.Data.parentid!=0){
                    __citypids.push(json.Data.parentid);
                }
                __citypids.push(json.Data.id);
                loadSelectCity(json.Data.id);
            }
        },null,null);
    }
    else
        loadSelectCity(0);

    $('.citylayout_backbtn').off(END_EV).on(END_EV,function(){
        if (moving>movingflag) return false;
        $citycontainer = $('.citylayout');
        if(__citynowlevel<=__citystartlevel) {
            hidemenu();
        }
        else{
            __citynowlevel--;
            var tmpArr=__cityValue.split('>');
            tmpArr.pop();
            __cityValue=tmpArr.join('>');
            __citypids.pop();
            loadSelectCity(__citypids[__citynowlevel]);
        }
    });
}
function loadSelectCity(parentid){
    var $citybodyc = $('.citylayout_body');
    $citybodyc.empty();

    //如果当前是第一层并且模式是选择第二层时，显示固定的热门城市
    if(parentid==0 && __citystartlevel==0 && __cityendlevel==1){
        $citybodyc.append('<div class="citylayout_tlabel">热门城市</div>');
        $citybodyc.append('<div class="citylayout_hotitem link" data-val="北京市>北京市">北京市</div>');
        $citybodyc.append('<div class="citylayout_hotitem link" data-val="上海市>上海市">上海市</div>');
        $citybodyc.append('<div class="citylayout_hotitem link" data-val="广东省>广州市">广州市</div>');
        $citybodyc.append('<div class="citylayout_tlabel">全国城市</div>');

        $('.citylayout_hotitem').off().on(END_EV,function() {
            if (moving > movingflag) return false;

            var nowcityval=$(this).text();
            __cityValue=$(this).data('val');

            if($('.citylayout').data('valType')==0){
                if($('.citylayout').data('showType')==0) {
                    $('#' + $('.citylayout').data('domId')).val(nowcityval);
                }
                else{
                    $('#' + $('.citylayout').data('domId')).val(__cityValue);
                }
                if($('.citylayout').data('changedef')==1){
                    defcity=nowcityval;
                    window.localStorage.setItem('defcity',defcity);
                    if($('.citylayout').data('domId')=='ComCity')
                        Router.refresh();
                }
            }
            else{
                if($('.citylayout').data('showType')==0) {
                    $('#' + $('.citylayout').data('domId')).text(nowcityval);
                }
                else{
                    $('#' + $('.citylayout').data('domId')).text(__cityValue);
                }
                if($('.citylayout').data('changedef')==1){
                    defcity=nowcityval;
                    window.localStorage.setItem('defcity',defcity);
                    if($('.citylayout').data('domId')=='ComCity')
                        Router.refresh();
                }
            }

            hidemenu();
        });
    }


    __citypids.push(parentid);
    $.getp(API_INTERFACE_LISTREGION,{parentid:parentid},true,false,false,function(json) {
        var $citybodyc = $('.citylayout_body');
        $('.citylayout_item').remove();
        if(json.Data.length<1) {
            __citynowlevel--;
            if(__citynowlevel<0) __citynowlevel=0;
            showtips('没有子节点');
            return;
        }
        if(__citystartlevel==2) {
            $citybodyc.append('<div class="citylayout_item link" data-id="">全部</div>');
        }
        for(var i=0;i<json.Data.length;i++){
            $citybodyc.append('<div class="citylayout_item link" data-id="'+json.Data[i].id+'">'+json.Data[i].nodeName+'</div>');
        }

        $('.citylayout_item').off().on(END_EV,function(){
            if (moving>movingflag) return false;
            var nowcityid=$(this).data('id');
            var nowcityval=$(this).text();

            //记录全值
            if(__cityValue!='')
                __cityValue+='>';
            __cityValue+=nowcityval;

            if(__citynowlevel==$('.citylayout').data('level')){
                //达到层级

                if(nowcityval=='全部')
                    nowcityval='地区';

                if($('.citylayout').data('valType')==0){
                    if($('.citylayout').data('showType')==0) {
                        $('#' + $('.citylayout').data('domId')).val(nowcityval);
                    }
                    else{
                        $('#' + $('.citylayout').data('domId')).val(__cityValue);
                    }
                    if($('.citylayout').data('changedef')==1){
                        defcity=nowcityval;
                        window.localStorage.setItem('defcity',defcity);
                        if($('.citylayout').data('domId')=='ComCity')
                            Router.refresh();
                    }
                }
                else{
                    if($('.citylayout').data('showType')==0) {
                        $('#' + $('.citylayout').data('domId')).text(nowcityval);
                    }
                    else{
                        $('#' + $('.citylayout').data('domId')).text(__cityValue);
                    }
                    if($('.citylayout').data('changedef')==1){
                        defcity=nowcityval;
                        window.localStorage.setItem('defcity',defcity);
                        if($('.citylayout').data('domId')=='ComCity')
                            Router.refresh();
                    }
                }

                hidemenu();

                if($('.citylayout').data('domId')=='HoptArea')
                    hoptfindReflushCondition();
            }
            else{
                __citynowlevel++;
                loadSelectCity(nowcityid);
            }
        });
    },null,null);
}

//获取适当图片
function fiximg(src,nexFix){
    if(src.length<1) return false;

    var srcarr=src.split('|:|');
    var srcarr2=srcarr[srcarr.length-1].split('.');
    srcarr2[srcarr2.length-2]+=nexFix;
    var imguri=srcarr2.join('.');

    /*
     //bug未解决，先隐藏
     //缓存
     var filename = imguri.substr(imguri.lastIndexOf('/') + 1);
     if($.inArray(filename,imgcache)>-1) {
     do_debug('从缓存里取得图片'+filename);
     return fullPathImage+'tmp/'+filename;
     }

     //放入缓存
     var fileTransfer = new FileTransfer();
     fileTransfer.download(
     imguri,
     (fullPathImage + 'tmp/' + filename),
     function (entry) {
     var filename=entry.toURL().substr(entry.toURL().lastIndexOf('/') + 1);
     imgcache.push=filename;
     },
     function (error) {
     //缓存图片到本地失败
     },
     false,
     {}
     );
     */
    return imguri;
}

//判断图片是否需要上传
function checkUploaded(imguri){
    //0：需要上传
    //1：线上地址，已上传
    //2：默认图（空）
    //3：线上地址的缓存
    if(imguri.length>200)
        return 0;
    else if(imguri.indexOf('http:')>-1)
        return 1;
    else if(imguri.indexOf('def_')>-1)
        return 2;
    else
        return 0;
}

//取得图片真实地址，从CSS中取得
function getImgFromCss(imguri){
    return imguri.replace(new RegExp('url\\(|\\)|\'|\"|_T|_S|_M|_L',"gm"),'');
}

//打印星星
function printstar(score,starclass,printselector,scoreselector){
    if(!score) return '';

    var sum = Math.floor(2*score)/2;
    var str='';
    var i=0;
    for(i=0;i<Math.floor(sum);i++)
        str+='<div class="'+starclass+'"></div>';
    if(Math.floor(sum)!=sum) {
        str += '<div class="' + starclass + '_h"></div>';
        i++;
    }
    for(;i<=4;i++)
        str+='<div class="'+starclass+'_e"></div>';

    if(typeof(printselector)!=='undefined')
        $(printselector).html(str);
    if(typeof(scoreselector)!=='undefined')
        $(scoreselector).text((Math.floor(score)==score)?(score+'.0'):score);

    return str;
}

//判断是否登录
function ismember(){
    if(typeof(tokenid)!=='undefined' && tokenid)
        return true;
    else{
        delete tokenid;
        delete defdocid;
        delete docselfid;
        window.localStorage.clear();
        return false;
    }
}

//清除用户状态
function unsetmember(){
    delete tokenid;
    delete defdocid;
    delete docselfid;
    delete defcity;
    delete user;
    window.localStorage.removeItem('tokenid');
    window.localStorage.removeItem('defdocid');
    window.localStorage.removeItem('docselfid');
    window.localStorage.removeItem('defcity');
}

//公用拍照动作
function takePhoto(allowedit){
    if(typeof(allowedit)!=='boolean')
        allowedit=false;
    togglemenu([{"title":"拍照","link":"getPhoto(0,"+(allowedit?'true':'false')+");"},{"title":"从图库选择","link":"getPhoto(1,"+(allowedit?'true':'false')+");"}]);
}
function getPhoto(tp,allowedit){
    //0表示拍照，1表示从图库选择
    //allowedit改为一张或十张，true时为1张

    if(tp==0){
        navigator.camera.getPicture(onGetPhotoSuccess, onGetPhotoFail, {
            quality: 75,
            allowEdit:true,
            sourceType:Camera.PictureSourceType.CAMERA,
            destinationType:Camera.DestinationType.FILE_URI,
            encodingType:Camera.EncodingType.JPEG,
            mediaType:Camera.MediaType.PICTURE,
            correctOrientation:true,
            cameraDirection:Camera.Direction.BACK
        });
    }
    else{
        //通过插件选取
        window.imagePicker.getPictures(
            function (results) {
                do_debug('选完图片');
                for (var i = 0; i < results.length; i++) {
                    onGetPhotoSuccess(results[i]);
                    /*window.resolveLocalFileSystemURL(results[i], function (entry) {
                        var newfilename='local'+(new Date).pattern('yyyyMMddhhmmssS')+entry.name.substr(entry.name.lastIndexOf('.'));
                        entry.copyTo(tmpimageEntry, newfilename, function (entry) {
                            do_debug('复制文件成功'+entry.toURL());
                            onGetPhotoSuccess(entry.toURL());
                        }, function (error) {
                            do_debug('复制文件失败' + error.code);
                        });
                    }, function (error) {
                        //读取失败或不存在，去下载文件
                        do_debug('找不到要复制的文件' + error.code);
                    });*/
                }
            }, function (error) {
                do_debug('选择图片出错：' + error);
                showtips('请重新选择图片');
            }, {
                maximumImagesCount: (allowedit?1:9),
                quality: 100
            }
        );
    }
}
function onGetPhotoSuccess(imageURI) {
    //转换
    showloading('处理中');

    if(isIDevice || 1*(device.version.substr(0,3))>=4.4) {
        var img = document.createElement('img');
        img.src = imageURI;
        img.onload = function () {
            var data = getBase64Image(img);
            insertPhotoInView(data);

            //如果页面是“我的”，则直接保存头像
            if(location.hash=='#my')
                saveMyface(data);

            hideloading();
        }
        $('.tmpimgcontainer').empty().append(img);
    }
    else{
        insertPhotoInView(imageURI);

        //如果页面是“我的”，则直接保存头像
        if(location.hash=='#my')
            saveMyface(imageURI);

        hideloading();
    }
}
function insertPhotoInView(imageURI){
    //判断当前页面的图片容器

    var frt='';
    if($('.cpt_img_i_a').length>0)
        frt='cpt';
    else if($('.nav_rpic_img_i_a').is(':visible'))
        frt='nav_rpic'
    else if($('#FaceView').length>0)
        frt='FaceView';
    else{
        showtips('未找到正确的接口');
        return false;
    }

    if(frt=='FaceView'){
        $('#FaceView').css('background-image', 'url(' + imageURI + ')');
    }
    else {
        if($('.' + frt + '_img_i').length>=9){
            showtips('最多只允许上传9张图片');
            return;
        }
        var image = document.createElement('div');
        image.className = frt + '_img_i viewsourceimg';
        $(image).css('background-image', 'url(' + imageURI + ')').data('pathname',$('.' + frt + '_img_i_a').data('pathname'));

        $('.' + frt + '_img_i_a').before($(image));
    }
}
function onGetPhotoFail(message) {
    showtips('获取照片失败或被取消');
    do_debug('Failed because: ' + message);
}
function saveMyface(imgdata){
    showloading('上传中');
    var imgdata;
    var filename = 'head' + (new Date()).pattern("yyyyMMddhhmmssS") + ".jpg";

    doUploadImgOrBase64(imgdata,filename,function(json){
        //上传完成
        hideloading();
        if(typeof(json.response)=='string')
            json=JSON.parse(json.response);

        var _headphoto=json.url;

        $.getp(API_INTERFACE_UPDATEMYFACE,{tokenid:tokenid,headphoto:_headphoto},true,true,false,function(json) {
            //showtips('头像更换成功');
            $.flush_cache(API_INTERFACE_FINDMEMBER);
            $.flush_cache(API_INTERFACE_GETCLOUDDOCLIST);
            $.flush_cache(API_INTERFACE_FINDCLOUDDOC);
            user=json.Data;
        },null,null);
    },function(){
        showtips('上传头像失败');
        hideloading();
    });
}

//更新红点提示，私信/回复
function reflushNotice(){
    if(typeof(tokenid)!=='undefined' && typeof(user)!=='undefined' && tokenid) {
        //是否有私信
        $.getp(API_INTERFACE_HASNEWMEMBERMSG, {tokenid: tokenid}, true, true, true, function (json) {
            $('.msgbtn_v').show();
        }, function () {
            //是否有系统消息
            $.getp(API_INTERFACE_HASNEWSYSTEMMSG, {tokenid: tokenid}, true, true, true, function (json) {
                $('.msgbtn_v').show();
            }, function () {
                $('.msgbtn_v').hide();
            }, function () {});
        }, function () {});


        //首次登录提示完善资料
        if(user.profilestatus==0){
            $('.nav_my .tips_redpoint').show();
        }
        else{
            //回复
            $.getp(API_INTERFACE_HASCIRCLEREPLY, {tokenid: tokenid}, true, true, true, function (json) {
                $('.nav_my .tips_redpoint').show();
            }, function () {
                $('.nav_my .tips_redpoint').hide();
            }, function () {});
        }
    }
    else{
        $('.msgbtn_v').hide();
        $('.nav_my .tips_redpoint').hide();
    }
}


//清理HTML标签，去除空格
function fixArticleSummary(str){
    str = str.replace(/<\/?[^>]*>/g,''); //去除HTML tag
    str = str.replace(/\n/g,'\n'); //去除换行
    //str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
    str=str.replace(/[&nbsp;| |　]/ig,'');//去掉空格
    str=str.replace(/'/g,'"');//去掉引号
    str=str.replace(/</g,'&lt;');//替换小于号
    str=str.replace(/>/g,'&gt;');//替换大于号
    //alert(str);
    if(str.length>42)
        str=str.substr(0,40)+'...';
    return str;
}

function getBase64Image(img) {
    var cw,ch;
    cw=img.width;
    ch=img.height;
    if(img.width>img.height && img.width>IMGMAXWIDTH){
        cw=IMGMAXWIDTH;
        ch=Math.ceil(cw*img.height/img.width);
    }
    else if(img.width<img.height && img.height>IMGMAXWIDTH){
        ch=IMGMAXWIDTH;
        cw=Math.ceil(ch*img.width/img.height);
    }

    var canvas = document.createElement("canvas");
    canvas.width = cw;
    canvas.height = ch;

    var ctx = canvas.getContext("2d");
    ctx.drawImage(img, 0, 0, cw, ch);

    var dataURL = canvas.toDataURL("image/jpeg",IMGQUALITY);

    do_debug('w:'+cw+',h:'+ch+',JPEG压缩后长度：'+dataURL.length+"\n"+'w:'+cw+',h:'+ch+',JPG压缩后长度：'+canvas.toDataURL("image/jpg",IMGQUALITY).length+"\n"+'w:'+cw+',h:'+ch+',PNG压缩后长度：'+canvas.toDataURL("image/png",IMGQUALITY).length);

    return dataURL;//.replace(/^data:image\/(png|jpg|jpeg);base64,/, "");
}

function doUploadImgOrBase64(imgdata,filename,sufunc,fafunc){
    if(/^data:image/.test(imgdata)){
        //压缩成功的base64格式
        do_debug('base64');
        imgdata=imgdata.replace(/^data:image\/(png|jpg|jpeg);base64,/, "");
        do_debug(imgdata.length);

        $.getp(API_INTERFACE_UPLOADBASE64DATA,{data:imgdata,filename:filename},true,true,false,fafunc, sufunc, fafunc);
    }
    else{
        do_debug('img url');
        var options = new FileUploadOptions();
        options.fileKey = "Filedata";
        options.fileName = filename;
        options.mimeType = "image/jpeg";
        var ft = new FileTransfer();
        ft.upload(imgdata, encodeURI(API_INTERFACE_UPLOADIMG), sufunc, fafunc, options);
    }
}

function fixordertype(chn){
    var ordertype=chn;
    if(ordertype=='智能排序')
        ordertype='';
    if(ordertype=='关注排序')
        ordertype='focusonnum';
    if(ordertype=='点评排序')
        ordertype='commentnum';
    //if(ordertype=='职称排序')
    //    ordertype='3';
    return ordertype;
}
function unfixordertype(en){
    var ordertype=en;
    if(ordertype=='')
        ordertype='智能排序';
    if(ordertype=='focusonnum')
        ordertype='关注排序';
    if(ordertype=='commentnum')
        ordertype='点评排序';
    //if(ordertype=='3')
    //    ordertype='职称排序';
    return ordertype;
}

function callListSelector(containerSelector,itemObj,defaultTxt,callback){
    $('.public_sb').remove();
    var $container=$(containerSelector);

    var htmlstr='<div class="public_sb" style="height:'+(document.documentElement.clientHeight-158)+'px">';
    for(var i=0;i<itemObj.length;i++){
        htmlstr+='<div class="public_sb_i'
            +(defaultTxt==itemObj[i].txt?' active':'')
            +'" data-data="'
            +itemObj[i].data
            +'">'
            +itemObj[i].txt
            +'</div>';
    }
    htmlstr+='</div>';
    $container.append(htmlstr);
    $('.public_sb_i').on(END_EV,callback);
    preventScroll();
}